#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2024 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated

from typing import TYPE_CHECKING

from .base_icon import Icon

if TYPE_CHECKING:
    from collections.abc import Iterable


class KofiIcon(Icon):
    """"""
    @property
    def name(self) -> "str":
        return "kofi"

    @property
    def original_file_name(self) -> "str":
        return "kofi.svg"

    @property
    def title(self) -> "str":
        return "Ko-fi"

    @property
    def primary_color(self) -> "str":
        return "#FF5E5B"

    @property
    def raw_svg(self) -> "str":
        return ''' <svg xmlns="http://www.w3.org/2000/svg"
 role="img" viewBox="0 0 24 24">
    <title>Ko-fi</title>
     <path d="M23.881
 8.948c-.773-4.085-4.859-4.593-4.859-4.593H.723c-.604
 0-.679.798-.679.798s-.082 7.324-.022 11.822c.164 2.424 2.586 2.672
 2.586 2.672s8.267-.023 11.966-.049c2.438-.426 2.683-2.566 2.658-3.734
 4.352.24 7.422-2.831 6.649-6.916zm-11.062 3.511c-1.246 1.453-4.011
 3.976-4.011
 3.976s-.121.119-.31.023c-.076-.057-.108-.09-.108-.09-.443-.441-3.368-3.049-4.034-3.954-.709-.965-1.041-2.7-.091-3.71.951-1.01
 3.005-1.086 4.363.407 0 0 1.565-1.782 3.468-.963 1.904.82 1.832
 3.011.723
 4.311zm6.173.478c-.928.116-1.682.028-1.682.028V7.284h1.77s1.971.551
 1.971 2.638c0 1.913-.985 2.667-2.059 3.015z" />
</svg>'''

    @property
    def guidelines_url(self) -> "str | None":
        _value: "str" = ''''''
        if len(_value) > 0:
            return _value
        return None

    @property
    def source(self) -> "str":
        return ''''''

    @property
    def license(self) -> "tuple[str | None, str | None]":
        _type: "str | None" = ''''''
        _url: "str | None" = ''''''

        if _type is not None and len(_type) == 0:
            _type = None

        if _url is not None and len(_url) == 0:
            _url = None

        return _type, _url

    @property
    def aliases(self) -> "Iterable[str]":
        yield from []
