#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2024 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated


from typing import TYPE_CHECKING
from .icons import IconCollection
from ._rubysinatra import RubySinatraIcon
from ._lenovo import LenovoIcon
from ._radiopublic import RadiopublicIcon
from ._pixabay import PixabayIcon
from ._flashforge import FlashforgeIcon
from ._amazondocumentdb import AmazonDocumentdbIcon
from ._visx import VisxIcon
from ._kofax import KofaxIcon
from ._gnometerminal import GnomeTerminalIcon
from ._svelte import SvelteIcon
from ._autodesk import AutodeskIcon
from ._plangrid import PlangridIcon
from ._linktree import LinktreeIcon
from ._cdprojekt import CdProjektIcon
from ._playstation5 import PlaystationFiveIcon
from ._metro import MetroIcon
from ._digg import DiggIcon
from ._picartodottv import PicartodottvIcon
from ._web3dotjs import WebThreeDotjsIcon
from ._warnerbros import WarnerBrosdotIcon
from ._theconversation import TheConversationIcon
from ._vegas import VegasIcon
from ._lazarus import LazarusIcon
from ._uml import UmlIcon
from ._joplin import JoplinIcon
from ._runkit import RunkitIcon
from ._prefect import PrefectIcon
from ._e3 import EThreeIcon
from ._jitpack import JitpackIcon
from ._xfce import XfceIcon
from ._amazoncognito import AmazonCognitoIcon
from ._tesco import TescoIcon
from ._smartthings import SmartthingsIcon
from ._handshake import HandshakeIcon
from ._lionair import LionAirIcon
from ._nintendogamecube import NintendoGamecubeIcon
from ._coppel import CoppelIcon
from ._thurgauerkantonalbank import ThurgauerKantonalbankIcon
from ._tistory import TistoryIcon
from ._telequebec import TelequebecIcon
from ._adobelightroomclassic import AdobeLightroomClassicIcon
from ._eraser import EraserIcon
from ._flat import FlatIcon
from ._tile import TileIcon
from ._prestashop import PrestashopIcon
from ._cisco import CiscoIcon
from ._clickhouse import ClickhouseIcon
from ._codeberg import CodebergIcon
from ._leaderprice import LeaderPriceIcon
from ._zigbee import ZigbeeIcon
from ._googlescholar import GoogleScholarIcon
from ._mastercard import MastercardIcon
from ._poetry import PoetryIcon
from ._processingfoundation import ProcessingFoundationIcon
from ._tourbox import TourboxIcon
from ._gcore import GcoreIcon
from ._flipkart import FlipkartIcon
from ._osu import OsuIcon
from ._suzuki import SuzukiIcon
from ._trove import TroveIcon
from ._rstudioide import RstudioIdeIcon
from ._adonisjs import AdonisjsIcon
from ._fontforge import FontforgeIcon
from ._picardsurgeles import PicardSurgelesIcon
from ._newrelic import NewRelicIcon
from ._magic import MagicIcon
from ._platformdotsh import PlatformdotshIcon
from ._gocd import GocdIcon
from ._westernunion import WesternUnionIcon
from ._uptobox import UptoboxIcon
from ._scaleway import ScalewayIcon
from ._swiggy import SwiggyIcon
from ._styleshare import StyleshareIcon
from ._devpost import DevpostIcon
from ._dcentertainment import DcEntertainmentIcon
from ._brevo import BrevoIcon
from ._ibeacon import IbeaconIcon
from ._kuaishou import KuaishouIcon
from ._figshare import FigshareIcon
from ._wondersharefilmora import WondershareFilmoraIcon
from ._bookmyshow import BookmyshowIcon
from ._magento import MagentoIcon
from ._trillertv import TrillertvIcon
from ._authy import AuthyIcon
from ._kakaotalk import KakaotalkIcon
from ._kick import KickIcon
from ._opentelemetry import OpentelemetryIcon
from ._amazoneks import AmazonEksIcon
from ._keycdn import KeycdnIcon
from ._starlingbank import StarlingBankIcon
from ._astro import AstroIcon
from ._octobercms import OctoberCmsIcon
from ._bluesound import BluesoundIcon
from ._openmined import OpenminedIcon
from ._modx import ModxIcon
from ._apachenifi import ApacheNifiIcon
from ._quarto import QuartoIcon
from ._mikrotik import MikrotikIcon
from ._vectorworks import VectorworksIcon
from ._ferrari import FerrariIcon
from ._unocss import UnocssIcon
from ._pingdom import PingdomIcon
from ._stagetimer import StagetimerIcon
from ._vitepress import VitepressIcon
from ._myget import MygetIcon
from ._nette import NetteIcon
from ._redox import RedoxIcon
from ._remix import RemixIcon
from ._mitsubishi import MitsubishiIcon
from ._googlechat import GoogleChatIcon
from ._ieee import IeeeIcon
from ._poly import PolyIcon
from ._webrtc import WebrtcIcon
from ._floatplane import FloatplaneIcon
from ._gnuprivacyguard import GnuPrivacyGuardIcon
from ._jetpackcompose import JetpackComposeIcon
from ._amazonfiretv import AmazonFireTvIcon
from ._dashlane import DashlaneIcon
from ._apachecloudstack import ApacheCloudstackIcon
from ._s7airlines import SSevenAirlinesIcon
from ._babylondotjs import BabylondotjsIcon
from ._bem import BemIcon
from ._rich import RichIcon
from ._elsevier import ElsevierIcon
from ._emirates import EmiratesIcon
from ._mercurial import MercurialIcon
from ._rottentomatoes import RottenTomatoesIcon
from ._blackmagicdesign import BlackmagicDesignIcon
from ._wire import WireIcon
from ._lens import LensIcon
from ._laravelnova import LaravelNovaIcon
from ._newegg import NeweggIcon
from ._contactlesspayment import ContactlessPaymentIcon
from ._tablecheck import TablecheckIcon
from ._hyperskill import HyperskillIcon
from ._aurelia import AureliaIcon
from ._esri import EsriIcon
from ._tidyverse import TidyverseIcon
from ._faceit import FaceitIcon
from ._adguard import AdguardIcon
from ._mural import MuralIcon
from ._tindie import TindieIcon
from ._theregister import TheRegisterIcon
from ._symbolab import SymbolabIcon
from ._lotpolishairlines import LotPolishAirlinesIcon
from ._envoyproxy import EnvoyProxyIcon
from ._hackthebox import HackTheBoxIcon
from ._githubcopilot import GithubCopilotIcon
from ._openstack import OpenstackIcon
from ._keras import KerasIcon
from ._serverfault import ServerFaultIcon
from ._maplibre import MaplibreIcon
from ._unicode import UnicodeIcon
from ._mongodb import MongodbIcon
from ._duckduckgo import DuckduckgoIcon
from ._processwire import ProcesswireIcon
from ._polestar import PolestarIcon
from ._americanairlines import AmericanAirlinesIcon
from ._suckless import SucklessIcon
from ._elm import ElmIcon
from ._dblp import DblpIcon
from ._symantec import SymantecIcon
from ._googleanalytics import GoogleAnalyticsIcon
from ._unraid import UnraidIcon
from ._coze import CozeIcon
from ._7zip import SevenZipIcon
from ._fishshell import FishShellIcon
from ._sanfranciscomunicipalrailway import SanFranciscoMunicipalRailwayIcon
from ._jsdelivr import JsdelivrIcon
from ._jekyll import JekyllIcon
from ._tietoevry import TietoevryIcon
from ._startrek import StarTrekIcon
from ._wemo import WemoIcon
from ._clarivate import ClarivateIcon
from ._plesk import PleskIcon
from ._firebase import FirebaseIcon
from ._vagrant import VagrantIcon
from ._twilio import TwilioIcon
from ._sumologic import SumoLogicIcon
from ._monkeytype import MonkeytypeIcon
from ._relay import RelayIcon
from ._campaignmonitor import CampaignMonitorIcon
from ._gnuemacs import GnuEmacsIcon
from ._statista import StatistaIcon
from ._terraform import TerraformIcon
from ._fluke import FlukeIcon
from ._alfaromeo import AlfaRomeoIcon
from ._imou import ImouIcon
from ._gitconnected import GitconnectedIcon
from ._expertsexchange import ExpertsExchangeIcon
from ._caprover import CaproverIcon
from ._scrapy import ScrapyIcon
from ._tmobile import TmobileIcon
from ._airplayvideo import AirplayVideoIcon
from ._applepay import ApplePayIcon
from ._engadget import EngadgetIcon
from ._gravatar import GravatarIcon
from ._audible import AudibleIcon
from ._civicrm import CivicrmIcon
from ._keybase import KeybaseIcon
from ._bugcrowd import BugcrowdIcon
from ._namemc import NamemcIcon
from ._tensorflow import TensorflowIcon
from ._typeorm import TypeormIcon
from ._tcs import TataConsultancyServicesIcon
from ._sitecore import SitecoreIcon
from ._alibabadotcom import AlibabadotcomIcon
from ._celery import CeleryIcon
from ._stylelint import StylelintIcon
from ._envato import EnvatoIcon
from ._peakdesign import PeakDesignIcon
from ._tga import TgaIcon
from ._amg import AmgIcon
from ._groupon import GrouponIcon
from ._schneiderelectric import SchneiderElectricIcon
from ._fastapi import FastapiIcon
from ._spotify import SpotifyIcon
from ._pyg import PygIcon
from ._feathub import FeathubIcon
from ._bitwig import BitwigIcon
from ._trueup import TrueupIcon
from ._fizz import FizzIcon
from ._portswigger import PortswiggerIcon
from ._airindia import AirIndiaIcon
from ._oculus import OculusIcon
from ._apachejmeter import ApacheJmeterIcon
from ._cookiecutter import CookiecutterIcon
from ._laravelhorizon import LaravelHorizonIcon
from ._coreldraw import CoreldrawIcon
from ._vyond import VyondIcon
from ._xcode import XcodeIcon
from ._leica import LeicaIcon
from ._sourcehut import SourcehutIcon
from ._discogs import DiscogsIcon
from ._cloudcannon import CloudcannonIcon
from ._lerna import LernaIcon
from ._manageiq import ManageiqIcon
from ._tinygrad import TinygradIcon
from ._pivotaltracker import PivotalTrackerIcon
from ._mailchimp import MailchimpIcon
from ._renault import RenaultIcon
from ._perforce import PerforceIcon
from ._trpc import TrpcIcon
from ._galaxus import GalaxusIcon
from ._mewe import MeweIcon
from ._overcast import OvercastIcon
from ._stellar import StellarIcon
from ._backblaze import BackblazeIcon
from ._stripe import StripeIcon
from ._ulule import UluleIcon
from ._youtubemusic import YoutubeMusicIcon
from ._nintendoswitch import NintendoSwitchIcon
from ._fedora import FedoraIcon
from ._airbnb import AirbnbIcon
from ._redsys import RedsysIcon
from ._paperspace import PaperspaceIcon
from ._streamrunners import StreamrunnersIcon
from ._pocket import PocketIcon
from ._gltf import GltfIcon
from ._jet import JetIcon
from ._meilisearch import MeilisearchIcon
from ._mxlinux import MxLinuxIcon
from ._shopware import ShopwareIcon
from ._asahilinux import AsahiLinuxIcon
from ._hackster import HacksterIcon
from ._webstorm import WebstormIcon
from ._ello import ElloIcon
from ._awsorganizations import AwsOrganizationsIcon
from ._aib import AibIcon
from ._tailwindcss import TailwindCssIcon
from ._termius import TermiusIcon
from ._swift import SwiftIcon
from ._astral import AstralIcon
from ._owasp import OwaspIcon
from ._adobephotoshop import AdobePhotoshopIcon
from ._xubuntu import XubuntuIcon
from ._ludwig import LudwigIcon
from ._nebula import NebulaIcon
from ._directus import DirectusIcon
from ._gin import GinIcon
from ._rancher import RancherIcon
from ._d3dotjs import DThreeDotjsIcon
from ._rundeck import RundeckIcon
from ._koyeb import KoyebIcon
from ._flipboard import FlipboardIcon
from ._rezgo import RezgoIcon
from ._boat import BoatIcon
from ._oclif import OclifIcon
from ._buffer import BufferIcon
from ._codingame import CodingameIcon
from ._awesomelists import AwesomeListsIcon
from ._jouav import JouavIcon
from ._pixlr import PixlrIcon
from ._akiflow import AkiflowIcon
from ._apachespark import ApacheSparkIcon
from ._deutschebank import DeutscheBankIcon
from ._pointy import PointyIcon
from ._pantheon import PantheonIcon
from ._solid import SolidIcon
from ._mariadbfoundation import MariadbFoundationIcon
from ._zensar import ZensarIcon
from ._emberdotjs import EmberdotjsIcon
from ._mix import MixIcon
from ._pocketbase import PocketbaseIcon
from ._aldinord import AldiNordIcon
from ._elasticstack import ElasticStackIcon
from ._fluentd import FluentdIcon
from ._pixiv import PixivIcon
from ._helix import HelixIcon
from ._esea import EseaIcon
from ._interactiondesignfoundation import InteractionDesignFoundationIcon
from ._nexon import NexonIcon
from ._roadmapdotsh import RoadmapdotshIcon
from ._uikit import UikitIcon
from ._redux import ReduxIcon
from ._newyorktimes import NewYorkTimesIcon
from ._namebase import NamebaseIcon
from ._actigraph import ActigraphIcon
from ._posit import PositIcon
from ._ifood import IfoodIcon
from ._zap import ZapIcon
from ._reverbnation import ReverbnationIcon
from ._progate import ProgateIcon
from ._aerospike import AerospikeIcon
from ._tripadvisor import TripadvisorIcon
from ._iconify import IconifyIcon
from ._f5 import FFiveIcon
from ._gitforwindows import GitForWindowsIcon
from ._autodeskmaya import AutodeskMayaIcon
from ._jsr import JsrIcon
from ._vfairs import VfairsIcon
from ._construct3 import ConstructThreeIcon
from ._taxbuzz import TaxbuzzIcon
from ._codementor import CodementorIcon
from ._headlessui import HeadlessUiIcon
from ._bmcsoftware import BmcSoftwareIcon
from ._discourse import DiscourseIcon
from ._airplayaudio import AirplayAudioIcon
from ._society6 import SocietySixIcon
from ._coronaengine import CoronaEngineIcon
from ._amazonec2 import AmazonEcTwoIcon
from ._livejournal import LivejournalIcon
from ._weightsandbiases import WeightsandBiasesIcon
from ._googlemessages import GoogleMessagesIcon
from ._eight import EightIcon
from ._sketch import SketchIcon
from ._spring import SpringIcon
from ._opensourcehardware import OpenSourceHardwareIcon
from ._onnx import OnnxIcon
from ._deepcool import DeepcoolIcon
from ._html5 import HtmlFiveIcon
from ._nationalgrid import NationalGridIcon
from ._squarespace import SquarespaceIcon
from ._vivaldi import VivaldiIcon
from ._outline import OutlineIcon
from ._solana import SolanaIcon
from ._ariakit import AriakitIcon
from ._antena3 import AntenaThreeIcon
from ._shutterstock import ShutterstockIcon
from ._artixlinux import ArtixLinuxIcon
from ._mediatek import MediatekIcon
from ._cloudron import CloudronIcon
from ._corsair import CorsairIcon
from ._tidal import TidalIcon
from ._aliexpress import AliexpressIcon
from ._matternet import MatternetIcon
from ._amazon import AmazonIcon
from ._drooble import DroobleIcon
from ._modal import ModalIcon
from ._devrant import DevrantIcon
from ._inertia import InertiaIcon
from ._subtitleedit import SubtitleEditIcon
from ._flask import FlaskIcon
from ._gitkraken import GitkrakenIcon
from ._criticalrole import CriticalRoleIcon
from ._ted import TedIcon
from ._ethiopianairlines import EthiopianAirlinesIcon
from ._imgur import ImgurIcon
from ._zalo import ZaloIcon
from ._expo import ExpoIcon
from ._leaflet import LeafletIcon
from ._googleclassroom import GoogleClassroomIcon
from ._solus import SolusIcon
from ._ardour import ArdourIcon
from ._qwant import QwantIcon
from ._zapier import ZapierIcon
from ._formik import FormikIcon
from ._ziggo import ZiggoIcon
from ._git import GitIcon
from ._yandexcloud import YandexCloudIcon
from ._auchan import AuchanIcon
from ._xiaomi import XiaomiIcon
from ._deutschebahn import DeutscheBahnIcon
from ._broadcom import BroadcomIcon
from ._webex import WebexIcon
from ._redbull import RedBullIcon
from ._zilch import ZilchIcon
from ._ios import IosIcon
from ._nestjs import NestjsIcon
from ._rocket import RocketIcon
from ._bankofamerica import BankOfAmericaIcon
from ._milanote import MilanoteIcon
from ._ocaml import OcamlIcon
from ._testinglibrary import TestingLibraryIcon
from ._scrutinizerci import ScrutinizerCiIcon
from ._linux import LinuxIcon
from ._lospec import LospecIcon
from ._unpkg import UnpkgIcon
from ._task import TaskIcon
from ._commerzbank import CommerzbankIcon
from ._cairographics import CairoGraphicsIcon
from ._tails import TailsIcon
from ._chainlink import ChainlinkIcon
from ._recoil import RecoilIcon
from ._1001tracklists import OneThousandAndOneTracklistsIcon
from ._codeforces import CodeforcesIcon
from ._pinboard import PinboardIcon
from ._safari import SafariIcon
from ._chemex import ChemexIcon
from ._voipdotms import VoipdotmsIcon
from ._linuxcontainers import LinuxContainersIcon
from ._jaguar import JaguarIcon
from ._target import TargetIcon
from ._owncloud import OwncloudIcon
from ._stackblitz import StackblitzIcon
from ._stencyl import StencylIcon
from ._awslambda import AwsLambdaIcon
from ._ajv import AjvIcon
from ._taichilang import TaichiLangIcon
from ._conventionalcommits import ConventionalCommitsIcon
from ._semrush import SemrushIcon
from ._bastyon import BastyonIcon
from ._fampay import FampayIcon
from ._spinnaker import SpinnakerIcon
from ._geocaching import GeocachingIcon
from ._modin import ModinIcon
from ._justgiving import JustgivingIcon
from ._sandisk import SandiskIcon
from ._nvm import NvmIcon
from ._thunderbird import ThunderbirdIcon
from ._rimacautomobili import RimacAutomobiliIcon
from ._fivem import FivemIcon
from ._mdx import MdxIcon
from ._n26 import NTwentySixIcon
from ._sogou import SogouIcon
from ._fortinet import FortinetIcon
from ._sharp import SharpIcon
from ._airbyte import AirbyteIcon
from ._kde import KdeIcon
from ._rootsbedrock import RootsBedrockIcon
from ._zenn import ZennIcon
from ._googlecloudspanner import GoogleCloudSpannerIcon
from ._lg import LgIcon
from ._dazn import DaznIcon
from ._octopusdeploy import OctopusDeployIcon
from ._planet import PlanetIcon
from ._flydotio import FlydotioIcon
from ._sonos import SonosIcon
from ._internetcomputer import InternetComputerIcon
from ._g2a import GTwoAIcon
from ._iced import IcedIcon
from ._gamedeveloper import GameDeveloperIcon
from ._nordicsemiconductor import NordicSemiconductorIcon
from ._americanexpress import AmericanExpressIcon
from ._activision import ActivisionIcon
from ._mastodon import MastodonIcon
from ._daserste import DasErsteIcon
from ._sonarlint import SonarlintIcon
from ._blockchaindotcom import BlockchaindotcomIcon
from ._tele5 import TeleFiveIcon
from ._quest import QuestIcon
from ._timescale import TimescaleIcon
from ._hellofresh import HellofreshIcon
from ._conan import ConanIcon
from ._tricentis import TricentisIcon
from ._creality import CrealityIcon
from ._qantas import QantasIcon
from ._deepl import DeeplIcon
from ._vtex import VtexIcon
from ._sway import SwayIcon
from ._blockbench import BlockbenchIcon
from ._toggltrack import TogglTrackIcon
from ._groupme import GroupmeIcon
from ._intuit import IntuitIcon
from ._apachekafka import ApacheKafkaIcon
from ._virtualbox import VirtualboxIcon
from ._kuma import KumaIcon
from ._fujitsu import FujitsuIcon
from ._languagetool import LanguagetoolIcon
from ._influxdb import InfluxdbIcon
from ._scikitlearn import ScikitlearnIcon
from ._framer import FramerIcon
from ._gulp import GulpIcon
from ._allocine import AllocineIcon
from ._vaadin import VaadinIcon
from ._nanostores import NanoStoresIcon
from ._lequipe import LequipeIcon
from ._aeromexico import AeromexicoIcon
from ._reactquery import ReactQueryIcon
from ._mg import MgIcon
from ._neptune import NeptuneIcon
from ._stackedit import StackeditIcon
from ._beekeeperstudio import BeekeeperStudioIcon
from ._boots import BootsIcon
from ._glassdoor import GlassdoorIcon
from ._blueprint import BlueprintIcon
from ._zenodo import ZenodoIcon
from ._grafana import GrafanaIcon
from ._octave import OctaveIcon
from ._contributorcovenant import ContributorCovenantIcon
from ._vlcmediaplayer import VlcMediaPlayerIcon
from ._googleads import GoogleAdsIcon
from ._adminer import AdminerIcon
from ._stopstalk import StopstalkIcon
from ._wwise import WwiseIcon
from ._wyze import WyzeIcon
from ._kinopoisk import KinopoiskIcon
from ._billboard import BillboardIcon
from ._freelancer import FreelancerIcon
from ._pycharm import PycharmIcon
from ._dogecoin import DogecoinIcon
from ._concourse import ConcourseIcon
from ._zerotier import ZerotierIcon
from ._pandas import PandasIcon
from ._snapchat import SnapchatIcon
from ._sanity import SanityIcon
from ._lazyvim import LazyvimIcon
from ._miro import MiroIcon
from ._reebok import ReebokIcon
from ._qualcomm import QualcommIcon
from ._cashapp import CashAppIcon
from ._adblock import AdblockIcon
from ._netapp import NetappIcon
from ._oxygen import OxygenIcon
from ._sentry import SentryIcon
from ._simplenote import SimplenoteIcon
from ._platformio import PlatformioIcon
from ._makerbot import MakerbotIcon
from ._braintree import BraintreeIcon
from ._dunzo import DunzoIcon
from ._quip import QuipIcon
from ._sensu import SensuIcon
from ._leagueoflegends import LeagueOfLegendsIcon
from ._pino import PinoIcon
from ._beatport import BeatportIcon
from ._amazonroute53 import AmazonRouteFiftyThreeIcon
from ._openssl import OpensslIcon
from ._pioneerdj import PioneerDjIcon
from ._lbry import LbryIcon
from ._writedotas import WritedotasIcon
from ._xero import XeroIcon
from ._labview import LabviewIcon
from ._stadia import StadiaIcon
from ._opnsense import OpnsenseIcon
from ._frappe import FrappeIcon
from ._goland import GolandIcon
from ._apachehadoop import ApacheHadoopIcon
from ._spigotmc import SpigotmcIcon
from ._hedera import HederaIcon
from ._polars import PolarsIcon
from ._sanic import SanicIcon
from ._hubspot import HubspotIcon
from ._opensearch import OpensearchIcon
from ._elixir import ElixirIcon
from ._homebridge import HomebridgeIcon
from ._nginxproxymanager import NginxProxyManagerIcon
from ._talos import TalosIcon
from ._veepee import VeepeeIcon
from ._github import GithubIcon
from ._openapiinitiative import OpenapiInitiativeIcon
from ._iheartradio import IheartradioIcon
from ._paytm import PaytmIcon
from ._rxdb import RxdbIcon
from ._geode import GeodeIcon
from ._fubo import FuboIcon
from ._mihoyo import MihoyoIcon
from ._farcaster import FarcasterIcon
from ._mediapipe import MediapipeIcon
from ._bitcoin import BitcoinIcon
from ._1panel import OnePanelIcon
from ._koc import KocIcon
from ._exordo import ExordoIcon
from ._assemblyscript import AssemblyscriptIcon
from ._grab import GrabIcon
from ._apacheopenoffice import ApacheOpenofficeIcon
from ._redhatopenshift import RedHatOpenShiftIcon
from ._electron import ElectronIcon
from ._googlesearchconsole import GoogleSearchConsoleIcon
from ._openverse import OpenverseIcon
from ._mtr import MtrIcon
from ._roll20 import RollTwentyIcon
from ._underarmour import UnderArmourIcon
from ._nhl import NhlIcon
from ._webgl import WebglIcon
from ._nba import NbaIcon
from ._cloudflareworkers import CloudflareWorkersIcon
from ._normalizedotcss import NormalizedotcssIcon
from ._jfrog import JfrogIcon
from ._adobe import AdobeIcon
from ._usps import UspsIcon
from ._semanticuireact import SemanticUiReactIcon
from ._max import MaxIcon
from ._adobecreativecloud import AdobeCreativeCloudIcon
from ._foursquarecityguide import FoursquareCityGuideIcon
from ._framework import FrameworkIcon
from ._scrapbox import ScrapboxIcon
from ._lunacy import LunacyIcon
from ._googledatastudio import GoogleDataStudioIcon
from ._maxplanckgesellschaft import MaxplanckgesellschaftIcon
from ._hp import HpIcon
from ._foodpanda import FoodpandaIcon
from ._apachetomcat import ApacheTomcatIcon
from ._snowflake import SnowflakeIcon
from ._inoreader import InoreaderIcon
from ._ubisoft import UbisoftIcon
from ._wezterm import WeztermIcon
from ._adobelightroom import AdobeLightroomIcon
from ._kdenlive import KdenliveIcon
from ._victoriametrics import VictoriametricsIcon
from ._amazonalexa import AmazonAlexaIcon
from ._pimcore import PimcoreIcon
from ._plurk import PlurkIcon
from ._egghead import EggheadIcon
from ._preact import PreactIcon
from ._transportforlondon import TransportForLondonIcon
from ._eclipseide import EclipseIdeIcon
from ._jovian import JovianIcon
from ._iceland import IcelandIcon
from ._peerlist import PeerlistIcon
from ._breaker import BreakerIcon
from ._eagle import EagleIcon
from ._phpstorm import PhpstormIcon
from ._hackaday import HackadayIcon
from ._arcgis import ArcgisIcon
from ._biome import BiomeIcon
from ._rive import RiveIcon
from ._ticktick import TicktickIcon
from ._caddy import CaddyIcon
from ._django import DjangoIcon
from ._nintendo import NintendoIcon
from ._zettlr import ZettlrIcon
from ._rarible import RaribleIcon
from ._oreilly import OreillyIcon
from ._stackpath import StackpathIcon
from ._libreofficeimpress import LibreofficeImpressIcon
from ._eclipsevertdotx import EclipseVertdotxIcon
from ._vrchat import VrchatIcon
from ._trendmicro import TrendMicroIcon
from ._photon import PhotonIcon
from ._consul import ConsulIcon
from ._brave import BraveIcon
from ._skypack import SkypackIcon
from ._octanerender import OctaneRenderIcon
from ._vectorlogozone import VectorLogoZoneIcon
from ._nextdotjs import NextdotjsIcon
from ._bandcamp import BandcampIcon
from ._splunk import SplunkIcon
from ._majorleaguehacking import MajorLeagueHackingIcon
from ._docusaurus import DocusaurusIcon
from ._alienware import AlienwareIcon
from ._saucelabs import SauceLabsIcon
from ._autocad import AutocadIcon
from ._griddotai import GriddotaiIcon
from ._paperlessngx import PaperlessngxIcon
from ._socketdotio import SocketdotioIcon
from ._hellyhansen import HellyHansenIcon
from ._v8 import VEightIcon
from ._weblate import WeblateIcon
from ._reason import ReasonIcon
from ._openproject import OpenprojectIcon
from ._sharex import SharexIcon
from ._lufthansa import LufthansaIcon
from ._wikiquote import WikiquoteIcon
from ._audi import AudiIcon
from ._prometheus import PrometheusIcon
from ._cloudflarepages import CloudflarePagesIcon
from ._wwe import WweIcon
from ._opentext import OpentextIcon
from ._sepa import SepaIcon
from ._khanacademy import KhanAcademyIcon
from ._thewashingtonpost import TheWashingtonPostIcon
from ._posthog import PosthogIcon
from ._adblockplus import AdblockPlusIcon
from ._argo import ArgoIcon
from ._bnbchain import BnbChainIcon
from ._pixelfed import PixelfedIcon
from ._yarn import YarnIcon
from ._codeship import CodeshipIcon
from ._newjapanprowrestling import NewJapanProwrestlingIcon
from ._lightburn import LightburnIcon
from ._zoho import ZohoIcon
from ._kongregate import KongregateIcon
from ._nasa import NasaIcon
from ._symfony import SymfonyIcon
from ._freebsd import FreebsdIcon
from ._valorant import ValorantIcon
from ._lemonsqueezy import LemonSqueezyIcon
from ._pluscodes import PlusCodesIcon
from ._pearson import PearsonIcon
from ._42 import FortyTwoIcon
from ._indiehackers import IndieHackersIcon
from ._republicofgamers import RepublicOfGamersIcon
from ._saudia import SaudiaIcon
from ._instructables import InstructablesIcon
from ._fluentbit import FluentBitIcon
from ._linkerd import LinkerdIcon
from ._mastercomfig import MastercomfigIcon
from ._teal import TealIcon
from ._apacheecharts import ApacheEchartsIcon
from ._vivo import VivoIcon
from ._datocms import DatocmsIcon
from ._byjus import ByjusIcon
from ._netgear import NetgearIcon
from ._appletv import AppleTvIcon
from ._tampermonkey import TampermonkeyIcon
from ._bitcoinsv import BitcoinSvIcon
from ._googlechronicle import GoogleChronicleIcon
from ._castro import CastroIcon
from ._csswizardry import CssWizardryIcon
from ._embarcadero import EmbarcaderoIcon
from ._lidl import LidlIcon
from ._kubuntu import KubuntuIcon
from ._jupyter import JupyterIcon
from ._expressvpn import ExpressvpnIcon
from ._ufc import UfcIcon
from ._googletagmanager import GoogleTagManagerIcon
from ._protondb import ProtondbIcon
from ._arm import ArmIcon
from ._superuser import SuperUserIcon
from ._babelio import BabelioIcon
from ._excalidraw import ExcalidrawIcon
from ._credly import CredlyIcon
from ._kickstarter import KickstarterIcon
from ._apacheflink import ApacheFlinkIcon
from ._hey import HeyIcon
from ._redmine import RedmineIcon
from ._kuula import KuulaIcon
from ._beatstars import BeatstarsIcon
from ._vsco import VscoIcon
from ._houzz import HouzzIcon
from ._vimeolivestream import VimeoLivestreamIcon
from ._dinersclub import DinersClubIcon
from ._amazongames import AmazonGamesIcon
from ._opencv import OpencvIcon
from ._steemit import SteemitIcon
from ._debian import DebianIcon
from ._insta360 import InstaThreeHundredAndSixtyIcon
from ._cheerio import CheerioIcon
from ._vonage import VonageIcon
from ._easyeda import EasyedaIcon
from ._carthrottle import CarThrottleIcon
from ._knative import KnativeIcon
from ._eleventy import EleventyIcon
from ._goldmansachs import GoldmanSachsIcon
from ._photopea import PhotopeaIcon
from ._riscv import RiscvIcon
from ._kalilinux import KaliLinuxIcon
from ._solidity import SolidityIcon
from ._perl import PerlIcon
from ._upwork import UpworkIcon
from ._apachepulsar import ApachePulsarIcon
from ._plausibleanalytics import PlausibleAnalyticsIcon
from ._ionic import IonicIcon
from ._dtube import DtubeIcon
from ._teamcity import TeamcityIcon
from ._konami import KonamiIcon
from ._greenhouse import GreenhouseIcon
from ._vercel import VercelIcon
from ._doordash import DoordashIcon
from ._nounproject import NounProjectIcon
from ._roamresearch import RoamResearchIcon
from ._appstore import AppStoreIcon
from ._iterm2 import ItermTwoIcon
from ._myspace import MyspaceIcon
from ._sympy import SympyIcon
from ._vitest import VitestIcon
from ._tui import TuiIcon
from ._h3 import HThreeIcon
from ._igdb import IgdbIcon
from ._photobucket import PhotobucketIcon
from ._brandfolder import BrandfolderIcon
from ._webflow import WebflowIcon
from ._migadu import MigaduIcon
from ._awesomewm import AwesomewmIcon
from ._1dot1dot1dot1 import OneDotOneDotOneDotOneIcon
from ._payloadcms import PayloadCmsIcon
from ._scpfoundation import ScpFoundationIcon
from ._cliqz import CliqzIcon
from ._thenorthface import TheNorthFaceIcon
from ._lobsters import LobstersIcon
from ._zebpay import ZebpayIcon
from ._elegoo import ElegooIcon
from ._cnet import CnetIcon
from ._itunes import ItunesIcon
from ._amazons3 import AmazonSThreeIcon
from ._popos import PoposIcon
from ._pokemon import PokemonIcon
from ._typst import TypstIcon
from ._tplink import TplinkIcon
from ._coolermaster import CoolerMasterIcon
from ._dsautomobiles import DsAutomobilesIcon
from ._tqdm import TqdmIcon
from ._devexpress import DevexpressIcon
from ._analogue import AnalogueIcon
from ._vectary import VectaryIcon
from ._alteryx import AlteryxIcon
from ._codesignal import CodesignalIcon
from ._viblo import VibloIcon
from ._pyup import PyupIcon
from ._payhip import PayhipIcon
from ._volvo import VolvoIcon
from ._yamahamotorcorporation import YamahaMotorCorporationIcon
from ._immer import ImmerIcon
from ._commitlint import CommitlintIcon
from ._farfetch import FarfetchIcon
from ._denon import DenonIcon
from ._studyverse import StudyverseIcon
from ._simkl import SimklIcon
from ._kit import KitIcon
from ._nsis import NsisIcon
from ._apacheparquet import ApacheParquetIcon
from ._theguardian import TheGuardianIcon
from ._appwrite import AppwriteIcon
from ._keenetic import KeeneticIcon
from ._kinsta import KinstaIcon
from ._abstract import AbstractIcon
from ._skillshare import SkillshareIcon
from ._mapbox import MapboxIcon
from ._protocolsdotio import ProtocolsdotioIcon
from ._instructure import InstructureIcon
from ._inspire import InspireIcon
from ._slides import SlidesIcon
from ._wistia import WistiaIcon
from ._googledataproc import GoogleDataprocIcon
from ._libreofficemath import LibreofficeMathIcon
from ._primereact import PrimereactIcon
from ._tvtime import TvTimeIcon
from ._hetzner import HetznerIcon
from ._mobxstatetree import MobxstatetreeIcon
from ._cachet import CachetIcon
from ._lodash import LodashIcon
from ._unitednations import UnitedNationsIcon
from ._gitter import GitterIcon
from ._affinitypublisher import AffinityPublisherIcon
from ._aseprite import AsepriteIcon
from ._icomoon import IcomoonIcon
from ._fontawesome import FontAwesomeIcon
from ._petsathome import PetsAtHomeIcon
from ._metrodelaciudaddemexico import MetroDeLaCiudadDeMexicoIcon
from ._hackerearth import HackerearthIcon
from ._qlik import QlikIcon
from ._interbase import InterbaseIcon
from ._dart import DartIcon
from ._lifx import LifxIcon
from ._zendesk import ZendeskIcon
from ._bit import BitIcon
from ._patreon import PatreonIcon
from ._hotwire import HotwireIcon
from ._nodered import NoderedIcon
from ._arkecosystem import ArkEcosystemIcon
from ._adobepremierepro import AdobePremiereProIcon
from ._cplusplusbuilder import CplusplusBuilderIcon
from ._edgeimpulse import EdgeImpulseIcon
from ._iota import IotaIcon
from ._skoda import SkodaIcon
from ._quicklook import QuicklookIcon
from ._rubygems import RubygemsIcon
from ._orange import OrangeIcon
from ._gnusocial import GnuSocialIcon
from ._99designs import NinetyNineDesignsIcon
from ._microeditor import MicroEditorIcon
from ._comptia import ComptiaIcon
from ._macys import MacysIcon
from ._keeweb import KeewebIcon
from ._airasia import AirasiaIcon
from ._fanfou import FanfouIcon
from ._stubhub import StubhubIcon
from ._webtoon import WebtoonIcon
from ._ryanair import RyanairIcon
from ._clickup import ClickupIcon
from ._tide import TideIcon
from ._haxe import HaxeIcon
from ._philipshue import PhilipsHueIcon
from ._keepachangelog import KeepAChangelogIcon
from ._legacygames import LegacyGamesIcon
from ._acura import AcuraIcon
from ._medusa import MedusaIcon
from ._srgssr import SrgSsrIcon
from ._qmk import QmkIcon
from ._themoviedatabase import TheMovieDatabaseIcon
from ._v import VIcon
from ._renovate import RenovateIcon
from ._rime import RimeIcon
from ._transifex import TransifexIcon
from ._coderwall import CoderwallIcon
from ._tasmota import TasmotaIcon
from ._interactjs import InteractjsIcon
from ._sst import SstIcon
from ._observable import ObservableIcon
from ._applearcade import AppleArcadeIcon
from ._githubsponsors import GithubSponsorsIcon
from ._files import FilesIcon
from ._treehouse import TreehouseIcon
from ._googlecalendar import GoogleCalendarIcon
from ._cognizant import CognizantIcon
from ._bitly import BitlyIcon
from ._yabai import YabaiIcon
from ._esotericsoftware import EsotericSoftwareIcon
from ._gutenberg import GutenbergIcon
from ._nexusmods import NexusModsIcon
from ._mini import MiniIcon
from ._nucleo import NucleoIcon
from ._rtl import RtlIcon
from ._mazda import MazdaIcon
from ._codecov import CodecovIcon
from ._wellfound import WellfoundIcon
from ._airfrance import AirFranceIcon
from ._softpedia import SoftpediaIcon
from ._delicious import DeldoticiodotusIcon
from ._jfrogpipelines import JfrogPipelinesIcon
from ._thespritersresource import TheSpritersResourceIcon
from ._privateinternetaccess import PrivateInternetAccessIcon
from ._getx import GetxIcon
from ._frontendmentor import FrontendMentorIcon
from ._htmlacademy import HtmlAcademyIcon
from ._purism import PurismIcon
from ._mega import MegaIcon
from ._reactbootstrap import ReactBootstrapIcon
from ._juejin import JuejinIcon
from ._rakuten import RakutenIcon
from ._aol import AolIcon
from ._personio import PersonioIcon
from ._qiwi import QiwiIcon
from ._chessdotcom import ChessdotcomIcon
from ._ethers import EthersIcon
from ._carrefour import CarrefourIcon
from ._pagekit import PagekitIcon
from ._photocrowd import PhotocrowdIcon
from ._yii import YiiIcon
from ._quasar import QuasarIcon
from ._ktor import KtorIcon
from ._klook import KlookIcon
from ._bluesky import BlueskyIcon
from ._epson import EpsonIcon
from ._castbox import CastboxIcon
from ._automattic import AutomatticIcon
from ._couchbase import CouchbaseIcon
from ._guitarpro import GuitarProIcon
from ._greensock import GreensockIcon
from ._threadless import ThreadlessIcon
from ._anki import AnkiIcon
from ._gotomeeting import GotomeetingIcon
from ._oneplus import OneplusIcon
from ._gimp import GimpIcon
from ._staffbase import StaffbaseIcon
from ._xendit import XenditIcon
from ._insomnia import InsomniaIcon
from ._favro import FavroIcon
from ._bilibili import BilibiliIcon
from ._indiansuperleague import IndianSuperLeagueIcon
from ._knime import KnimeIcon
from ._pronounsdotpage import PronounsdotpageIcon
from ._techcrunch import TechcrunchIcon
from ._boulanger import BoulangerIcon
from ._arstechnica import ArsTechnicaIcon
from ._penpot import PenpotIcon
from ._wasmcloud import WasmcloudIcon
from ._dota2 import DotaTwoIcon
from ._reasonstudios import ReasonStudiosIcon
from ._matterdotjs import MatterdotjsIcon
from ._vultr import VultrIcon
from ._julia import JuliaIcon
from ._searxng import SearxngIcon
from ._peloton import PelotonIcon
from ._greasyfork import GreasyForkIcon
from ._dm import DmIcon
from ._bugsnag import BugsnagIcon
from ._mockserviceworker import MockServiceWorkerIcon
from ._peertube import PeertubeIcon
from ._razorpay import RazorpayIcon
from ._archiveofourown import ArchiveOfOurOwnIcon
from ._codenewbie import CodenewbieIcon
from ._scala import ScalaIcon
from ._obsstudio import ObsStudioIcon
from ._fireship import FireshipIcon
from ._docker import DockerIcon
from ._renpy import RenpyIcon
from ._vala import ValaIcon
from ._ruby import RubyIcon
from ._nixos import NixosIcon
from ._keystone import KeystoneIcon
from ._cryptpad import CryptpadIcon
from ._datto import DattoIcon
from ._manjaro import ManjaroIcon
from ._shopee import ShopeeIcon
from ._firefoxbrowser import FirefoxBrowserIcon
from ._neteasecloudmusic import NeteaseCloudMusicIcon
from ._magisk import MagiskIcon
from ._homeassistantcommunitystore import HomeAssistantCommunityStoreIcon
from ._paritysubstrate import ParitySubstrateIcon
from ._koenigsegg import KoenigseggIcon
from ._qatarairways import QatarAirwaysIcon
from ._adobedreamweaver import AdobeDreamweaverIcon
from ._hoppscotch import HoppscotchIcon
from ._homeadvisor import HomeadvisorIcon
from ._librariesdotio import LibrariesdotioIcon
from ._gradleplaypublisher import GradlePlayPublisherIcon
from ._delphi import DelphiIcon
from ._uber import UberIcon
from ._coder import CoderIcon
from ._furrynetwork import FurryNetworkIcon
from ._iris import IrisIcon
from ._svgtrace import SvgtraceIcon
from ._geeksforgeeks import GeeksforgeeksIcon
from ._bluetooth import BluetoothIcon
from ._g2 import GTwoIcon
from ._bat import BatIcon
from ._nextcloud import NextcloudIcon
from ._pocketcasts import PocketCastsIcon
from ._microgenetics import MicrogeneticsIcon
from ._copaairlines import CopaAirlinesIcon
from ._logstash import LogstashIcon
from ._instatus import InstatusIcon
from ._prismic import PrismicIcon
from ._jamboard import JamboardIcon
from ._qualtrics import QualtricsIcon
from ._apachedruid import ApacheDruidIcon
from ._bookstack import BookstackIcon
from ._sessionize import SessionizeIcon
from ._poe import PoeIcon
from ._roots import RootsIcon
from ._civo import CivoIcon
from ._uplabs import UplabsIcon
from ._quicktime import QuicktimeIcon
from ._slackware import SlackwareIcon
from ._bandsintown import BandsintownIcon
from ._polkadot import PolkadotIcon
from ._quantcast import QuantcastIcon
from ._xrp import XrpIcon
from ._dribbble import DribbbleIcon
from ._foundryvirtualtabletop import FoundryVirtualTabletopIcon
from ._rsocket import RsocketIcon
from ._aircanada import AirCanadaIcon
from ._session import SessionIcon
from ._thumbtack import ThumbtackIcon
from ._qgis import QgisIcon
from ._tryitonline import TryItOnlineIcon
from ._fresh import FreshIcon
from ._robotframework import RobotFrameworkIcon
from ._cirrusci import CirrusCiIcon
from ._system76 import SystemSeventySixIcon
from ._ring import RingIcon
from ._realm import RealmIcon
from ._codesandbox import CodesandboxIcon
from ._castorama import CastoramaIcon
from ._shadcnui import ShadcnuiIcon
from ._googlenearby import GoogleNearbyIcon
from ._oracle import OracleIcon
from ._alpinedotjs import AlpinedotjsIcon
from ._gogdotcom import GogdotcomIcon
from ._fluxus import FluxusIcon
from ._clion import ClionIcon
from ._tesla import TeslaIcon
from ._asda import AsdaIcon
from ._codeproject import CodeprojectIcon
from ._elavon import ElavonIcon
from ._circuitverse import CircuitverseIcon
from ._chatwoot import ChatwootIcon
from ._bitcomet import BitcometIcon
from ._dask import DaskIcon
from ._songoda import SongodaIcon
from ._virginatlantic import VirginAtlanticIcon
from ._openfaas import OpenfaasIcon
from ._okta import OktaIcon
from ._digitalocean import DigitaloceanIcon
from ._mixpanel import MixpanelIcon
from ._dependencycheck import OwaspDependencycheckIcon
from ._smashingmagazine import SmashingMagazineIcon
from ._reacthookform import ReactHookFormIcon
from ._maildotru import MaildotruIcon
from ._curseforge import CurseforgeIcon
from ._jquery import JqueryIcon
from ._axios import AxiosIcon
from ._sahibinden import SahibindenIcon
from ._tauri import TauriIcon
from ._mdbook import MdbookIcon
from ._fauna import FaunaIcon
from ._roundcube import RoundcubeIcon
from ._thanos import ThanosIcon
from ._playstation import PlaystationIcon
from ._org import OrgIcon
from ._turborepo import TurborepoIcon
from ._ansys import AnsysIcon
from ._openmediavault import OpenmediavaultIcon
from ._packagist import PackagistIcon
from ._opensourceinitiative import OpenSourceInitiativeIcon
from ._opennebula import OpennebulaIcon
from ._apachedolphinscheduler import ApacheDolphinschedulerIcon
from ._llvm import LlvmIcon
from ._blender import BlenderIcon
from ._kununu import KununuIcon
from ._rider import RiderIcon
from ._trino import TrinoIcon
from ._walletconnect import WalletconnectIcon
from ._tacobell import TacoBellIcon
from ._datefns import DatefnsIcon
from ._naver import NaverIcon
from ._razer import RazerIcon
from ._motorola import MotorolaIcon
from ._rocksdb import RocksdbIcon
from ._jellyfin import JellyfinIcon
from ._pcgamingwiki import PcgamingwikiIcon
from ._daisyui import DaisyuiIcon
from ._fing import FingIcon
from ._proxmox import ProxmoxIcon
from ._chatbot import ChatbotIcon
from ._jenkins import JenkinsIcon
from ._honey import HoneyIcon
from ._matrix import MatrixIcon
from ._optimism import OptimismIcon
from ._line import LineIcon
from ._bulma import BulmaIcon
from ._infiniti import InfinitiIcon
from ._iconfinder import IconfinderIcon
from ._traccar import TraccarIcon
from ._homify import HomifyIcon
from ._formspree import FormspreeIcon
from ._algorand import AlgorandIcon
from ._alwaysdata import AlwaysdataIcon
from ._known import KnownIcon
from ._smart import SmartIcon
from ._midi import MidiIcon
from ._linkedin import LinkedinIcon
from ._discord import DiscordIcon
from ._libretranslate import LibretranslateIcon
from ._customink import CustomInkIcon
from ._textpattern import TextpatternIcon
from ._wikidata import WikidataIcon
from ._walkman import WalkmanIcon
from ._veeam import VeeamIcon
from ._nbb import NbbIcon
from ._apachesuperset import ApacheSupersetIcon
from ._primevideo import PrimeVideoIcon
from ._baidu import BaiduIcon
from ._anta import AntaIcon
from ._moqups import MoqupsIcon
from ._fedex import FedexIcon
from ._radstudio import RadStudioIcon
from ._wipro import WiproIcon
from ._tomorrowland import TomorrowlandIcon
from ._autohotkey import AutohotkeyIcon
from ._miraheze import MirahezeIcon
from ._webgpu import WebgpuIcon
from ._vestel import VestelIcon
from ._podman import PodmanIcon
from ._buysellads import BuyselladsIcon
from ._studio3t import StudioThreeTIcon
from ._googleappsscript import GoogleAppsScriptIcon
from ._smugmug import SmugmugIcon
from ._webtrees import WebtreesIcon
from ._chevrolet import ChevroletIcon
from ._affinityphoto import AffinityPhotoIcon
from ._bazel import BazelIcon
from ._crystal import CrystalIcon
from ._avast import AvastIcon
from ._dell import DellIcon
from ._kubernetes import KubernetesIcon
from ._samsungpay import SamsungPayIcon
from ._vowpalwabbit import VowpalWabbitIcon
from ._synology import SynologyIcon
from ._tapas import TapasIcon
from ._tinder import TinderIcon
from ._protonmail import ProtonMailIcon
from ._twinmotion import TwinmotionIcon
from ._kx import KxIcon
from ._comicfury import ComicfuryIcon
from ._googlemaps import GoogleMapsIcon
from ._newbalance import NewBalanceIcon
from ._confluence import ConfluenceIcon
from ._googlecloudstorage import GoogleCloudStorageIcon
from ._googlelens import GoogleLensIcon
from ._remedyentertainment import RemedyEntertainmentIcon
from ._mui import MuiIcon
from ._crunchyroll import CrunchyrollIcon
from ._xdadevelopers import XdaDevelopersIcon
from ._duolingo import DuolingoIcon
from ._appian import AppianIcon
from ._siyuan import SiyuanIcon
from ._picxy import PicxyIcon
from ._coda import CodaIcon
from ._immich import ImmichIcon
from ._parrotsecurity import ParrotSecurityIcon
from ._coil import CoilIcon
from ._genius import GeniusIcon
from ._cloud66 import CloudSixtySixIcon
from ._esphome import EsphomeIcon
from ._jpeg import JpegIcon
from ._metacritic import MetacriticIcon
from ._looker import LookerIcon
from ._fugacloud import FugaCloudIcon
from ._velog import VelogIcon
from ._veritas import VeritasIcon
from ._mongoose import MongooseIcon
from ._maserati import MaseratiIcon
from ._pipx import PipxIcon
from ._lit import LitIcon
from ._codeigniter import CodeigniterIcon
from ._metafilter import MetafilterIcon
from ._chef import ChefIcon
from ._simpleanalytics import SimpleAnalyticsIcon
from ._topdotgg import TopdotggIcon
from ._imessage import ImessageIcon
from ._ollama import OllamaIcon
from ._alltrails import AlltrailsIcon
from ._pelican import PelicanIcon
from ._sonar import SonarIcon
from ._spond import SpondIcon
from ._amazonprime import AmazonPrimeIcon
from ._porsche import PorscheIcon
from ._gamebanana import GamebananaIcon
from ._humhub import HumhubIcon
from ._bentley import BentleyIcon
from ._sony import SonyIcon
from ._kagi import KagiIcon
from ._gunicorn import GunicornIcon
from ._prepbytes import PrepbytesIcon
from ._logitechg import LogitechGIcon
from ._revolut import RevolutIcon
from ._testcafe import TestcafeIcon
from ._mercadopago import MercadoPagoIcon
from ._kakao import KakaoIcon
from ._facebook import FacebookIcon
from ._polymerproject import PolymerProjectIcon
from ._zcool import ZcoolIcon
from ._weasyl import WeasylIcon
from ._riseup import RiseupIcon
from ._odnoklassniki import OdnoklassnikiIcon
from ._pdq import PdqIcon
from ._elementary import ElementaryIcon
from ._okcupid import OkcupidIcon
from ._premierleague import PremierLeagueIcon
from ._archlinux import ArchLinuxIcon
from ._kaggle import KaggleIcon
from ._taobao import TaobaoIcon
from ._sartorius import SartoriusIcon
from ._wegame import WegameIcon
from ._gusto import GustoIcon
from ._semanticui import SemanticUiIcon
from ._adobeillustrator import AdobeIllustratorIcon
from ._icons8 import IconsEightIcon
from ._sellfy import SellfyIcon
from ._hbo import HboIcon
from ._xstate import XstateIcon
from ._shadow import ShadowIcon
from ._apacheant import ApacheAntIcon
from ._adp import AdpIcon
from ._linksys import LinksysIcon
from ._airtel import AirtelIcon
from ._dependabot import DependabotIcon
from ._fantom import FantomIcon
from ._stardock import StardockIcon
from ._lintcode import LintcodeIcon
from ._chrysler import ChryslerIcon
from ._rewe import ReweIcon
from ._triller import TrillerIcon
from ._crowdin import CrowdinIcon
from ._boxysvg import BoxySvgIcon
from ._decentraland import DecentralandIcon
from ._grapheneos import GrapheneosIcon
from ._speakerdeck import SpeakerDeckIcon
from ._tryhackme import TryhackmeIcon
from ._oshkosh import OshkoshIcon
from ._sennheiser import SennheiserIcon
from ._googlecloud import GoogleCloudIcon
from ._awssecretsmanager import AwsSecretsManagerIcon
from ._replit import ReplitIcon
from ._gitlfs import GitLfsIcon
from ._crowdsource import CrowdsourceIcon
from ._qwik import QwikIcon
from ._medibangpaint import MedibangPaintIcon
from ._rollupdotjs import RollupdotjsIcon
from ._gitlab import GitlabIcon
from ._klm import KlmIcon
from ._arlo import ArloIcon
from ._icon import IconIcon
from ._aframe import AframeIcon
from ._hatenabookmark import HatenaBookmarkIcon
from ._pandora import PandoraIcon
from ._revoltdotchat import RevoltdotchatIcon
from ._openbsd import OpenbsdIcon
from ._duckdb import DuckdbIcon
from ._blazemeter import BlazemeterIcon
from ._headphonezone import HeadphoneZoneIcon
from ._macos import MacosIcon
from ._jhipster import JhipsterIcon
from ._dji import DjiIcon
from ._tv4play import TvFourPlayIcon
from ._clubforce import ClubforceIcon
from ._darty import DartyIcon
from ._appveyor import AppveyorIcon
from ._apachehbase import ApacheHbaseIcon
from ._dragonframe import DragonframeIcon
from ._adobeindesign import AdobeIndesignIcon
from ._apifox import ApifoxIcon
from ._icicibank import IciciBankIcon
from ._jsfiddle import JsfiddleIcon
from ._ghost import GhostIcon
from ._underscoredotjs import UnderscoredotjsIcon
from ._dovecot import DovecotIcon
from ._edeka import EdekaIcon
from ._jasmine import JasmineIcon
from ._openjdk import OpenjdkIcon
from ._qnap import QnapIcon
from ._scrollreveal import ScrollrevealIcon
from ._akaunting import AkauntingIcon
from ._tunein import TuneinIcon
from ._curl import CurlIcon
from ._30secondsofcode import ThirtySecondsOfCodeIcon
from ._createreactapp import CreateReactAppIcon
from ._libreofficebase import LibreofficeBaseIcon
from ._netflix import NetflixIcon
from ._pinetwork import PiNetworkIcon
from ._purgecss import PurgecssIcon
from ._simplelogin import SimpleloginIcon
from ._singlestore import SinglestoreIcon
from ._yubico import YubicoIcon
from ._storybook import StorybookIcon
from ._gsk import GskIcon
from ._jitsi import JitsiIcon
from ._rollsroyce import RollsroyceIcon
from ._justeat import JustEatIcon
from ._trustpilot import TrustpilotIcon
from ._homeassistant import HomeAssistantIcon
from ._bukalapak import BukalapakIcon
from ._apacheguacamole import ApacheGuacamoleIcon
from ._amazonluna import AmazonLunaIcon
from ._mulesoft import MulesoftIcon
from ._turbosquid import TurbosquidIcon
from ._avira import AviraIcon
from ._teamviewer import TeamviewerIcon
from ._diaspora import DiasporaIcon
from ._vespa import VespaIcon
from ._keepassxc import KeepassxcIcon
from ._truenas import TruenasIcon
from ._erpnext import ErpnextIcon
from ._statuspal import StatuspalIcon
from ._nim import NimIcon
from ._hotjar import HotjarIcon
from ._gnubash import GnuBashIcon
from ._apostrophe import ApostropheIcon
from ._moo import MooIcon
from ._wagtail import WagtailIcon
from ._rumahweb import RumahwebIcon
from ._burgerking import BurgerKingIcon
from ._sourceengine import SourceEngineIcon
from ._jsonwebtokens import JsonWebTokensIcon
from ._pythonanywhere import PythonanywhereIcon
from ._anaconda import AnacondaIcon
from ._primeng import PrimengIcon
from ._firefish import FirefishIcon
from ._tarom import TaromIcon
from ._googlefit import GoogleFitIcon
from ._statuspage import StatuspageIcon
from ._houdini import HoudiniIcon
from ._douban import DoubanIcon
from ._bookbub import BookbubIcon
from ._niconico import NiconicoIcon
from ._statamic import StatamicIcon
from ._mixcloud import MixcloudIcon
from ._revealdotjs import RevealdotjsIcon
from ._affine import AffineIcon
from ._chupachups import ChupaChupsIcon
from ._moodle import MoodleIcon
from ._deepgram import DeepgramIcon
from ._make import MakeIcon
from ._cloudera import ClouderaIcon
from ._foxtel import FoxtelIcon
from ._jcb import JcbIcon
from ._actualbudget import ActualBudgetIcon
from ._googlecontaineroptimizedos import GoogleContainerOptimizedOsIcon
from ._paychex import PaychexIcon
from ._codingninjas import CodingNinjasIcon
from ._bricks import BricksIcon
from ._jirasoftware import JiraSoftwareIcon
from ._sage import SageIcon
from ._cloudfoundry import CloudFoundryIcon
from ._auth0 import AuthZeroIcon
from ._googlenews import GoogleNewsIcon
from ._openhab import OpenhabIcon
from ._bevy import BevyIcon
from ._rescript import RescriptIcon
from ._laragon import LaragonIcon
from ._calibreweb import CalibrewebIcon
from ._swr import SwrIcon
from ._qase import QaseIcon
from ._ton import TonIcon
from ._audiomack import AudiomackIcon
from ._storyblok import StoryblokIcon
from ._organicmaps import OrganicMapsIcon
from ._bittorrent import BittorrentIcon
from ._apachefreemarker import ApacheFreemarkerIcon
from ._unsplash import UnsplashIcon
from ._thesoundsresource import TheSoundsResourceIcon
from ._whatsapp import WhatsappIcon
from ._vmware import VmwareIcon
from ._swagger import SwaggerIcon
from ._googletranslate import GoogleTranslateIcon
from ._red import RedIcon
from ._feedly import FeedlyIcon
from ._haskell import HaskellIcon
from ._bmw import BmwIcon
from ._drone import DroneIcon
from ._codacy import CodacyIcon
from ._materialformkdocs import MaterialForMkdocsIcon
from ._wii import WiiIcon
from ._wagmi import WagmiIcon
from ._tiktok import TiktokIcon
from ._twinkly import TwinklyIcon
from ._knexdotjs import KnexdotjsIcon
from ._mqtt import MqttIcon
from ._uptimekuma import UptimeKumaIcon
from ._odysee import OdyseeIcon
from ._taipy import TaipyIcon
from ._flightaware import FlightawareIcon
from ._gumroad import GumroadIcon
from ._frontify import FrontifyIcon
from ._falco import FalcoIcon
from ._hevy import HevyIcon
from ._ltspice import LtspiceIcon
from ._wappalyzer import WappalyzerIcon
from ._invoiceninja import InvoiceNinjaIcon
from ._androidauto import AndroidAutoIcon
from ._upstash import UpstashIcon
from ._spacemacs import SpacemacsIcon
from ._haveibeenpwned import HaveibeenpwnedIcon
from ._sublimetext import SublimeTextIcon
from ._kingstontechnology import KingstonTechnologyIcon
from ._railway import RailwayIcon
from ._logmein import LogmeinIcon
from ._starz import StarzIcon
from ._dungeonsanddragons import DungeonsandDragonsIcon
from ._ntfy import NtfyIcon
from ._vega import VegaIcon
from ._bitdefender import BitdefenderIcon
from ._aral import AralIcon
from ._rhinoceros import RhinocerosIcon
from ._minio import MinioIcon
from ._livewire import LivewireIcon
from ._loom import LoomIcon
from ._mainwp import MainwpIcon
from ._cocoapods import CocoapodsIcon
from ._paddlepaddle import PaddlepaddleIcon
from ._bombardier import BombardierIcon
from ._malwarebytes import MalwarebytesIcon
from ._dailymotion import DailymotionIcon
from ._snapcraft import SnapcraftIcon
from ._tiddlywiki import TiddlywikiIcon
from ._elastic import ElasticIcon
from ._foobar2000 import FoobarTwoThousandIcon
from ._adobeaudition import AdobeAuditionIcon
from ._picnic import PicnicIcon
from ._goodreads import GoodreadsIcon
from ._roon import RoonIcon
from ._googlebigtable import GoogleBigtableIcon
from ._datadotai import DatadotaiIcon
from ._picrew import PicrewIcon
from ._syncthing import SyncthingIcon
from ._hyprland import HyprlandIcon
from ._gatling import GatlingIcon
from ._youtubetv import YoutubeTvIcon
from ._sonarr import SonarrIcon
from ._fandango import FandangoIcon
from ._gofundme import GofundmeIcon
from ._erlang import ErlangIcon
from ._wiiu import WiiUIcon
from ._udemy import UdemyIcon
from ._cadillac import CadillacIcon
from ._scrimba import ScrimbaIcon
from ._cockroachlabs import CockroachLabsIcon
from ._giphy import GiphyIcon
from ._khronosgroup import KhronosGroupIcon
from ._unity import UnityIcon
from ._podcastindex import PodcastIndexIcon
from ._codechef import CodechefIcon
from ._googlekeep import GoogleKeepIcon
from ._foursquare import FoursquareIcon
from ._protonvpn import ProtonVpnIcon
from ._gmail import GmailIcon
from ._milvus import MilvusIcon
from ._cilium import CiliumIcon
from ._serverless import ServerlessIcon
from ._gnu import GnuIcon
from ._mintlify import MintlifyIcon
from ._yamahacorporation import YamahaCorporationIcon
from ._kong import KongIcon
from ._opensea import OpenseaIcon
from ._alby import AlbyIcon
from ._plotly import PlotlyIcon
from ._proteus import ProteusIcon
from ._budibase import BudibaseIcon
from ._webdriverio import WebdriverioIcon
from ._wgpu import WgpuIcon
from ._quantconnect import QuantconnectIcon
from ._comma import CommaIcon
from ._unrealengine import UnrealEngineIcon
from ._maildotcom import MaildotcomIcon
from ._gnome import GnomeIcon
from ._mautic import MauticIcon
from ._epicgames import EpicGamesIcon
from ._adafruit import AdafruitIcon
from ._ycombinator import YCombinatorIcon
from ._qzone import QzoneIcon
from ._itchdotio import ItchdotioIcon
from ._zod import ZodIcon
from ._freedesktopdotorg import FreedesktopdotorgIcon
from ._chartmogul import ChartmogulIcon
from ._karlsruherverkehrsverbund import KarlsruherVerkehrsverbundIcon
from ._freepik import FreepikIcon
from ._cycling74 import CyclingSeventyFourIcon
from ._laravel import LaravelIcon
from ._alfred import AlfredIcon
from ._onstar import OnstarIcon
from ._fitbit import FitbitIcon
from ._aiqfome import AiqfomeIcon
from ._kaspersky import KasperskyIcon
from ._norwegian import NorwegianIcon
from ._zsh import ZshIcon
from ._apacheairflow import ApacheAirflowIcon
from ._packer import PackerIcon
from ._contentstack import ContentstackIcon
from ._sefaria import SefariaIcon
from ._wantedly import WantedlyIcon
from ._ford import FordIcon
from ._pfsense import PfsenseIcon
from ._androidstudio import AndroidStudioIcon
from ._autodeskrevit import AutodeskRevitIcon
from ._blackberry import BlackberryIcon
from ._lapce import LapceIcon
from ._ubiquiti import UbiquitiIcon
from ._bigcommerce import BigcommerceIcon
from ._audiobookshelf import AudiobookshelfIcon
from ._mcdonalds import McdonaldsIcon
from ._nikon import NikonIcon
from ._strongswan import StrongswanIcon
from ._skaffold import SkaffoldIcon
from ._builtbybit import BuiltbybitIcon
from ._publons import PublonsIcon
from ._theodinproject import TheOdinProjectIcon
from ._thymeleaf import ThymeleafIcon
from ._leetcode import LeetcodeIcon
from ._librarything import LibrarythingIcon
from ._iberia import IberiaIcon
from ._skyrock import SkyrockIcon
from ._salesforce import SalesforceIcon
from ._pulumi import PulumiIcon
from ._telegraph import TelegraphIcon
from ._kentico import KenticoIcon
from ._amazonsqs import AmazonSqsIcon
from ._zend import ZendIcon
from ._ndr import NdrIcon
from ._bisecthosting import BisecthostingIcon
from ._playerfm import PlayerFmIcon
from ._spinrilla import SpinrillaIcon
from ._yr import YrIcon
from ._showtime import ShowtimeIcon
from ._hyundai import HyundaiIcon
from ._imdb import ImdbIcon
from ._intercom import IntercomIcon
from ._stryker import StrykerIcon
from ._saopaulometro import SaoPauloMetroIcon
from ._flatpak import FlatpakIcon
from ._apachecouchdb import ApacheCouchdbIcon
from ._spaceship import SpaceshipIcon
from ._teepublic import TeepublicIcon
from ._wykop import WykopIcon
from ._typeform import TypeformIcon
from ._googleadmob import GoogleAdmobIcon
from ._retroarch import RetroarchIcon
from ._logitech import LogitechIcon
from ._armkeil import ArmKeilIcon
from ._stackhawk import StackhawkIcon
from ._infoq import InfoqIcon
from ._hashicorp import HashicorpIcon
from ._soundcloud import SoundcloudIcon
from ._apacherocketmq import ApacheRocketmqIcon
from ._chromatic import ChromaticIcon
from ._checkio import CheckioIcon
from ._opensuse import OpensuseIcon
from ._tower import TowerIcon
from ._lastpass import LastpassIcon
from ._amazonredshift import AmazonRedshiftIcon
from ._irobot import IrobotIcon
from ._barmenia import BarmeniaIcon
from ._googlepay import GooglePayIcon
from ._intigriti import IntigritiIcon
from ._awsfargate import AwsFargateIcon
from ._abbrobotstudio import AbbRobotstudioIcon
from ._libreofficecalc import LibreofficeCalcIcon
from ._cssmodules import CssModulesIcon
from ._squareenix import SquareEnixIcon
from ._tencentqq import TencentQqIcon
from ._wikimediacommons import WikimediaCommonsIcon
from ._eclipsemosquitto import EclipseMosquittoIcon
from ._jest import JestIcon
from ._britishairways import BritishAirwaysIcon
from ._affinitydesigner import AffinityDesignerIcon
from ._googleearthengine import GoogleEarthEngineIcon
from ._gitee import GiteeIcon
from ._osf import OsfIcon
from ._radar import RadarIcon
from ._hungryjacks import HungryJacksIcon
from ._apmterminals import ApmTerminalsIcon
from ._365datascience import ThreeHundredAndSixtyFiveDataScienceIcon
from ._hugo import HugoIcon
from ._redcandlegames import RedCandleGamesIcon
from ._substack import SubstackIcon
from ._joomla import JoomlaIcon
from ._notist import NotistIcon
from ._dunked import DunkedIcon
from ._steelseries import SteelseriesIcon
from ._emby import EmbyIcon
from ._honor import HonorIcon
from ._nordvpn import NordvpnIcon
from ._citrix import CitrixIcon
from ._slashdot import SlashdotIcon
from ._paramountplus import ParamountplusIcon
from ._cockpit import CockpitIcon
from ._godaddy import GodaddyIcon
from ._googledisplayandvideo360 import (
    GoogleDisplayandVideoThreeHundredAndSixtyIcon
)
from ._flux import FluxIcon
from ._googlechrome import GoogleChromeIcon
from ._qt import QtIcon
from ._nfc import NfcIcon
from ._quizlet import QuizletIcon
from ._verizon import VerizonIcon
from ._countingworkspro import CountingworksProIcon
from ._tsnode import TsnodeIcon
from ._dwm import DwmIcon
from ._carto import CartoIcon
from ._globus import GlobusIcon
from ._sphinx import SphinxIcon
from ._chromecast import ChromecastIcon
from ._jinja import JinjaIcon
from ._redash import RedashIcon
from ._ravelry import RavelryIcon
from ._containerd import ContainerdIcon
from ._meituan import MeituanIcon
from ._blogger import BloggerIcon
from ._codewars import CodewarsIcon
from ._backbonedotjs import BackbonedotjsIcon
from ._nxp import NxpIcon
from ._torproject import TorProjectIcon
from ._rockylinux import RockyLinuxIcon
from ._qwiklabs import QwiklabsIcon
from ._d import DIcon
from ._marriott import MarriottIcon
from ._thingiverse import ThingiverseIcon
from ._latex import LatexIcon
from ._pubmed import PubmedIcon
from ._dropbox import DropboxIcon
from ._shortcut import ShortcutIcon
from ._ejs import EjsIcon
from ._icloud import IcloudIcon
from ._nubank import NubankIcon
from ._expedia import ExpediaIcon
from ._airtable import AirtableIcon
from ._ssrn import SsrnIcon
from ._fifa import FifaIcon
from ._leptos import LeptosIcon
from ._tripdotcom import TripdotcomIcon
from ._viaplay import ViaplayIcon
from ._pydantic import PydanticIcon
from ._anydesk import AnydeskIcon
from ._webpack import WebpackIcon
from ._wizzair import WizzAirIcon
from ._keycloak import KeycloakIcon
from ._webcomponentsdotorg import WebcomponentsdotorgIcon
from ._flood import FloodIcon
from ._helpscout import HelpScoutIcon
from ._mantine import MantineIcon
from ._googleplay import GooglePlayIcon
from ._podcastaddict import PodcastAddictIcon
from ._gameandwatch import GameandWatchIcon
from ._tubi import TubiIcon
from ._micropython import MicropythonIcon
from ._amul import AmulIcon
from ._pond5 import PondFiveIcon
from ._temporal import TemporalIcon
from ._prevention import PreventionIcon
from ._invision import InvisionIcon
from ._freecad import FreecadIcon
from ._tamiya import TamiyaIcon
from ._edx import EdxIcon
from ._javascript import JavascriptIcon
from ._abbvie import AbbvieIcon
from ._rumble import RumbleIcon
from ._crehana import CrehanaIcon
from ._express import ExpressIcon
from ._pypi import PypiIcon
from ._musicbrainz import MusicbrainzIcon
from ._woocommerce import WoocommerceIcon
from ._habr import HabrIcon
from ._deutschewelle import DeutscheWelleIcon
from ._planetscale import PlanetscaleIcon
from ._aircall import AircallIcon
from ._gatsby import GatsbyIcon
from ._googlepubsub import GooglePubsubIcon
from ._zigbee2mqtt import ZigbeeTwoMqttIcon
from ._sitepoint import SitepointIcon
from ._autocannon import AutocannonIcon
from ._librewolf import LibrewolfIcon
from ._kodak import KodakIcon
from ._spine import SpineIcon
from ._near import NearIcon
from ._netdata import NetdataIcon
from ._postman import PostmanIcon
from ._googlephotos import GooglePhotosIcon
from ._linuxfoundation import LinuxFoundationIcon
from ._autoprefixer import AutoprefixerIcon
from ._arangodb import ArangodbIcon
from ._ankermake import AnkermakeIcon
from ._prisma import PrismaIcon
from ._sparkpost import SparkpostIcon
from ._nuxtdotjs import NuxtdotjsIcon
from ._meizu import MeizuIcon
from ._atandt import AtandtIcon
from ._libreofficewriter import LibreofficeWriterIcon
from ._moq import MoqIcon
from ._hibernate import HibernateIcon
from ._authentik import AuthentikIcon
from ._basicattentiontoken import BasicAttentionTokenIcon
from ._eclipseche import EclipseCheIcon
from ._raycast import RaycastIcon
from ._kik import KikIcon
from ._dlib import DlibIcon
from ._dictionarydotcom import DictionarydotcomIcon
from ._cesium import CesiumIcon
from ._ritzcarlton import RitzCarltonIcon
from ._wpexplorer import WpexplorerIcon
from ._cairometro import CairoMetroIcon
from ._trivago import TrivagoIcon
from ._bun import BunIcon
from ._intermarche import IntermarcheIcon
from ._canvas import CanvasIcon
from ._huawei import HuaweiIcon
from ._ups import UpsIcon
from ._zerodha import ZerodhaIcon
from ._pterodactyl import PterodactylIcon
from ._fox import FoxIcon
from ._airbus import AirbusIcon
from ._pycqa import PycqaIcon
from ._delonghi import DelonghiIcon
from ._kicad import KicadIcon
from ._zalando import ZalandoIcon
from ._nissan import NissanIcon
from ._xo import XoIcon
from ._ccleaner import CcleanerIcon
from ._theirishtimes import TheIrishTimesIcon
from ._netcup import NetcupIcon
from ._playstationportable import PlaystationPortableIcon
from ._vexxhost import VexxhostIcon
from ._tldraw import TldrawIcon
from ._pix import PixIcon
from ._iobroker import IobrokerIcon
from ._hootsuite import HootsuiteIcon
from ._quarkus import QuarkusIcon
from ._multisim import MultisimIcon
from ._cloudbees import CloudbeesIcon
from ._stackshare import StackshareIcon
from ._datacamp import DatacampIcon
from ._mermaid import MermaidIcon
from ._chase import ChaseIcon
from ._swc import SwcIcon
from ._fontbase import FontbaseIcon
from ._betterstack import BetterStackIcon
from ._fossa import FossaIcon
from ._pysyft import PysyftIcon
from ._npm import NpmIcon
from ._vim import VimIcon
from ._readme import ReadmeIcon
from ._sass import SassIcon
from ._pytorch import PytorchIcon
from ._ionos import IonosIcon
from ._probot import ProbotIcon
from ._googlemarketingplatform import GoogleMarketingPlatformIcon
from ._helm import HelmIcon
from ._cloudinary import CloudinaryIcon
from ._siemens import SiemensIcon
from ._minetest import MinetestIcon
from ._nokia import NokiaIcon
from ._calendly import CalendlyIcon
from ._alibabacloud import AlibabaCloudIcon
from ._afterpay import AfterpayIcon
from ._springboot import SpringBootIcon
from ._applenews import AppleNewsIcon
from ._renren import RenrenIcon
from ._walmart import WalmartIcon
from ._yoast import YoastIcon
from ._adidas import AdidasIcon
from ._eslint import EslintIcon
from ._jaeger import JaegerIcon
from ._mariadb import MariadbIcon
from ._todoist import TodoistIcon
from ._creativecommons import CreativeCommonsIcon
from ._setapp import SetappIcon
from ._pug import PugIcon
from ._marko import MarkoIcon
from ._githubactions import GithubActionsIcon
from ._derspiegel import DerSpiegelIcon
from ._spreadshirt import SpreadshirtIcon
from ._4d import FourDIcon
from ._draugiemdotlv import DraugiemdotlvIcon
from ._v2ex import VTwoExIcon
from ._tumblr import TumblrIcon
from ._rocketdotchat import RocketdotchatIcon
from ._google import GoogleIcon
from ._albertheijn import AlbertHeijnIcon
from ._celestron import CelestronIcon
from ._amazonmusic import AmazonMusicIcon
from ._asus import AsusIcon
from ._marketo import MarketoIcon
from ._cplusplus import CplusplusIcon
from ._pdm import PdmIcon
from ._hilton import HiltonIcon
from ._mattermost import MattermostIcon
from ._amazoncloudwatch import AmazonCloudwatchIcon
from ._songkick import SongkickIcon
from ._volkswagen import VolkswagenIcon
from ._datev import DatevIcon
from ._kahoot import KahootIcon
from ._zabka import ZabkaIcon
from ._testrail import TestrailIcon
from ._warp import WarpIcon
from ._scratch import ScratchIcon
from ._2k import TwoKIcon
from ._umami import UmamiIcon
from ._lucid import LucidIcon
from ._boeing import BoeingIcon
from ._toshiba import ToshibaIcon
from ._cbc import CbcIcon
from ._kfc import KfcIcon
from ._sqlite import SqliteIcon
from ._php import PhpIcon
from ._ros import RosIcon
from ._instagram import InstagramIcon
from ._macpaw import MacpawIcon
from ._compilerexplorer import CompilerExplorerIcon
from ._ublockorigin import UblockOriginIcon
from ._sourceforge import SourceforgeIcon
from ._asana import AsanaIcon
from ._monster import MonsterIcon
from ._minutemailer import MinutemailerIcon
from ._disqus import DisqusIcon
from ._charles import CharlesIcon
from ._apollographql import ApolloGraphqlIcon
from ._hackclub import HackClubIcon
from ._editorconfig import EditorconfigIcon
from ._umbraco import UmbracoIcon
from ._r import RIcon
from ._webauthn import WebauthnIcon
from ._opentofu import OpentofuIcon
from ._glovo import GlovoIcon
from ._qualys import QualysIcon
from ._graphql import GraphqlIcon
from ._porkbun import PorkbunIcon
from ._nodedotjs import NodedotjsIcon
from ._amazonapigateway import AmazonApiGatewayIcon
from ._misskey import MisskeyIcon
from ._konva import KonvaIcon
from ._acer import AcerIcon
from ._anytype import AnytypeIcon
from ._amd import AmdIcon
from ._agora import AgoraIcon
from ._carlsberggroup import CarlsbergGroupIcon
from ._gstreamer import GstreamerIcon
from ._mozilla import MozillaIcon
from ._momenteo import MomenteoIcon
from ._lubuntu import LubuntuIcon
from ._huggingface import HuggingFaceIcon
from ._rust import RustIcon
from ._first import FirstIcon
from ._toptal import ToptalIcon
from ._ferrarinv import FerrariNdotvdotIcon
from ._revue import RevueIcon
from ._3m import ThreeMIcon
from ._argos import ArgosIcon
from ._netto import NettoIcon
from ._picpay import PicpayIcon
from ._beijingsubway import BeijingSubwayIcon
from ._reduxsaga import ReduxsagaIcon
from ._ohdear import OhDearIcon
from ._piaggiogroup import PiaggioGroupIcon
from ._subversion import SubversionIcon
from ._dvc import DvcIcon
from ._viadeo import ViadeoIcon
from ._hostinger import HostingerIcon
from ._ckeditor4 import CkeditorFourIcon
from ._libreofficedraw import LibreofficeDrawIcon
from ._adobexd import AdobeXdIcon
from ._unacademy import UnacademyIcon
from ._wikipedia import WikipediaIcon
from ._filedotio import FiledotioIcon
from ._pwa import PwaIcon
from ._ovh import OvhIcon
from ._canonical import CanonicalIcon
from ._borgbackup import BorgbackupIcon
from ._plume import PlumeIcon
from ._darkreader import DarkReaderIcon
from ._clerk import ClerkIcon
from ._zoiper import ZoiperIcon
from ._facebookgaming import FacebookGamingIcon
from ._kdeplasma import KdePlasmaIcon
from ._decapcms import DecapCmsIcon
from ._depositphotos import DepositphotosIcon
from ._crewunited import CrewUnitedIcon
from ._openstreetmap import OpenstreetmapIcon
from ._g2g import GTwoGIcon
from ._zedindustries import ZedIndustriesIcon
from ._dovetail import DovetailIcon
from ._tabelog import TabelogIcon
from ._f1 import FOneIcon
from ._spreaker import SpreakerIcon
from ._amazondynamodb import AmazonDynamodbIcon
from ._seatgeek import SeatgeekIcon
from ._sparkasse import SparkasseIcon
from ._spectrum import SpectrumIcon
from ._ubuntu import UbuntuIcon
from ._reactivex import ReactivexIcon
from ._resurrectionremixos import ResurrectionRemixOsIcon
from ._folium import FoliumIcon
from ._snowpack import SnowpackIcon
from ._doctrine import DoctrineIcon
from ._pexels import PexelsIcon
from ._showpad import ShowpadIcon
from ._alamy import AlamyIcon
from ._woo import WooIcon
from ._itvx import ItvxIcon
from ._sailfishos import SailfishOsIcon
from ._tokyometro import TokyoMetroIcon
from ._twitch import TwitchIcon
from ._dbeaver import DbeaverIcon
from ._bim import BimIcon
from ._netlify import NetlifyIcon
from ._mailboxdotorg import MailboxdotorgIcon
from ._buefy import BuefyIcon
from ._jabber import JabberIcon
from ._lineageos import LineageosIcon
from ._surrealdb import SurrealdbIcon
from ._turbo import TurboIcon
from ._samsclub import SamsClubIcon
from ._graylog import GraylogIcon
from ._go import GoIcon
from ._tinkercad import TinkercadIcon
from ._csdn import CsdnIcon
from ._monzo import MonzoIcon
from ._rubyonrails import RubyOnRailsIcon
from ._gnuicecat import GnuIcecatIcon
from ._hitachi import HitachiIcon
from ._yaml import YamlIcon
from ._abbott import AbbottIcon
from ._sparkar import SparkArIcon
from ._lastdotfm import LastdotfmIcon
from ._openvpn import OpenvpnIcon
from ._httpie import HttpieIcon
from ._i18next import IEighteenNextIcon
from ._backstage import BackstageIcon
from ._grammarly import GrammarlyIcon
from ._shelly import ShellyIcon
from ._aew import AewIcon
from ._meetup import MeetupIcon
from ._printables import PrintablesIcon
from ._racket import RacketIcon
from ._stackbit import StackbitIcon
from ._rockstargames import RockstarGamesIcon
from ._osgeo import OsgeoIcon
from ._happycow import HappycowIcon
from ._homarr import HomarrIcon
from ._mlflow import MlflowIcon
from ._istio import IstioIcon
from ._soriana import SorianaIcon
from ._quora import QuoraIcon
from ._surveymonkey import SurveymonkeyIcon
from ._klarna import KlarnaIcon
from ._hermes import HermesIcon
from ._webmoney import WebmoneyIcon
from ._ram import RamIcon
from ._spotlight import SpotlightIcon
from ._codeclimate import CodeClimateIcon
from ._platzi import PlatziIcon
from ._svgo import SvgoIcon
from ._notion import NotionIcon
from ._slickpic import SlickpicIcon
from ._transportforireland import TransportForIrelandIcon
from ._zerply import ZerplyIcon
from ._githubpages import GithubPagesIcon
from ._ea import EaIcon
from ._paloaltosoftware import PaloAltoSoftwareIcon
from ._mediafire import MediafireIcon
from ._zotero import ZoteroIcon
from ._threedotjs import ThreedotjsIcon
from ._googlesheets import GoogleSheetsIcon
from ._bvg import BvgIcon
from ._prezi import PreziIcon
from ._crayon import CrayonIcon
from ._centos import CentosIcon
from ._hdfcbank import HdfcBankIcon
from ._nvidia import NvidiaIcon
from ._battledotnet import BattledotnetIcon
from ._claris import ClarisIcon
from ._eclipseadoptium import EclipseAdoptiumIcon
from ._vite import ViteIcon
from ._piapro import PiaproIcon
from ._nicehash import NicehashIcon
from ._apachekylin import ApacheKylinIcon
from ._canva import CanvaIcon
from ._wolfram import WolframIcon
from ._baserow import BaserowIcon
from ._prosieben import ProsiebenIcon
from ._chainguard import ChainguardIcon
from ._linuxserver import LinuxserverIcon
from ._neovim import NeovimIcon
from ._bower import BowerIcon
from ._angular import AngularIcon
from ._xing import XingIcon
from ._glitch import GlitchIcon
from ._osmc import OsmcIcon
from ._piped import PipedIcon
from ._hibob import HiBobIcon
from ._postmates import PostmatesIcon
from ._deutschepost import DeutschePostIcon
from ._numba import NumbaIcon
from ._json import JsonIcon
from ._redhat import RedHatIcon
from ._zhihu import ZhihuIcon
from ._toyota import ToyotaIcon
from ._kaios import KaiosIcon
from ._coinmarketcap import CoinmarketcapIcon
from ._paloaltonetworks import PaloAltoNetworksIcon
from ._wprocket import WpRocketIcon
from ._openjsfoundation import OpenjsFoundationIcon
from ._starbucks import StarbucksIcon
from ._myob import MyobIcon
from ._dbt import DbtIcon
from ._thangs import ThangsIcon
from ._openbadges import OpenBadgesIcon
from ._bspwm import BspwmIcon
from ._handlebarsdotjs import HandlebarsdotjsIcon
from ._lua import LuaIcon
from ._python import PythonIcon
from ._talend import TalendIcon
from ._drizzle import DrizzleIcon
from ._codepen import CodepenIcon
from ._signal import SignalIcon
from ._husqvarna import HusqvarnaIcon
from ._unlicense import UnlicenseIcon
from ._etihadairways import EtihadAirwaysIcon
from ._improvmx import ImprovmxIcon
from ._googlestreetview import GoogleStreetViewIcon
from ._monogame import MonogameIcon
from ._infosys import InfosysIcon
from ._antdesign import AntDesignIcon
from ._juce import JuceIcon
from ._moonrepo import MoonrepoIcon
from ._lemmy import LemmyIcon
from ._infracost import InfracostIcon
from ._babel import BabelIcon
from ._lumen import LumenIcon
from ._vapor import VaporIcon
from ._googleauthenticator import GoogleAuthenticatorIcon
from ._graphite import GraphiteIcon
from ._airchina import AirChinaIcon
from ._sketchfab import SketchfabIcon
from ._xampp import XamppIcon
from ._now import NowIcon
from ._mubi import MubiIcon
from ._toml import TomlIcon
from ._veed import VeedIcon
from ._hcl import HclIcon
from ._empirekred import EmpireKredIcon
from ._bosch import BoschIcon
from ._phosphoricons import PhosphorIconsIcon
from ._vitess import VitessIcon
from ._binance import BinanceIcon
from ._steem import SteemIcon
from ._suno import SunoIcon
from ._clubhouse import ClubhouseIcon
from ._codefactor import CodefactorIcon
from ._akamai import AkamaiIcon
from ._codestream import CodestreamIcon
from ._ruff import RuffIcon
from ._applepodcasts import ApplePodcastsIcon
from ._rtm import RtmIcon
from ._securityscorecard import SecurityscorecardIcon
from ._appsignal import AppsignalIcon
from ._presto import PrestoIcon
from ._streamlabs import StreamlabsIcon
from ._gsmarenadotcom import GsmarenadotcomIcon
from ._mumble import MumbleIcon
from ._teamspeak import TeamspeakIcon
from ._n8n import NEightNIcon
from ._tata import TataIcon
from ._fila import FilaIcon
from ._kibana import KibanaIcon
from ._supercrease import SupercreaseIcon
from ._vox import VoxIcon
from ._gitbook import GitbookIcon
from ._fig import FigIcon
from ._roboflow import RoboflowIcon
from ._smrt import SmrtIcon
from ._elasticsearch import ElasticsearchIcon
from ._cryengine import CryengineIcon
from ._paddypower import PaddyPowerIcon
from ._stackexchange import StackExchangeIcon
from ._muo import MuoIcon
from ._chinasouthernairlines import ChinaSouthernAirlinesIcon
from ._tekton import TektonIcon
from ._googleslides import GoogleSlidesIcon
from ._semanticscholar import SemanticScholarIcon
from ._adobeaftereffects import AdobeAfterEffectsIcon
from ._youtubestudio import YoutubeStudioIcon
from ._scania import ScaniaIcon
from ._deluge import DelugeIcon
from ._atlassian import AtlassianIcon
from ._slack import SlackIcon
from ._norco import NorcoIcon
from ._codefresh import CodefreshIcon
from ._distrokid import DistrokidIcon
from ._cnn import CnnIcon
from ._satellite import SatelliteIcon
from ._isc2 import IscTwoIcon
from ._citroen import CitroenIcon
from ._openzfs import OpenzfsIcon
from ._alchemy import AlchemyIcon
from ._boehringeringelheim import BoehringerIngelheimIcon
from ._phpmyadmin import PhpmyadminIcon
from ._sqlalchemy import SqlalchemyIcon
from ._robinhood import RobinhoodIcon
from ._animalplanet import AnimalPlanetIcon
from ._alpinelinux import AlpineLinuxIcon
from ._coop import CoopIcon
from ._xsplit import XsplitIcon
from ._rootssage import RootsSageIcon
from ._wikidotgg import WikidotggIcon
from ._ticketmaster import TicketmasterIcon
from ._meta import MetaIcon
from ._redwoodjs import RedwoodjsIcon
from ._pyscaffold import PyscaffoldIcon
from ._uniqlo_ja import UniqloIcon
from ._threads import ThreadsIcon
from ._upptime import UpptimeIcon
from ._bitrise import BitriseIcon
from ._msibusiness import MsiBusinessIcon
from ._askfm import AskfmIcon
from ._apachehive import ApacheHiveIcon
from ._arxiv import ArxivIcon
from ._junit5 import JunitFiveIcon
from ._dapr import DaprIcon
from ._w3schools import WThreeSchoolsIcon
from ._coffeescript import CoffeescriptIcon
from ._namecheap import NamecheapIcon
from ._css3 import CssThreeIcon
from ._voidlinux import VoidLinuxIcon
from ._handshake_protocol import HandshakeIcon1
from ._telegram import TelegramIcon
from ._less import LessIcon
from ._bambulab import BambuLabIcon
from ._nunjucks import NunjucksIcon
from ._avajs import AvajsIcon
from ._malt import MaltIcon
from ._applemusic import AppleMusicIcon
from ._sourcetree import SourcetreeIcon
from ._simpleicons import SimpleIconsIcon
from ._coinbase import CoinbaseIcon
from ._kyocera import KyoceraIcon
from ._rootme import RootMeIcon
from ._caffeine import CaffeineIcon
from ._funimation import FunimationIcon
from ._tradingview import TradingviewIcon
from ._googletasks import GoogleTasksIcon
from ._puma import PumaIcon
from ._utorrent import UtorrentIcon
from ._downdetector import DowndetectorIcon
from ._merck import MerckIcon
from ._dreamstime import DreamstimeIcon
from ._basecamp import BasecampIcon
from ._shazam import ShazamIcon
from ._retropie import RetropieIcon
from ._sap import SapIcon
from ._zulip import ZulipIcon
from ._protoncalendar import ProtonCalendarIcon
from ._generalmotors import GeneralMotorsIcon
from ._aidungeon import AiDungeonIcon
from ._framework7 import FrameworkSevenIcon
from ._steamworks import SteamworksIcon
from ._launchpad import LaunchpadIcon
from ._yeti import YetiIcon
from ._googlefonts import GoogleFontsIcon
from ._bigcartel import BigCartelIcon
from ._asciidoctor import AsciidoctorIcon
from ._ana import AnaIcon
from ._pretzel import PretzelIcon
from ._ifttt import IftttIcon
from ._virginmedia import VirginMediaIcon
from ._mentorcruise import MentorcruiseIcon
from ._dior import DiorIcon
from ._fathom import FathomIcon
from ._enterprisedb import EnterprisedbIcon
from ._opsgenie import OpsgenieIcon
from ._arduino import ArduinoIcon
from ._nintendo3ds import NintendoThreeDsIcon
from ._mdnwebdocs import MdnWebDocsIcon
from ._vbulletin import VbulletinIcon
from ._chartdotjs import ChartdotjsIcon
from ._semanticweb import SemanticWebIcon
from ._electronfiddle import ElectronFiddleIcon
from ._bentoml import BentomlIcon
from ._craftsman import CraftsmanIcon
from ._themighty import TheMightyIcon
from ._powers import PowersIcon
from ._bereal import BerealIcon
from ._equinixmetal import EquinixMetalIcon
from ._fairphone import FairphoneIcon
from ._googleadsense import GoogleAdsenseIcon
from ._heroku import HerokuIcon
from ._cpanel import CpanelIcon
from ._materialdesign import MaterialDesignIcon
from ._sega import SegaIcon
from ._tado import TadoIcon
from ._soundcharts import SoundchartsIcon
from ._protools import ProToolsIcon
from ._fozzy import FozzyIcon
from ._endeavouros import EndeavourosIcon
from ._hono import HonoIcon
from ._googleforms import GoogleFormsIcon
from ._chakraui import ChakraUiIcon
from ._astra import AstraIcon
from ._jira import JiraIcon
from ._freenas import FreenasIcon
from ._adobeacrobatreader import AdobeAcrobatReaderIcon
from ._phonepe import PhonepeIcon
from ._codeblocks import CodeblocksIcon
from ._wolframmathematica import WolframMathematicaIcon
from ._payoneer import PayoneerIcon
from ._nike import NikeIcon
from ._reactrouter import ReactRouterIcon
from ._monkeytie import MonkeyTieIcon
from ._kia import KiaIcon
from ._natsdotio import NatsdotioIcon
from ._googlegemini import GoogleGeminiIcon
from ._tailscale import TailscaleIcon
from ._riotgames import RiotGamesIcon
from ._koa import KoaIcon
from ._amazonwebservices import AmazonWebServicesIcon
from ._junipernetworks import JuniperNetworksIcon
from ._gamejolt import GameJoltIcon
from ._semver import SemverIcon
from ._muller import MullerIcon
from ._wasmer import WasmerIcon
from ._sifive import SifiveIcon
from ._opencollective import OpenCollectiveIcon
from ._coronarenderer import CoronaRendererIcon
from ._blazor import BlazorIcon
from ._nginx import NginxIcon
from ._stitcher import StitcherIcon
from ._singaporeairlines import SingaporeAirlinesIcon
from ._render import RenderIcon
from ._socialblade import SocialBladeIcon
from ._ebay import EbayIcon
from ._sidekiq import SidekiqIcon
from ._hackerrank import HackerrankIcon
from ._edotleclerc import EdotleclercIcon
from ._fsecure import FsecureIcon
from ._audacity import AudacityIcon
from ._scribd import ScribdIcon
from ._audiotechnica import AudiotechnicaIcon
from ._wireguard import WireguardIcon
from ._k3s import KThreeSIcon
from ._ipfs import IpfsIcon
from ._paperswithcode import PapersWithCodeIcon
from ._playerdotme import PlayerdotmeIcon
from ._teradata import TeradataIcon
from ._clockify import ClockifyIcon
from ._yunohost import YunohostIcon
from ._checkmk import CheckmkIcon
from ._turso import TursoIcon
from ._wails import WailsIcon
from ._zoom import ZoomIcon
from ._helium import HeliumIcon
from ._bruno import BrunoIcon
from ._lucia import LuciaIcon
from ._steinberg import SteinbergIcon
from ._goldenline import GoldenlineIcon
from ._1password import OnePasswordIcon
from ._harmonyos import HarmonyosIcon
from ._phabricator import PhabricatorIcon
from ._alacritty import AlacrittyIcon
from ._hackerone import HackeroneIcon
from ._resend import ResendIcon
from ._sinaweibo import SinaWeiboIcon
from ._polygon import PolygonIcon
from ._sunrise import SunriseIcon
from ._lamborghini import LamborghiniIcon
from ._wish import WishIcon
from ._quicktype import QuicktypeIcon
from ._stockx import StockxIcon
from ._verdaccio import VerdaccioIcon
from ._mongoosedotws import MongooseIcon1
from ._academia import AcademiaIcon
from ._theweatherchannel import TheWeatherChannelIcon
from ._nbc import NbcIcon
from ._spoj import SphereOnlineJudgeIcon
from ._neo4j import NeoFourJIcon
from ._anilist import AnilistIcon
from ._algolia import AlgoliaIcon
from ._esbuild import EsbuildIcon
from ._landrover import LandRoverIcon
from ._sequelize import SequelizeIcon
from ._microdotblog import MicrodotblogIcon
from ._levelsdotfyi import LevelsdotfyiIcon
from ._openaccess import OpenAccessIcon
from ._ingress import IngressIcon
from ._trustedshops import TrustedShopsIcon
from ._producthunt import ProductHuntIcon
from ._snort import SnortIcon
from ._letsencrypt import LetsEncryptIcon
from ._mercedes import MercedesIcon
from ._hsbc import HsbcIcon
from ._googleassistant import GoogleAssistantIcon
from ._hive_blockchain import HiveIcon
from ._openai import OpenaiIcon
from ._treyarch import TreyarchIcon
from ._altiumdesigner import AltiumDesignerIcon
from ._knowledgebase import KnowledgebaseIcon
from ._loop import LoopIcon
from ._zig import ZigIcon
from ._zelle import ZelleIcon
from ._daf import DafIcon
from ._jameson import JamesonIcon
from ._alliedmodders import AlliedmoddersIcon
from ._e import EIcon
from ._filezilla import FilezillaIcon
from ._nextbilliondotai import NextbilliondotaiIcon
from ._fossilscm import FossilScmIcon
from ._spacy import SpacyIcon
from ._commodore import CommodoreIcon
from ._gojek import GojekIcon
from ._dotenv import DotenvIcon
from ._nationalrail import NationalRailIcon
from ._tutanota import TutanotaIcon
from ._buhl import BuhlIcon
from ._pytest import PytestIcon
from ._strava import StravaIcon
from ._deliveroo import DeliverooIcon
from ._lmms import LmmsIcon
from ._phoenixframework import PhoenixFrameworkIcon
from ._avianca import AviancaIcon
from ._audioboom import AudioboomIcon
from ._wheniwork import WhenIWorkIcon
from ._cratedb import CratedbIcon
from ._box import BoxIcon
from ._libreoffice import LibreofficeIcon
from ._styledcomponents import StyledcomponentsIcon
from ._unilever import UnileverIcon
from ._eventstore import EventStoreIcon
from ._ripple import RippleIcon
from ._persistent import PersistentIcon
from ._nuke import NukeIcon
from ._guilded import GuildedIcon
from ._bentobox import BentoboxIcon
from ._otto import OttoIcon
from ._godotengine import GodotEngineIcon
from ._semanticrelease import SemanticreleaseIcon
from ._mediamarkt import MediamarktIcon
from ._neutralinojs import NeutralinojsIcon
from ._kashflow import KashflowIcon
from ._adobefonts import AdobeFontsIcon
from ._precommit import PrecommitIcon
from ._relianceindustrieslimited import RelianceIndustriesLimitedIcon
from ._linear import LinearIcon
from ._dazhongdianping import DazhongDianpingIcon
from ._portainer import PortainerIcon
from ._fiat import FiatIcon
from ._playstation4 import PlaystationFourIcon
from ._supabase import SupabaseIcon
from ._jetbrains import JetbrainsIcon
from ._mendeley import MendeleyIcon
from ._gitea import GiteaIcon
from ._pagerduty import PagerdutyIcon
from ._arc import ArcIcon
from ._buildkite import BuildkiteIcon
from ._maytag import MaytagIcon
from ._kamailio import KamailioIcon
from ._westerndigital import WesternDigitalIcon
from ._wondershare import WondershareIcon
from ._firewalla import FirewallaIcon
from ._maas import MaasIcon
from ._eclipsejetty import EclipseJettyIcon
from ._clojure import ClojureIcon
from ._fonoma import FonomaIcon
from ._novu import NovuIcon
from ._redbubble import RedbubbleIcon
from ._mingww64 import MingwwSixtyFourIcon
from ._wacom import WacomIcon
from ._turkishairlines import TurkishAirlinesIcon
from ._espressif import EspressifIcon
from ._flutter import FlutterIcon
from ._fireflyiii import FireflyIiiIcon
from ._docsify import DocsifyIcon
from ._untappd import UntappdIcon
from ._9gag import NineGagIcon
from ._steamdb import SteamdbIcon
from ._xdotorg import XdotorgIcon
from ._lining import LiningIcon
from ._slideshare import SlideshareIcon
from ._here import HereIcon
from ._aqua import AquaIcon
from ._fraunhofergesellschaft import FraunhofergesellschaftIcon
from ._googlemeet import GoogleMeetIcon
from ._fareharbor import FareharborIcon
from ._caldotcom import CaldotcomIcon
from ._pleroma import PleromaIcon
from ._pusher import PusherIcon
from ._cncf import CncfIcon
from ._radarr import RadarrIcon
from ._sonarcloud import SonarcloudIcon
from ._bakalari import BakalariIcon
from ._p5dotjs import PFiveDotjsIcon
from ._bigbluebutton import BigbluebuttonIcon
from ._wikivoyage import WikivoyageIcon
from ._svgdotjs import SvgdotjsIcon
from ._rainmeter import RainmeterIcon
from ._sencha import SenchaIcon
from ._googlecampaignmanager360 import (
    GoogleCampaignManagerThreeHundredAndSixtyIcon
)
from ._linkfire import LinkfireIcon
from ._cbs import CbsIcon
from ._redragon import RedragonIcon
from ._wayland import WaylandIcon
from ._gurobi import GurobiIcon
from ._dynatrace import DynatraceIcon
from ._readdotcv import ReaddotcvIcon
from ._aerlingus import AerLingusIcon
from ._stimulus import StimulusIcon
from ._pegasusairlines import PegasusAirlinesIcon
from ._robloxstudio import RobloxStudioIcon
from ._seagate import SeagateIcon
from ._dash import DashIcon
from ._issuu import IssuuIcon
from ._screencastify import ScreencastifyIcon
from ._sfml import SfmlIcon
from ._discover import DiscoverIcon
from ._metrodeparis import MetroDeParisIcon
from ._square import SquareIcon
from ._cocacola import CocaColaIcon
from ._rye import RyeIcon
from ._chedraui import ChedrauiIcon
from ._indeed import IndeedIcon
from ._nextdns import NextdnsIcon
from ._parsedotly import ParsedotlyIcon
from ._activitypub import ActivitypubIcon
from ._qubesos import QubesOsIcon
from ._dpd import DpdIcon
from ._vk import VkIcon
from ._homebrew import HomebrewIcon
from ._tether import TetherIcon
from ._qiskit import QiskitIcon
from ._rabbitmq import RabbitmqIcon
from ._clyp import ClypIcon
from ._humblebundle import HumbleBundleIcon
from ._airtransat import AirTransatIcon
from ._liquibase import LiquibaseIcon
from ._redis import RedisIcon
from ._visa import VisaIcon
from ._affinity import AffinityIcon
from ._qiita import QiitaIcon
from ._puppet import PuppetIcon
from ._bigbasket import BigbasketIcon
from ._intellijidea import IntellijIdeaIcon
from ._monoprix import MonoprixIcon
from ._conekta import ConektaIcon
from ._postgresql import PostgresqlIcon
from ._operagx import OperaGxIcon
from ._digikeyelectronics import DigikeyElectronicsIcon
from ._mclaren import MclarenIcon
from ._resharper import ResharperIcon
from ._lichess import LichessIcon
from ._amazoniam import AmazonIdentityAccessManagementIcon
from ._sidequest import SidequestIcon
from ._deno import DenoIcon
from ._cucumber import CucumberIcon
from ._buzzfeed import BuzzfeedIcon
from ._udacity import UdacityIcon
from ._handm import HandmIcon
from ._mailtrap import MailtrapIcon
from ._listmonk import ListmonkIcon
from ._standardresume import StandardResumeIcon
from ._lyft import LyftIcon
from ._anycubic import AnycubicIcon
from ._iata import IataIcon
from ._morrisons import MorrisonsIcon
from ._aiohttp import AiohttpIcon
from ._spacex import SpacexIcon
from ._chianetwork import ChiaNetworkIcon
from ._baremetrics import BaremetricsIcon
from ._instacart import InstacartIcon
from ._authelia import AutheliaIcon
from ._brex import BrexIcon
from ._cloudflare import CloudflareIcon
from ._x import XIcon
from ._virgin import VirginIcon
from ._allegro import AllegroIcon
from ._codeceptjs import CodeceptjsIcon
from ._workplace import WorkplaceIcon
from ._devdotto import DevdottoIcon
from ._viber import ViberIcon
from ._doxygen import DoxygenIcon
from ._cardano import CardanoIcon
from ._rubymine import RubymineIcon
from ._dacia import DaciaIcon
from ._tmux import TmuxIcon
from ._tinyletter import TinyletterIcon
from ._codeium import CodeiumIcon
from ._contabo import ContaboIcon
from ._counterstrike import CounterstrikeIcon
from ._wasabi import WasabiIcon
from ._hepsiemlak import HepsiemlakIcon
from ._oyo import OyoIcon
from ._brenntag import BrenntagIcon
from ._behance import BehanceIcon
from ._grandfrais import GrandFraisIcon
from ._codio import CodioIcon
from ._aboutdotme import AboutdotmeIcon
from ._openlayers import OpenlayersIcon
from ._amazonrds import AmazonRdsIcon
from ._watchtower import WatchtowerIcon
from ._matomo import MatomoIcon
from ._bitcoincash import BitcoinCashIcon
from ._liberapay import LiberapayIcon
from ._boost import BoostIcon
from ._opencontainersinitiative import OpenContainersInitiativeIcon
from ._youtubeshorts import YoutubeShortsIcon
from ._mcafee import McafeeIcon
from ._crunchbase import CrunchbaseIcon
from ._nzxt import NzxtIcon
from ._kasasmart import KasaSmartIcon
from ._icq import IcqIcon
from ._iconjar import IconjarIcon
from ._logseq import LogseqIcon
from ._reddit import RedditIcon
from ._guangzhoumetro import GuangzhouMetroIcon
from ._waze import WazeIcon
from ._dolby import DolbyIcon
from ._zaim import ZaimIcon
from ._rss import RssIcon
from ._googleearth import GoogleEarthIcon
from ._metasploit import MetasploitIcon
from ._octoprint import OctoprintIcon
from ._datastax import DatastaxIcon
from ._readthedocs import ReadTheDocsIcon
from ._htop import HtopIcon
from ._panasonic import PanasonicIcon
from ._moneygram import MoneygramIcon
from ._radixui import RadixUiIcon
from ._privatedivision import PrivateDivisionIcon
from ._trailforks import TrailforksIcon
from ._victronenergy import VictronEnergyIcon
from ._progress import ProgressIcon
from ._iveco import IvecoIcon
from ._mta import MtaIcon
from ._refine import RefineIcon
from ._metrodemadrid import MetroDeMadridIcon
from ._toll import TollIcon
from ._coveralls import CoverallsIcon
from ._ifixit import IfixitIcon
from ._lucide import LucideIcon
from ._kaufland import KauflandIcon
from ._dhl import DhlIcon
from ._fastlane import FastlaneIcon
from ._dlna import DlnaIcon
from ._hive import HiveIcon1
from ._accenture import AccentureIcon
from ._pypy import PypyIcon
from ._swarm import SwarmIcon
from ._buddy import BuddyIcon
from ._barclays import BarclaysIcon
from ._ecosia import EcosiaIcon
from ._freelancermap import FreelancermapIcon
from ._zcash import ZcashIcon
from ._nextra import NextraIcon
from ._vodafone import VodafoneIcon
from ._checkmarx import CheckmarxIcon
from ._rtlzwei import RtlzweiIcon
from ._runkeeper import RunkeeperIcon
from ._lootcrate import LootCrateIcon
from ._wikidotjs import WikidotjsIcon
from ._medium import MediumIcon
from ._hearthisdotat import HearthisdotatIcon
from ._lutris import LutrisIcon
from ._fandom import FandomIcon
from ._undertale import UndertaleIcon
from ._zomato import ZomatoIcon
from ._thinkpad import ThinkpadIcon
from ._monero import MoneroIcon
from ._honda import HondaIcon
from ._nano import NanoIcon
from ._jrgroup import JrGroupIcon
from ._codemagic import CodemagicIcon
from ._tableau import TableauIcon
from ._rockwellautomation import RockwellAutomationIcon
from ._lighthouse import LighthouseIcon
from ._codecrafters import CodecraftersIcon
from ._infomaniak import InfomaniakIcon
from ._mamp import MampIcon
from ._cora import CoraIcon
from ._vulkan import VulkanIcon
from ._postcss import PostcssIcon
from ._perplexity import PerplexityIcon
from ._linuxmint import LinuxMintIcon
from ._mocha import MochaIcon
from ._unjs import UnjsIcon
from ._wakatime import WakatimeIcon
from ._supermicro import SupermicroIcon
from ._suse import SuseIcon
from ._modrinth import ModrinthIcon
from ._cloudsmith import CloudsmithIcon
from ._furaffinity import FurAffinityIcon
from ._vivino import VivinoIcon
from ._lydia import LydiaIcon
from ._artifacthub import ArtifactHubIcon
from ._grubhub import GrubhubIcon
from ._sonarqube import SonarqubeIcon
from ._themodelsresource import TheModelsResourceIcon
from ._vauxhall import VauxhallIcon
from ._spyderide import SpyderIdeIcon
from ._hearth import HearthIcon
from ._odoo import OdooIcon
from ._netbsd import NetbsdIcon
from ._grav import GravIcon
from ._livechat import LivechatIcon
from ._springsecurity import SpringSecurityIcon
from ._evernote import EvernoteIcon
from ._pagespeedinsights import PagespeedInsightsIcon
from ._lefthook import LefthookIcon
from ._materialdesignicons import MaterialDesignIconsIcon
from ._moscowmetro import MoscowMetroIcon
from ._wolframlanguage import WolframLanguageIcon
from ._nomad import NomadIcon
from ._oppo import OppoIcon
from ._talenthouse import TalenthouseIcon
from ._channel4 import ChannelFourIcon
from ._android import AndroidIcon
from ._apple import AppleIcon
from ._steam import SteamIcon
from ._nuget import NugetIcon
from ._c import CIcon
from ._openzeppelin import OpenzeppelinIcon
from ._testin import TestinIcon
from ._htmx import HtmxIcon
from ._ebox import EboxIcon
from ._aeroflot import AeroflotIcon
from ._adventofcode import AdventOfCodeIcon
from ._educative import EducativeIcon
from ._datagrip import DatagripIcon
from ._qbittorrent import QbittorrentIcon
from ._limesurvey import LimesurveyIcon
from ._fineco import FinecoIcon
from ._vivint import VivintIcon
from ._wellsfargo import WellsFargoIcon
from ._botblecms import BotbleCmsIcon
from ._googlecolab import GoogleColabIcon
from ._literal import LiteralIcon
from ._react import ReactIcon
from ._zorin import ZorinIcon
from ._nextdoor import NextdoorIcon
from ._acm import AcmIcon
from ._asciinema import AsciinemaIcon
from ._kedro import KedroIcon
from ._wearos import WearOsIcon
from ._teespring import TeespringIcon
from ._minds import MindsIcon
from ._polywork import PolyworkIcon
from ._samsung import SamsungIcon
from ._purescript import PurescriptIcon
from ._hexlet import HexletIcon
from ._swiper import SwiperIcon
from ._welcometothejungle import WelcomeToTheJungleIcon
from ._capacitor import CapacitorIcon
from ._leanpub import LeanpubIcon
from ._shikimori import ShikimoriIcon
from ._zyte import ZyteIcon
from ._wallabag import WallabagIcon
from ._totvs import TotvsIcon
from ._disroot import DisrootIcon
from ._hiltonhotelsandresorts import HiltonHotelsandResortsIcon
from ._typer import TyperIcon
from ._bata import BataIcon
from ._condaforge import CondaforgeIcon
from ._zillow import ZillowIcon
from ._reactos import ReactosIcon
from ._garmin import GarminIcon
from ._bandrautomation import BandrAutomationIcon
from ._saturn import SaturnIcon
from ._cinema4d import CinemaFourDIcon
from ._zebratechnologies import ZebraTechnologiesIcon
from ._removedotbg import RemovedotbgIcon
from ._opel import OpelIcon
from ._tildapublishing import TildaPublishingIcon
from ._wix import WixIcon
from ._southwestairlines import SouthwestAirlinesIcon
from ._gamemaker import GamemakerIcon
from ._virustotal import VirustotalIcon
from ._primefaces import PrimefacesIcon
from ._kofi import KofiIcon
from ._i3 import IThreeIcon
from ._astonmartin import AstonMartinIcon
from ._ecovacs import EcovacsIcon
from ._jeep import JeepIcon
from ._moleculer import MoleculerIcon
from ._eightsleep import EightSleepIcon
from ._iledefrancemobilites import IledefranceMobilitesIcon
from ._hal import HalIcon
from ._thefinals import TheFinalsIcon
from ._amazonlumberyard import AmazonLumberyardIcon
from ._webassembly import WebassemblyIcon
from ._inkscape import InkscapeIcon
from ._notepadplusplus import NotepadplusplusIcon
from ._wetransfer import WetransferIcon
from ._peugeot import PeugeotIcon
from ._valve import ValveIcon
from ._delta import DeltaIcon
from ._clevercloud import CleverCloudIcon
from ._cakephp import CakephpIcon
from ._awsamplify import AwsAmplifyIcon
from ._harbor import HarborIcon
from ._bytedance import BytedanceIcon
from ._cocos import CocosIcon
from ._nativescript import NativescriptIcon
from ._libretube import LibretubeIcon
from ._boosty import BoostyIcon
from ._researchgate import ResearchgateIcon
from ._pastebin import PastebinIcon
from ._namuwiki import NamuWikiIcon
from ._trilium import TriliumIcon
from ._ethereum import EthereumIcon
from ._spdx import SpdxIcon
from ._rapid import RapidIcon
from ._chai import ChaiIcon
from ._playstation2 import PlaystationTwoIcon
from ._metabase import MetabaseIcon
from ._raspberrypi import RaspberryPiIcon
from ._exercism import ExercismIcon
from ._comsol import ComsolIcon
from ._cytoscapedotjs import CytoscapedotjsIcon
from ._ansible import AnsibleIcon
from ._kodi import KodiIcon
from ._anthropic import AnthropicIcon
from ._origin import OriginIcon
from ._icinga import IcingaIcon
from ._opera import OperaIcon
from ._strapi import StrapiIcon
from ._vaultwarden import VaultwardenIcon
from ._bugatti import BugattiIcon
from ._diagramsdotnet import DiagramsdotnetIcon
from ._snyk import SnykIcon
from ._ray import RayIcon
from ._matillion import MatillionIcon
from ._primevue import PrimevueIcon
from ._databricks import DatabricksIcon
from ._speedtest import SpeedtestIcon
from ._similarweb import SimilarwebIcon
from ._trakt import TraktIcon
from ._almalinux import AlmalinuxIcon
from ._epel import EpelIcon
from ._fsharp import FSharpIcon
from ._imagedotsc import ImagedotscIcon
from ._piwigo import PiwigoIcon
from ._yale import YaleIcon
from ._kotlin import KotlinIcon
from ._markdown import MarkdownIcon
from ._trello import TrelloIcon
from ._seat import SeatIcon
from ._burpsuite import BurpSuiteIcon
from ._upcloud import UpcloudIcon
from ._beats import BeatsIcon
from ._circleci import CircleciIcon
from ._bungie import BungieIcon
from ._worldhealthorganization import WorldHealthOrganizationIcon
from ._element import ElementIcon
from ._camunda import CamundaIcon
from ._playstationvita import PlaystationVitaIcon
from ._prdotco import PrdotcoIcon
from ._helpdesk import HelpdeskIcon
from ._nutanix import NutanixIcon
from ._hashnode import HashnodeIcon
from ._ngrok import NgrokIcon
from ._autozone import AutozoneIcon
from ._greatlearning import GreatLearningIcon
from ._actix import ActixIcon
from ._fastify import FastifyIcon
from ._onlyoffice import OnlyofficeIcon
from ._stencil import StencilIcon
from ._rotaryinternational import RotaryInternationalIcon
from ._ferretdb import FerretdbIcon
from ._mobx import MobxIcon
from ._rclone import RcloneIcon
from ._juke import JukeIcon
from ._vuedotjs import VuedotjsIcon
from ._artstation import ArtstationIcon
from ._pluralsight import PluralsightIcon
from ._venmo import VenmoIcon
from ._exoscale import ExoscaleIcon
from ._hotelsdotcom import HotelsdotcomIcon
from ._scilab import ScilabIcon
from ._marvelapp import MarvelappIcon
from ._jordan import JordanIcon
from ._prettier import PrettierIcon
from ._googlehome import GoogleHomeIcon
from ._commonworkflowlanguage import CommonWorkflowLanguageIcon
from ._overleaf import OverleafIcon
from ._amazonecs import AmazonEcsIcon
from ._geant import GeantIcon
from ._reactiveresume import ReactiveResumeIcon
from ._egnyte import EgnyteIcon
from ._apachecordova import ApacheCordovaIcon
from ._nec import NecIcon
from ._coursera import CourseraIcon
from ._krita import KritaIcon
from ._fmod import FmodIcon
from ._hypothesis import HypothesisIcon
from ._kucoin import KucoinIcon
from ._facebooklive import FacebookLiveIcon
from ._aparat import AparatIcon
from ._bootstrap import BootstrapIcon
from ._rte import RteIcon
from ._stylus import StylusIcon
from ._betfair import BetfairIcon
from ._k6 import KSixIcon
from ._roku import RokuIcon
from ._pkgsrc import PkgsrcIcon
from ._elgato import ElgatoIcon
from ._palantir import PalantirIcon
from ._autoit import AutoitIcon
from ._duplicati import DuplicatiIcon
from ._codecademy import CodecademyIcon
from ._rescuetime import RescuetimeIcon
from ._local import LocalIcon
from ._qi import QiIcon
from ._vivawallet import VivaWalletIcon
from ._litiengine import LitiengineIcon
from ._apachecassandra import ApacheCassandraIcon
from ._beatsbydre import BeatsByDreIcon
from ._svg import SvgIcon
from ._zazzle import ZazzleIcon
from ._gdal import GdalIcon
from ._zincsearch import ZincsearchIcon
from ._atari import AtariIcon
from ._carrd import CarrdIcon
from ._travisci import TravisCiIcon
from ._sketchup import SketchupIcon
from ._paddle import PaddleIcon
from ._jetblue import JetblueIcon
from ._gtk import GtkIcon
from ._shieldsdotio import ShieldsdotioIcon
from ._retool import RetoolIcon
from ._futurelearn import FuturelearnIcon
from ._indigo import IndigoIcon
from ._contentful import ContentfulIcon
from ._eslgaming import EslgamingIcon
from ._awwwards import AwwwardsIcon
from ._badoo import BadooIcon
from ._shell import ShellIcon
from ._vorondesign import VoronDesignIcon
from ._dts import DtsIcon
from ._sat1 import SatdotOneIcon
from ._revanced import RevancedIcon
from ._topcoder import TopcoderIcon
from ._cmake import CmakeIcon
from ._scipy import ScipyIcon
from ._thirdweb import ThirdwebIcon
from ._nodemon import NodemonIcon
from ._geopandas import GeopandasIcon
from ._thunderstore import ThunderstoreIcon
from ._dwavesystems import DwaveSystemsIcon
from ._mysql import MysqlIcon
from ._johndeere import JohnDeereIcon
from ._hyper import HyperIcon
from ._lightning import LightningIcon
from ._bandlab import BandlabIcon
from ._headspace import HeadspaceIcon
from ._codersrank import CodersrankIcon
from ._scopus import ScopusIcon
from ._aegisauthenticator import AegisAuthenticatorIcon
from ._buymeacoffee import BuyMeACoffeeIcon
from ._langchain import LangchainIcon
from ._ffmpeg import FfmpegIcon
from ._dotnet import DotnetIcon
from ._pagseguro import PagseguroIcon
from ._bookmeter import BookmeterIcon
from ._electronbuilder import ElectronbuilderIcon
from ._jamstack import JamstackIcon
from ._wordpress import WordpressIcon
from ._wazirx import WazirxIcon
from ._trulia import TruliaIcon
from ._osano import OsanoIcon
from ._craftcms import CraftCmsIcon
from ._etcd import EtcdIcon
from ._protractor import ProtractorIcon
from ._caterpillar import CaterpillarIcon
from ._enpass import EnpassIcon
from ._wireshark import WiresharkIcon
from ._hivemq import HivemqIcon
from ._gitignoredotio import GitignoredotioIcon
from ._sailsdotjs import SailsdotjsIcon
from ._dataiku import DataikuIcon
from ._abusedotch import AbusedotchIcon
from ._protodotio import ProtodotioIcon
from ._deviantart import DeviantartIcon
from ._pm2 import PmTwoIcon
from ._protondrive import ProtonDriveIcon
from ._paypal import PaypalIcon
from ._pinescript import PineScriptIcon
from ._expensify import ExpensifyIcon
from ._bamboo import BambooIcon
from ._bitwarden import BitwardenIcon
from ._typescript import TypescriptIcon
from ._yelp import YelpIcon
from ._sparkfun import SparkfunIcon
from ._embark import EmbarkIcon
from ._litecoin import LitecoinIcon
from ._sky import SkyIcon
from ._nextui import NextuiIcon
from ._xiaohongshu import XiaohongshuIcon
from ._elasticcloud import ElasticCloudIcon
from ._homepage import HomepageIcon
from ._shenzhenmetro import ShenzhenMetroIcon
from ._glide import GlideIcon
from ._youtubegaming import YoutubeGamingIcon
from ._leslibraires import LesLibrairesIcon
from ._bose import BoseIcon
from ._remark import RemarkIcon
from ._vault import VaultIcon
from ._myanimelist import MyanimelistIcon
from ._vimeo import VimeoIcon
from ._rossmann import RossmannIcon
from ._microbit import MicrobitIcon
from ._davinciresolve import DavinciResolveIcon
from ._numpy import NumpyIcon
from ._gitpod import GitpodIcon
from ._kitsu import KitsuIcon
from ._fiverr import FiverrIcon
from ._composer import ComposerIcon
from ._docsdotrs import DocsdotrsIcon
from ._dgraph import DgraphIcon
from ._slint import SlintIcon
from ._amazonpay import AmazonPayIcon
from ._pushbullet import PushbulletIcon
from ._etsy import EtsyIcon
from ._googledocs import GoogleDocsIcon
from ._jss import JssIcon
from ._kirby import KirbyIcon
from ._gridsome import GridsomeIcon
from ._internetarchive import InternetArchiveIcon
from ._trivy import TrivyIcon
from ._googledataflow import GoogleDataflowIcon
from ._traefikmesh import TraefikMeshIcon
from ._openwrt import OpenwrtIcon
from ._onlyfans import OnlyfansIcon
from ._roblox import RobloxIcon
from ._uphold import UpholdIcon
from ._fujifilm import FujifilmIcon
from ._nushell import NushellIcon
from ._proton import ProtonIcon
from ._mahindra import MahindraIcon
from ._googledrive import GoogleDriveIcon
from ._eyeem import EyeemIcon
from ._forgejo import ForgejoIcon
from ._plex import PlexIcon
from ._xmpp import XmppIcon
from ._unitedairlines import UnitedAirlinesIcon
from ._komoot import KomootIcon
from ._4chan import FourChanIcon
from ._openbugbounty import OpenBugBountyIcon
from ._easyjet import EasyjetIcon
from ._fdroid import FdroidIcon
from ._mambaui import MambaUiIcon
from ._percy import PercyIcon
from ._starship import StarshipIcon
from ._shanghaimetro import ShanghaiMetroIcon
from ._taketwointeractivesoftware import TaketwoInteractiveSoftwareIcon
from ._reacttable import ReactTableIcon
from ._dailydotdev import DailydotdevIcon
from ._asterisk import AsteriskIcon
from ._webmin import WebminIcon
from ._norton import NortonIcon
from ._saltproject import SaltProjectIcon
from ._googlebigquery import GoogleBigqueryIcon
from ._adyen import AdyenIcon
from ._spring_creators import SpringIcon1
from ._penny import PennyIcon
from ._pubg import PubgIcon
from ._codemirror import CodemirrorIcon
from ._cloudways import CloudwaysIcon
from ._chocolatey import ChocolateyIcon
from ._scrumalliance import ScrumAllianceIcon
from ._informatica import InformaticaIcon
from ._apachenetbeanside import ApacheNetbeansIdeIcon
from ._msi import MsiIcon
from ._lada import LadaIcon
from ._uipath import UipathIcon
from ._opslevel import OpslevelIcon
from ._zdf import ZdfIcon
from ._rustdesk import RustdeskIcon
from ._deepin import DeepinIcon
from ._uniqlo import UniqloIcon1
from ._katacoda import KatacodaIcon
from ._opengl import OpenglIcon
from ._subaru import SubaruIcon
from ._sncf import SncfIcon
from ._fueler import FuelerIcon
from ._facepunch import FacepunchIcon
from ._standardjs import StandardjsIcon
from ._alx import AlxIcon
from ._gitextensions import GitExtensionsIcon
from ._stmicroelectronics import StmicroelectronicsIcon
from ._doi import DoiIcon
from ._hexo import HexoIcon
from ._inkdrop import InkdropIcon
from ._cultura import CulturaIcon
from ._sonatype import SonatypeIcon
from ._playstation3 import PlaystationThreeIcon
from ._openaigym import OpenaiGymIcon
from ._rasa import RasaIcon
from ._figma import FigmaIcon
from ._aldisud import AldiSudIcon
from ._shopify import ShopifyIcon
from ._threema import ThreemaIcon
from ._kaniko import KanikoIcon
from ._amazonsimpleemailservice import AmazonSimpleEmailServiceIcon
from ._r3 import RThreeIcon
from ._streamlit import StreamlitIcon
from ._gerrit import GerritIcon
from ._apachemaven import ApacheMavenIcon
from ._hasura import HasuraIcon
from ._sololearn import SololearnIcon
from ._fortran import FortranIcon
from ._answer import AnswerIcon
from ._messenger import MessengerIcon
from ._openid import OpenidIcon
from ._thealgorithms import TheAlgorithmsIcon
from ._loopback import LoopbackIcon
from ._namesilo import NamesiloIcon
from ._clarifai import ClarifaiIcon
from ._apachesolr import ApacheSolrIcon
from ._archicad import ArchicadIcon
from ._jbl import JblIcon
from ._puppeteer import PuppeteerIcon
from ._passport import PassportIcon
from ._cts import CtsIcon
from ._nx import NxIcon
from ._zara import ZaraIcon
from ._ceph import CephIcon
from ._cyberdefenders import CyberdefendersIcon
from ._gameloft import GameloftIcon
from ._drupal import DrupalIcon
from ._backendless import BackendlessIcon
from ._youtubekids import YoutubeKidsIcon
from ._boardgamegeek import BoardgamegeekIcon
from ._inductiveautomation import InductiveAutomationIcon
from ._appsmith import AppsmithIcon
from ._flathub import FlathubIcon
from ._man import ManIcon
from ._amp import AmpIcon
from ._hackernoon import HackerNoonIcon
from ._xml import XmlIcon
from ._symphony import SymphonyIcon
from ._winamp import WinampIcon
from ._adroll import AdrollIcon
from ._ikea import IkeaIcon
from ._taichigraphics import TaichiGraphicsIcon
from ._bento import BentoIcon
from ._bloglovin import BloglovinIcon
from ._chinaeasternairlines import ChinaEasternAirlinesIcon
from ._runrundotit import RunrundotitIcon
from ._tina import TinaIcon
from ._fastly import FastlyIcon
from ._stackoverflow import StackOverflowIcon
from ._microstrategy import MicrostrategyIcon
from ._nrwl import NrwlIcon
from ._falcon import FalconIcon
from ._wattpad import WattpadIcon
from ._bunq import BunqIcon
from ._googlecardboard import GoogleCardboardIcon
from ._wpengine import WpEngineIcon
from ._emlakjet import EmlakjetIcon
from ._deepnote import DeepnoteIcon
from ._500px import FiveHundredPxIcon
from ._cafepress import CafepressIcon
from ._intel import IntelIcon
from ._wechat import WechatIcon
from ._dedge import DedgeIcon
from ._pnpm import PnpmIcon
from ._leroymerlin import LeroyMerlinIcon
from ._katana import KatanaIcon
from ._andela import AndelaIcon
from ._apachegroovy import ApacheGroovyIcon
from ._bitbucket import BitbucketIcon
from ._steamdeck import SteamDeckIcon
from ._microstation import MicrostationIcon
from ._pinterest import PinterestIcon
from ._openscad import OpenscadIcon
from ._wikimediafoundation import WikimediaFoundationIcon
from ._raylib import RaylibIcon
from ._vscodium import VscodiumIcon
from ._theboringcompany import TheBoringCompanyIcon
from ._ducati import DucatiIcon
from ._orcid import OrcidIcon
from ._freecodecamp import FreecodecampIcon
from ._libuv import LibuvIcon
from ._bsd import BsdIcon
from ._gradle import GradleIcon
from ._fnac import FnacIcon
from ._salla import SallaIcon
from ._apachestorm import ApacheStormIcon
from ._ericsson import EricssonIcon
from ._sabanci import SabanciIcon
from ._awselasticloadbalancing import AwsElasticLoadBalancingIcon
from ._bookalope import BookalopeIcon
from ._datadog import DatadogIcon
from ._coggle import CoggleIcon
from ._formstack import FormstackIcon
from ._franprix import FranprixIcon
from ._apache import ApacheIcon
from ._teratail import TeratailIcon
from ._burton import BurtonIcon
from ._playcanvas import PlaycanvasIcon
from ._magasinsu import MagasinsUIcon
from ._toggl import TogglIcon
from ._doubanread import DoubanReadIcon
from ._smashdotgg import SmashdotggIcon
from ._typo3 import TypoThreeIcon
from ._googlecloudcomposer import GoogleCloudComposerIcon
from ._circle import CircleIcon
from ._flickr import FlickrIcon
from ._linuxprofessionalinstitute import LinuxProfessionalInstituteIcon
from ._trainerroad import TrainerroadIcon
from ._eljueves import ElJuevesIcon
from ._chromewebstore import ChromeWebStoreIcon
from ._gumtree import GumtreeIcon
from ._fusionauth import FusionauthIcon
from ._monica import MonicaIcon
from ._liberadotchat import LiberadotchatIcon
from ._eventbrite import EventbriteIcon
from ._showwcase import ShowwcaseIcon
from ._dassaultsystemes import DassaultSystemesIcon
from ._qemu import QemuIcon
from ._fi import FiIcon
from ._accusoft import AccusoftIcon
from ._quickbooks import QuickbooksIcon
from ._grunt import GruntIcon
from ._mailgun import MailgunIcon
from ._amazonelasticache import AmazonElasticacheIcon
from ._bt import BtIcon
from ._contao import ContaoIcon
from ._fidoalliance import FidoAllianceIcon
from ._vuetify import VuetifyIcon
from ._youtube import YoutubeIcon
from ._2fas import TwoFasIcon
from ._o2 import OTwoIcon
from ._ngrx import NgrxIcon
from ._generalelectric import GeneralElectricIcon
from ._mpv import MpvIcon
from ._obsidian import ObsidianIcon
from ._sonicwall import SonicwallIcon
from ._rubocop import RubocopIcon
from ._dialogflow import DialogflowIcon
from ._musescore import MusescoreIcon
from ._knip import KnipIcon
from ._appium import AppiumIcon
from ._airbrake import AirbrakeIcon
from ._instapaper import InstapaperIcon
from ._transmission import TransmissionIcon
from ._firefox import FirefoxIcon
from ._semaphoreci import SemaphoreCiIcon
from ._convertio import ConvertioIcon
from ._flyway import FlywayIcon
from ._ghostery import GhosteryIcon
from ._cypress import CypressIcon
from ._elementor import ElementorIcon
from ._ktm import KtmIcon
from ._ameba import AmebaIcon
from ._torbrowser import TorBrowserIcon
from ._gentoo import GentooIcon
from ._scylladb import ScylladbIcon
from ._mlb import MlbIcon
from ._traefikproxy import TraefikProxyIcon
from ._creativetechnology import CreativeTechnologyIcon
from ._ign import IgnIcon
from ._meteor import MeteorIcon
from ._biolink import BioLinkIcon
from ._pihole import PiholeIcon
from ._packt import PacktIcon
from ._letterboxd import LetterboxdIcon
from ._speedypage import SpeedypageIcon
from ._ubereats import UberEatsIcon
from ._alipay import AlipayIcon
from ._ubuntumate import UbuntuMateIcon
from ._prime import PrimeIcon
from ._imagej import ImagejIcon
from ._cssdesignawards import CssDesignAwardsIcon
from ._selenium import SeleniumIcon
from ._zingat import ZingatIcon
from ._wise import WiseIcon

if TYPE_CHECKING:
    from typing import Final


ICONS: "Final[IconCollection]" = IconCollection({
    'rubysinatra': RubySinatraIcon,
    'lenovo': LenovoIcon,
    'radiopublic': RadiopublicIcon,
    'pixabay': PixabayIcon,
    'flashforge': FlashforgeIcon,
    'amazondocumentdb': AmazonDocumentdbIcon,
    'visx': VisxIcon,
    'kofax': KofaxIcon,
    'gnometerminal': GnomeTerminalIcon,
    'svelte': SvelteIcon,
    'autodesk': AutodeskIcon,
    'plangrid': PlangridIcon,
    'linktree': LinktreeIcon,
    'cdprojekt': CdProjektIcon,
    'playstation5': PlaystationFiveIcon,
    'metro': MetroIcon,
    'digg': DiggIcon,
    'picartodottv': PicartodottvIcon,
    'web3dotjs': WebThreeDotjsIcon,
    'warnerbros': WarnerBrosdotIcon,
    'theconversation': TheConversationIcon,
    'vegas': VegasIcon,
    'lazarus': LazarusIcon,
    'uml': UmlIcon,
    'joplin': JoplinIcon,
    'runkit': RunkitIcon,
    'prefect': PrefectIcon,
    'e3': EThreeIcon,
    'jitpack': JitpackIcon,
    'xfce': XfceIcon,
    'amazoncognito': AmazonCognitoIcon,
    'tesco': TescoIcon,
    'smartthings': SmartthingsIcon,
    'handshake': HandshakeIcon,
    'lionair': LionAirIcon,
    'nintendogamecube': NintendoGamecubeIcon,
    'coppel': CoppelIcon,
    'thurgauerkantonalbank': ThurgauerKantonalbankIcon,
    'tistory': TistoryIcon,
    'telequebec': TelequebecIcon,
    'adobelightroomclassic': AdobeLightroomClassicIcon,
    'eraser': EraserIcon,
    'flat': FlatIcon,
    'tile': TileIcon,
    'prestashop': PrestashopIcon,
    'cisco': CiscoIcon,
    'clickhouse': ClickhouseIcon,
    'codeberg': CodebergIcon,
    'leaderprice': LeaderPriceIcon,
    'zigbee': ZigbeeIcon,
    'googlescholar': GoogleScholarIcon,
    'mastercard': MastercardIcon,
    'poetry': PoetryIcon,
    'processingfoundation': ProcessingFoundationIcon,
    'tourbox': TourboxIcon,
    'gcore': GcoreIcon,
    'flipkart': FlipkartIcon,
    'osu': OsuIcon,
    'suzuki': SuzukiIcon,
    'trove': TroveIcon,
    'rstudioide': RstudioIdeIcon,
    'adonisjs': AdonisjsIcon,
    'fontforge': FontforgeIcon,
    'picardsurgeles': PicardSurgelesIcon,
    'newrelic': NewRelicIcon,
    'magic': MagicIcon,
    'platformdotsh': PlatformdotshIcon,
    'gocd': GocdIcon,
    'westernunion': WesternUnionIcon,
    'uptobox': UptoboxIcon,
    'scaleway': ScalewayIcon,
    'swiggy': SwiggyIcon,
    'styleshare': StyleshareIcon,
    'devpost': DevpostIcon,
    'dcentertainment': DcEntertainmentIcon,
    'brevo': BrevoIcon,
    'ibeacon': IbeaconIcon,
    'kuaishou': KuaishouIcon,
    'figshare': FigshareIcon,
    'wondersharefilmora': WondershareFilmoraIcon,
    'bookmyshow': BookmyshowIcon,
    'magento': MagentoIcon,
    'trillertv': TrillertvIcon,
    'authy': AuthyIcon,
    'kakaotalk': KakaotalkIcon,
    'kick': KickIcon,
    'opentelemetry': OpentelemetryIcon,
    'amazoneks': AmazonEksIcon,
    'keycdn': KeycdnIcon,
    'starlingbank': StarlingBankIcon,
    'astro': AstroIcon,
    'octobercms': OctoberCmsIcon,
    'bluesound': BluesoundIcon,
    'openmined': OpenminedIcon,
    'modx': ModxIcon,
    'apachenifi': ApacheNifiIcon,
    'quarto': QuartoIcon,
    'mikrotik': MikrotikIcon,
    'vectorworks': VectorworksIcon,
    'ferrari': FerrariIcon,
    'unocss': UnocssIcon,
    'pingdom': PingdomIcon,
    'stagetimer': StagetimerIcon,
    'vitepress': VitepressIcon,
    'myget': MygetIcon,
    'nette': NetteIcon,
    'redox': RedoxIcon,
    'remix': RemixIcon,
    'mitsubishi': MitsubishiIcon,
    'googlechat': GoogleChatIcon,
    'ieee': IeeeIcon,
    'poly': PolyIcon,
    'webrtc': WebrtcIcon,
    'floatplane': FloatplaneIcon,
    'gnuprivacyguard': GnuPrivacyGuardIcon,
    'jetpackcompose': JetpackComposeIcon,
    'amazonfiretv': AmazonFireTvIcon,
    'dashlane': DashlaneIcon,
    'apachecloudstack': ApacheCloudstackIcon,
    's7airlines': SSevenAirlinesIcon,
    'babylondotjs': BabylondotjsIcon,
    'bem': BemIcon,
    'rich': RichIcon,
    'elsevier': ElsevierIcon,
    'emirates': EmiratesIcon,
    'mercurial': MercurialIcon,
    'rottentomatoes': RottenTomatoesIcon,
    'blackmagicdesign': BlackmagicDesignIcon,
    'wire': WireIcon,
    'lens': LensIcon,
    'laravelnova': LaravelNovaIcon,
    'newegg': NeweggIcon,
    'contactlesspayment': ContactlessPaymentIcon,
    'tablecheck': TablecheckIcon,
    'hyperskill': HyperskillIcon,
    'aurelia': AureliaIcon,
    'esri': EsriIcon,
    'tidyverse': TidyverseIcon,
    'faceit': FaceitIcon,
    'adguard': AdguardIcon,
    'mural': MuralIcon,
    'tindie': TindieIcon,
    'theregister': TheRegisterIcon,
    'symbolab': SymbolabIcon,
    'lotpolishairlines': LotPolishAirlinesIcon,
    'envoyproxy': EnvoyProxyIcon,
    'hackthebox': HackTheBoxIcon,
    'githubcopilot': GithubCopilotIcon,
    'openstack': OpenstackIcon,
    'keras': KerasIcon,
    'serverfault': ServerFaultIcon,
    'maplibre': MaplibreIcon,
    'unicode': UnicodeIcon,
    'mongodb': MongodbIcon,
    'duckduckgo': DuckduckgoIcon,
    'processwire': ProcesswireIcon,
    'polestar': PolestarIcon,
    'americanairlines': AmericanAirlinesIcon,
    'suckless': SucklessIcon,
    'elm': ElmIcon,
    'dblp': DblpIcon,
    'symantec': SymantecIcon,
    'googleanalytics': GoogleAnalyticsIcon,
    'unraid': UnraidIcon,
    'coze': CozeIcon,
    '7zip': SevenZipIcon,
    'fishshell': FishShellIcon,
    'sanfranciscomunicipalrailway': SanFranciscoMunicipalRailwayIcon,
    'jsdelivr': JsdelivrIcon,
    'jekyll': JekyllIcon,
    'tietoevry': TietoevryIcon,
    'startrek': StarTrekIcon,
    'wemo': WemoIcon,
    'clarivate': ClarivateIcon,
    'plesk': PleskIcon,
    'firebase': FirebaseIcon,
    'vagrant': VagrantIcon,
    'twilio': TwilioIcon,
    'sumologic': SumoLogicIcon,
    'monkeytype': MonkeytypeIcon,
    'relay': RelayIcon,
    'campaignmonitor': CampaignMonitorIcon,
    'gnuemacs': GnuEmacsIcon,
    'statista': StatistaIcon,
    'terraform': TerraformIcon,
    'fluke': FlukeIcon,
    'alfaromeo': AlfaRomeoIcon,
    'imou': ImouIcon,
    'gitconnected': GitconnectedIcon,
    'expertsexchange': ExpertsExchangeIcon,
    'caprover': CaproverIcon,
    'scrapy': ScrapyIcon,
    'tmobile': TmobileIcon,
    'airplayvideo': AirplayVideoIcon,
    'applepay': ApplePayIcon,
    'engadget': EngadgetIcon,
    'gravatar': GravatarIcon,
    'audible': AudibleIcon,
    'civicrm': CivicrmIcon,
    'keybase': KeybaseIcon,
    'bugcrowd': BugcrowdIcon,
    'namemc': NamemcIcon,
    'tensorflow': TensorflowIcon,
    'typeorm': TypeormIcon,
    'tcs': TataConsultancyServicesIcon,
    'sitecore': SitecoreIcon,
    'alibabadotcom': AlibabadotcomIcon,
    'celery': CeleryIcon,
    'stylelint': StylelintIcon,
    'envato': EnvatoIcon,
    'peakdesign': PeakDesignIcon,
    'tga': TgaIcon,
    'amg': AmgIcon,
    'groupon': GrouponIcon,
    'schneiderelectric': SchneiderElectricIcon,
    'fastapi': FastapiIcon,
    'spotify': SpotifyIcon,
    'pyg': PygIcon,
    'feathub': FeathubIcon,
    'bitwig': BitwigIcon,
    'trueup': TrueupIcon,
    'fizz': FizzIcon,
    'portswigger': PortswiggerIcon,
    'airindia': AirIndiaIcon,
    'oculus': OculusIcon,
    'apachejmeter': ApacheJmeterIcon,
    'cookiecutter': CookiecutterIcon,
    'laravelhorizon': LaravelHorizonIcon,
    'coreldraw': CoreldrawIcon,
    'vyond': VyondIcon,
    'xcode': XcodeIcon,
    'leica': LeicaIcon,
    'sourcehut': SourcehutIcon,
    'discogs': DiscogsIcon,
    'cloudcannon': CloudcannonIcon,
    'lerna': LernaIcon,
    'manageiq': ManageiqIcon,
    'tinygrad': TinygradIcon,
    'pivotaltracker': PivotalTrackerIcon,
    'mailchimp': MailchimpIcon,
    'renault': RenaultIcon,
    'perforce': PerforceIcon,
    'trpc': TrpcIcon,
    'galaxus': GalaxusIcon,
    'mewe': MeweIcon,
    'overcast': OvercastIcon,
    'stellar': StellarIcon,
    'backblaze': BackblazeIcon,
    'stripe': StripeIcon,
    'ulule': UluleIcon,
    'youtubemusic': YoutubeMusicIcon,
    'nintendoswitch': NintendoSwitchIcon,
    'fedora': FedoraIcon,
    'airbnb': AirbnbIcon,
    'redsys': RedsysIcon,
    'paperspace': PaperspaceIcon,
    'streamrunners': StreamrunnersIcon,
    'pocket': PocketIcon,
    'gltf': GltfIcon,
    'jet': JetIcon,
    'meilisearch': MeilisearchIcon,
    'mxlinux': MxLinuxIcon,
    'shopware': ShopwareIcon,
    'asahilinux': AsahiLinuxIcon,
    'hackster': HacksterIcon,
    'webstorm': WebstormIcon,
    'ello': ElloIcon,
    'awsorganizations': AwsOrganizationsIcon,
    'aib': AibIcon,
    'tailwindcss': TailwindCssIcon,
    'termius': TermiusIcon,
    'swift': SwiftIcon,
    'astral': AstralIcon,
    'owasp': OwaspIcon,
    'adobephotoshop': AdobePhotoshopIcon,
    'xubuntu': XubuntuIcon,
    'ludwig': LudwigIcon,
    'nebula': NebulaIcon,
    'directus': DirectusIcon,
    'gin': GinIcon,
    'rancher': RancherIcon,
    'd3dotjs': DThreeDotjsIcon,
    'rundeck': RundeckIcon,
    'koyeb': KoyebIcon,
    'flipboard': FlipboardIcon,
    'rezgo': RezgoIcon,
    'boat': BoatIcon,
    'oclif': OclifIcon,
    'buffer': BufferIcon,
    'codingame': CodingameIcon,
    'awesomelists': AwesomeListsIcon,
    'jouav': JouavIcon,
    'pixlr': PixlrIcon,
    'akiflow': AkiflowIcon,
    'apachespark': ApacheSparkIcon,
    'deutschebank': DeutscheBankIcon,
    'pointy': PointyIcon,
    'pantheon': PantheonIcon,
    'solid': SolidIcon,
    'mariadbfoundation': MariadbFoundationIcon,
    'zensar': ZensarIcon,
    'emberdotjs': EmberdotjsIcon,
    'mix': MixIcon,
    'pocketbase': PocketbaseIcon,
    'aldinord': AldiNordIcon,
    'elasticstack': ElasticStackIcon,
    'fluentd': FluentdIcon,
    'pixiv': PixivIcon,
    'helix': HelixIcon,
    'esea': EseaIcon,
    'interactiondesignfoundation': InteractionDesignFoundationIcon,
    'nexon': NexonIcon,
    'roadmapdotsh': RoadmapdotshIcon,
    'uikit': UikitIcon,
    'redux': ReduxIcon,
    'newyorktimes': NewYorkTimesIcon,
    'namebase': NamebaseIcon,
    'actigraph': ActigraphIcon,
    'posit': PositIcon,
    'ifood': IfoodIcon,
    'zap': ZapIcon,
    'reverbnation': ReverbnationIcon,
    'progate': ProgateIcon,
    'aerospike': AerospikeIcon,
    'tripadvisor': TripadvisorIcon,
    'iconify': IconifyIcon,
    'f5': FFiveIcon,
    'gitforwindows': GitForWindowsIcon,
    'autodeskmaya': AutodeskMayaIcon,
    'jsr': JsrIcon,
    'vfairs': VfairsIcon,
    'construct3': ConstructThreeIcon,
    'taxbuzz': TaxbuzzIcon,
    'codementor': CodementorIcon,
    'headlessui': HeadlessUiIcon,
    'bmcsoftware': BmcSoftwareIcon,
    'discourse': DiscourseIcon,
    'airplayaudio': AirplayAudioIcon,
    'society6': SocietySixIcon,
    'coronaengine': CoronaEngineIcon,
    'amazonec2': AmazonEcTwoIcon,
    'livejournal': LivejournalIcon,
    'weightsandbiases': WeightsandBiasesIcon,
    'googlemessages': GoogleMessagesIcon,
    'eight': EightIcon,
    'sketch': SketchIcon,
    'spring': SpringIcon,
    'opensourcehardware': OpenSourceHardwareIcon,
    'onnx': OnnxIcon,
    'deepcool': DeepcoolIcon,
    'html5': HtmlFiveIcon,
    'nationalgrid': NationalGridIcon,
    'squarespace': SquarespaceIcon,
    'vivaldi': VivaldiIcon,
    'outline': OutlineIcon,
    'solana': SolanaIcon,
    'ariakit': AriakitIcon,
    'antena3': AntenaThreeIcon,
    'shutterstock': ShutterstockIcon,
    'artixlinux': ArtixLinuxIcon,
    'mediatek': MediatekIcon,
    'cloudron': CloudronIcon,
    'corsair': CorsairIcon,
    'tidal': TidalIcon,
    'aliexpress': AliexpressIcon,
    'matternet': MatternetIcon,
    'amazon': AmazonIcon,
    'drooble': DroobleIcon,
    'modal': ModalIcon,
    'devrant': DevrantIcon,
    'inertia': InertiaIcon,
    'subtitleedit': SubtitleEditIcon,
    'flask': FlaskIcon,
    'gitkraken': GitkrakenIcon,
    'criticalrole': CriticalRoleIcon,
    'ted': TedIcon,
    'ethiopianairlines': EthiopianAirlinesIcon,
    'imgur': ImgurIcon,
    'zalo': ZaloIcon,
    'expo': ExpoIcon,
    'leaflet': LeafletIcon,
    'googleclassroom': GoogleClassroomIcon,
    'solus': SolusIcon,
    'ardour': ArdourIcon,
    'qwant': QwantIcon,
    'zapier': ZapierIcon,
    'formik': FormikIcon,
    'ziggo': ZiggoIcon,
    'git': GitIcon,
    'yandexcloud': YandexCloudIcon,
    'auchan': AuchanIcon,
    'xiaomi': XiaomiIcon,
    'deutschebahn': DeutscheBahnIcon,
    'broadcom': BroadcomIcon,
    'webex': WebexIcon,
    'redbull': RedBullIcon,
    'zilch': ZilchIcon,
    'ios': IosIcon,
    'nestjs': NestjsIcon,
    'rocket': RocketIcon,
    'bankofamerica': BankOfAmericaIcon,
    'milanote': MilanoteIcon,
    'ocaml': OcamlIcon,
    'testinglibrary': TestingLibraryIcon,
    'scrutinizerci': ScrutinizerCiIcon,
    'linux': LinuxIcon,
    'lospec': LospecIcon,
    'unpkg': UnpkgIcon,
    'task': TaskIcon,
    'commerzbank': CommerzbankIcon,
    'cairographics': CairoGraphicsIcon,
    'tails': TailsIcon,
    'chainlink': ChainlinkIcon,
    'recoil': RecoilIcon,
    '1001tracklists': OneThousandAndOneTracklistsIcon,
    'codeforces': CodeforcesIcon,
    'pinboard': PinboardIcon,
    'safari': SafariIcon,
    'chemex': ChemexIcon,
    'voipdotms': VoipdotmsIcon,
    'linuxcontainers': LinuxContainersIcon,
    'jaguar': JaguarIcon,
    'target': TargetIcon,
    'owncloud': OwncloudIcon,
    'stackblitz': StackblitzIcon,
    'stencyl': StencylIcon,
    'awslambda': AwsLambdaIcon,
    'ajv': AjvIcon,
    'taichilang': TaichiLangIcon,
    'conventionalcommits': ConventionalCommitsIcon,
    'semrush': SemrushIcon,
    'bastyon': BastyonIcon,
    'fampay': FampayIcon,
    'spinnaker': SpinnakerIcon,
    'geocaching': GeocachingIcon,
    'modin': ModinIcon,
    'justgiving': JustgivingIcon,
    'sandisk': SandiskIcon,
    'nvm': NvmIcon,
    'thunderbird': ThunderbirdIcon,
    'rimacautomobili': RimacAutomobiliIcon,
    'fivem': FivemIcon,
    'mdx': MdxIcon,
    'n26': NTwentySixIcon,
    'sogou': SogouIcon,
    'fortinet': FortinetIcon,
    'sharp': SharpIcon,
    'airbyte': AirbyteIcon,
    'kde': KdeIcon,
    'rootsbedrock': RootsBedrockIcon,
    'zenn': ZennIcon,
    'googlecloudspanner': GoogleCloudSpannerIcon,
    'lg': LgIcon,
    'dazn': DaznIcon,
    'octopusdeploy': OctopusDeployIcon,
    'planet': PlanetIcon,
    'flydotio': FlydotioIcon,
    'sonos': SonosIcon,
    'internetcomputer': InternetComputerIcon,
    'g2a': GTwoAIcon,
    'iced': IcedIcon,
    'gamedeveloper': GameDeveloperIcon,
    'nordicsemiconductor': NordicSemiconductorIcon,
    'americanexpress': AmericanExpressIcon,
    'activision': ActivisionIcon,
    'mastodon': MastodonIcon,
    'daserste': DasErsteIcon,
    'sonarlint': SonarlintIcon,
    'blockchaindotcom': BlockchaindotcomIcon,
    'tele5': TeleFiveIcon,
    'quest': QuestIcon,
    'timescale': TimescaleIcon,
    'hellofresh': HellofreshIcon,
    'conan': ConanIcon,
    'tricentis': TricentisIcon,
    'creality': CrealityIcon,
    'qantas': QantasIcon,
    'deepl': DeeplIcon,
    'vtex': VtexIcon,
    'sway': SwayIcon,
    'blockbench': BlockbenchIcon,
    'toggltrack': TogglTrackIcon,
    'groupme': GroupmeIcon,
    'intuit': IntuitIcon,
    'apachekafka': ApacheKafkaIcon,
    'virtualbox': VirtualboxIcon,
    'kuma': KumaIcon,
    'fujitsu': FujitsuIcon,
    'languagetool': LanguagetoolIcon,
    'influxdb': InfluxdbIcon,
    'scikitlearn': ScikitlearnIcon,
    'framer': FramerIcon,
    'gulp': GulpIcon,
    'allocine': AllocineIcon,
    'vaadin': VaadinIcon,
    'nanostores': NanoStoresIcon,
    'lequipe': LequipeIcon,
    'aeromexico': AeromexicoIcon,
    'reactquery': ReactQueryIcon,
    'mg': MgIcon,
    'neptune': NeptuneIcon,
    'stackedit': StackeditIcon,
    'beekeeperstudio': BeekeeperStudioIcon,
    'boots': BootsIcon,
    'glassdoor': GlassdoorIcon,
    'blueprint': BlueprintIcon,
    'zenodo': ZenodoIcon,
    'grafana': GrafanaIcon,
    'octave': OctaveIcon,
    'contributorcovenant': ContributorCovenantIcon,
    'vlcmediaplayer': VlcMediaPlayerIcon,
    'googleads': GoogleAdsIcon,
    'adminer': AdminerIcon,
    'stopstalk': StopstalkIcon,
    'wwise': WwiseIcon,
    'wyze': WyzeIcon,
    'kinopoisk': KinopoiskIcon,
    'billboard': BillboardIcon,
    'freelancer': FreelancerIcon,
    'pycharm': PycharmIcon,
    'dogecoin': DogecoinIcon,
    'concourse': ConcourseIcon,
    'zerotier': ZerotierIcon,
    'pandas': PandasIcon,
    'snapchat': SnapchatIcon,
    'sanity': SanityIcon,
    'lazyvim': LazyvimIcon,
    'miro': MiroIcon,
    'reebok': ReebokIcon,
    'qualcomm': QualcommIcon,
    'cashapp': CashAppIcon,
    'adblock': AdblockIcon,
    'netapp': NetappIcon,
    'oxygen': OxygenIcon,
    'sentry': SentryIcon,
    'simplenote': SimplenoteIcon,
    'platformio': PlatformioIcon,
    'makerbot': MakerbotIcon,
    'braintree': BraintreeIcon,
    'dunzo': DunzoIcon,
    'quip': QuipIcon,
    'sensu': SensuIcon,
    'leagueoflegends': LeagueOfLegendsIcon,
    'pino': PinoIcon,
    'beatport': BeatportIcon,
    'amazonroute53': AmazonRouteFiftyThreeIcon,
    'openssl': OpensslIcon,
    'pioneerdj': PioneerDjIcon,
    'lbry': LbryIcon,
    'writedotas': WritedotasIcon,
    'xero': XeroIcon,
    'labview': LabviewIcon,
    'stadia': StadiaIcon,
    'opnsense': OpnsenseIcon,
    'frappe': FrappeIcon,
    'goland': GolandIcon,
    'apachehadoop': ApacheHadoopIcon,
    'spigotmc': SpigotmcIcon,
    'hedera': HederaIcon,
    'polars': PolarsIcon,
    'sanic': SanicIcon,
    'hubspot': HubspotIcon,
    'opensearch': OpensearchIcon,
    'elixir': ElixirIcon,
    'homebridge': HomebridgeIcon,
    'nginxproxymanager': NginxProxyManagerIcon,
    'talos': TalosIcon,
    'veepee': VeepeeIcon,
    'github': GithubIcon,
    'openapiinitiative': OpenapiInitiativeIcon,
    'iheartradio': IheartradioIcon,
    'paytm': PaytmIcon,
    'rxdb': RxdbIcon,
    'geode': GeodeIcon,
    'fubo': FuboIcon,
    'mihoyo': MihoyoIcon,
    'farcaster': FarcasterIcon,
    'mediapipe': MediapipeIcon,
    'bitcoin': BitcoinIcon,
    '1panel': OnePanelIcon,
    'koc': KocIcon,
    'exordo': ExordoIcon,
    'assemblyscript': AssemblyscriptIcon,
    'grab': GrabIcon,
    'apacheopenoffice': ApacheOpenofficeIcon,
    'redhatopenshift': RedHatOpenShiftIcon,
    'electron': ElectronIcon,
    'googlesearchconsole': GoogleSearchConsoleIcon,
    'openverse': OpenverseIcon,
    'mtr': MtrIcon,
    'roll20': RollTwentyIcon,
    'underarmour': UnderArmourIcon,
    'nhl': NhlIcon,
    'webgl': WebglIcon,
    'nba': NbaIcon,
    'cloudflareworkers': CloudflareWorkersIcon,
    'normalizedotcss': NormalizedotcssIcon,
    'jfrog': JfrogIcon,
    'adobe': AdobeIcon,
    'usps': UspsIcon,
    'semanticuireact': SemanticUiReactIcon,
    'max': MaxIcon,
    'adobecreativecloud': AdobeCreativeCloudIcon,
    'foursquarecityguide': FoursquareCityGuideIcon,
    'framework': FrameworkIcon,
    'scrapbox': ScrapboxIcon,
    'lunacy': LunacyIcon,
    'googledatastudio': GoogleDataStudioIcon,
    'maxplanckgesellschaft': MaxplanckgesellschaftIcon,
    'hp': HpIcon,
    'foodpanda': FoodpandaIcon,
    'apachetomcat': ApacheTomcatIcon,
    'snowflake': SnowflakeIcon,
    'inoreader': InoreaderIcon,
    'ubisoft': UbisoftIcon,
    'wezterm': WeztermIcon,
    'adobelightroom': AdobeLightroomIcon,
    'kdenlive': KdenliveIcon,
    'victoriametrics': VictoriametricsIcon,
    'amazonalexa': AmazonAlexaIcon,
    'pimcore': PimcoreIcon,
    'plurk': PlurkIcon,
    'egghead': EggheadIcon,
    'preact': PreactIcon,
    'transportforlondon': TransportForLondonIcon,
    'eclipseide': EclipseIdeIcon,
    'jovian': JovianIcon,
    'iceland': IcelandIcon,
    'peerlist': PeerlistIcon,
    'breaker': BreakerIcon,
    'eagle': EagleIcon,
    'phpstorm': PhpstormIcon,
    'hackaday': HackadayIcon,
    'arcgis': ArcgisIcon,
    'biome': BiomeIcon,
    'rive': RiveIcon,
    'ticktick': TicktickIcon,
    'caddy': CaddyIcon,
    'django': DjangoIcon,
    'nintendo': NintendoIcon,
    'zettlr': ZettlrIcon,
    'rarible': RaribleIcon,
    'oreilly': OreillyIcon,
    'stackpath': StackpathIcon,
    'libreofficeimpress': LibreofficeImpressIcon,
    'eclipsevertdotx': EclipseVertdotxIcon,
    'vrchat': VrchatIcon,
    'trendmicro': TrendMicroIcon,
    'photon': PhotonIcon,
    'consul': ConsulIcon,
    'brave': BraveIcon,
    'skypack': SkypackIcon,
    'octanerender': OctaneRenderIcon,
    'vectorlogozone': VectorLogoZoneIcon,
    'nextdotjs': NextdotjsIcon,
    'bandcamp': BandcampIcon,
    'splunk': SplunkIcon,
    'majorleaguehacking': MajorLeagueHackingIcon,
    'docusaurus': DocusaurusIcon,
    'alienware': AlienwareIcon,
    'saucelabs': SauceLabsIcon,
    'autocad': AutocadIcon,
    'griddotai': GriddotaiIcon,
    'paperlessngx': PaperlessngxIcon,
    'socketdotio': SocketdotioIcon,
    'hellyhansen': HellyHansenIcon,
    'v8': VEightIcon,
    'weblate': WeblateIcon,
    'reason': ReasonIcon,
    'openproject': OpenprojectIcon,
    'sharex': SharexIcon,
    'lufthansa': LufthansaIcon,
    'wikiquote': WikiquoteIcon,
    'audi': AudiIcon,
    'prometheus': PrometheusIcon,
    'cloudflarepages': CloudflarePagesIcon,
    'wwe': WweIcon,
    'opentext': OpentextIcon,
    'sepa': SepaIcon,
    'khanacademy': KhanAcademyIcon,
    'thewashingtonpost': TheWashingtonPostIcon,
    'posthog': PosthogIcon,
    'adblockplus': AdblockPlusIcon,
    'argo': ArgoIcon,
    'bnbchain': BnbChainIcon,
    'pixelfed': PixelfedIcon,
    'yarn': YarnIcon,
    'codeship': CodeshipIcon,
    'newjapanprowrestling': NewJapanProwrestlingIcon,
    'lightburn': LightburnIcon,
    'zoho': ZohoIcon,
    'kongregate': KongregateIcon,
    'nasa': NasaIcon,
    'symfony': SymfonyIcon,
    'freebsd': FreebsdIcon,
    'valorant': ValorantIcon,
    'lemonsqueezy': LemonSqueezyIcon,
    'pluscodes': PlusCodesIcon,
    'pearson': PearsonIcon,
    '42': FortyTwoIcon,
    'indiehackers': IndieHackersIcon,
    'republicofgamers': RepublicOfGamersIcon,
    'saudia': SaudiaIcon,
    'instructables': InstructablesIcon,
    'fluentbit': FluentBitIcon,
    'linkerd': LinkerdIcon,
    'mastercomfig': MastercomfigIcon,
    'teal': TealIcon,
    'apacheecharts': ApacheEchartsIcon,
    'vivo': VivoIcon,
    'datocms': DatocmsIcon,
    'byjus': ByjusIcon,
    'netgear': NetgearIcon,
    'appletv': AppleTvIcon,
    'tampermonkey': TampermonkeyIcon,
    'bitcoinsv': BitcoinSvIcon,
    'googlechronicle': GoogleChronicleIcon,
    'castro': CastroIcon,
    'csswizardry': CssWizardryIcon,
    'embarcadero': EmbarcaderoIcon,
    'lidl': LidlIcon,
    'kubuntu': KubuntuIcon,
    'jupyter': JupyterIcon,
    'expressvpn': ExpressvpnIcon,
    'ufc': UfcIcon,
    'googletagmanager': GoogleTagManagerIcon,
    'protondb': ProtondbIcon,
    'arm': ArmIcon,
    'superuser': SuperUserIcon,
    'babelio': BabelioIcon,
    'excalidraw': ExcalidrawIcon,
    'credly': CredlyIcon,
    'kickstarter': KickstarterIcon,
    'apacheflink': ApacheFlinkIcon,
    'hey': HeyIcon,
    'redmine': RedmineIcon,
    'kuula': KuulaIcon,
    'beatstars': BeatstarsIcon,
    'vsco': VscoIcon,
    'houzz': HouzzIcon,
    'vimeolivestream': VimeoLivestreamIcon,
    'dinersclub': DinersClubIcon,
    'amazongames': AmazonGamesIcon,
    'opencv': OpencvIcon,
    'steemit': SteemitIcon,
    'debian': DebianIcon,
    'insta360': InstaThreeHundredAndSixtyIcon,
    'cheerio': CheerioIcon,
    'vonage': VonageIcon,
    'easyeda': EasyedaIcon,
    'carthrottle': CarThrottleIcon,
    'knative': KnativeIcon,
    'eleventy': EleventyIcon,
    'goldmansachs': GoldmanSachsIcon,
    'photopea': PhotopeaIcon,
    'riscv': RiscvIcon,
    'kalilinux': KaliLinuxIcon,
    'solidity': SolidityIcon,
    'perl': PerlIcon,
    'upwork': UpworkIcon,
    'apachepulsar': ApachePulsarIcon,
    'plausibleanalytics': PlausibleAnalyticsIcon,
    'ionic': IonicIcon,
    'dtube': DtubeIcon,
    'teamcity': TeamcityIcon,
    'konami': KonamiIcon,
    'greenhouse': GreenhouseIcon,
    'vercel': VercelIcon,
    'doordash': DoordashIcon,
    'nounproject': NounProjectIcon,
    'roamresearch': RoamResearchIcon,
    'appstore': AppStoreIcon,
    'iterm2': ItermTwoIcon,
    'myspace': MyspaceIcon,
    'sympy': SympyIcon,
    'vitest': VitestIcon,
    'tui': TuiIcon,
    'h3': HThreeIcon,
    'igdb': IgdbIcon,
    'photobucket': PhotobucketIcon,
    'brandfolder': BrandfolderIcon,
    'webflow': WebflowIcon,
    'migadu': MigaduIcon,
    'awesomewm': AwesomewmIcon,
    '1dot1dot1dot1': OneDotOneDotOneDotOneIcon,
    'payloadcms': PayloadCmsIcon,
    'scpfoundation': ScpFoundationIcon,
    'cliqz': CliqzIcon,
    'thenorthface': TheNorthFaceIcon,
    'lobsters': LobstersIcon,
    'zebpay': ZebpayIcon,
    'elegoo': ElegooIcon,
    'cnet': CnetIcon,
    'itunes': ItunesIcon,
    'amazons3': AmazonSThreeIcon,
    'popos': PoposIcon,
    'pokemon': PokemonIcon,
    'typst': TypstIcon,
    'tplink': TplinkIcon,
    'coolermaster': CoolerMasterIcon,
    'dsautomobiles': DsAutomobilesIcon,
    'tqdm': TqdmIcon,
    'devexpress': DevexpressIcon,
    'analogue': AnalogueIcon,
    'vectary': VectaryIcon,
    'alteryx': AlteryxIcon,
    'codesignal': CodesignalIcon,
    'viblo': VibloIcon,
    'pyup': PyupIcon,
    'payhip': PayhipIcon,
    'volvo': VolvoIcon,
    'yamahamotorcorporation': YamahaMotorCorporationIcon,
    'immer': ImmerIcon,
    'commitlint': CommitlintIcon,
    'farfetch': FarfetchIcon,
    'denon': DenonIcon,
    'studyverse': StudyverseIcon,
    'simkl': SimklIcon,
    'kit': KitIcon,
    'nsis': NsisIcon,
    'apacheparquet': ApacheParquetIcon,
    'theguardian': TheGuardianIcon,
    'appwrite': AppwriteIcon,
    'keenetic': KeeneticIcon,
    'kinsta': KinstaIcon,
    'abstract': AbstractIcon,
    'skillshare': SkillshareIcon,
    'mapbox': MapboxIcon,
    'protocolsdotio': ProtocolsdotioIcon,
    'instructure': InstructureIcon,
    'inspire': InspireIcon,
    'slides': SlidesIcon,
    'wistia': WistiaIcon,
    'googledataproc': GoogleDataprocIcon,
    'libreofficemath': LibreofficeMathIcon,
    'primereact': PrimereactIcon,
    'tvtime': TvTimeIcon,
    'hetzner': HetznerIcon,
    'mobxstatetree': MobxstatetreeIcon,
    'cachet': CachetIcon,
    'lodash': LodashIcon,
    'unitednations': UnitedNationsIcon,
    'gitter': GitterIcon,
    'affinitypublisher': AffinityPublisherIcon,
    'aseprite': AsepriteIcon,
    'icomoon': IcomoonIcon,
    'fontawesome': FontAwesomeIcon,
    'petsathome': PetsAtHomeIcon,
    'metrodelaciudaddemexico': MetroDeLaCiudadDeMexicoIcon,
    'hackerearth': HackerearthIcon,
    'qlik': QlikIcon,
    'interbase': InterbaseIcon,
    'dart': DartIcon,
    'lifx': LifxIcon,
    'zendesk': ZendeskIcon,
    'bit': BitIcon,
    'patreon': PatreonIcon,
    'hotwire': HotwireIcon,
    'nodered': NoderedIcon,
    'arkecosystem': ArkEcosystemIcon,
    'adobepremierepro': AdobePremiereProIcon,
    'cplusplusbuilder': CplusplusBuilderIcon,
    'edgeimpulse': EdgeImpulseIcon,
    'iota': IotaIcon,
    'skoda': SkodaIcon,
    'quicklook': QuicklookIcon,
    'rubygems': RubygemsIcon,
    'orange': OrangeIcon,
    'gnusocial': GnuSocialIcon,
    '99designs': NinetyNineDesignsIcon,
    'microeditor': MicroEditorIcon,
    'comptia': ComptiaIcon,
    'macys': MacysIcon,
    'keeweb': KeewebIcon,
    'airasia': AirasiaIcon,
    'fanfou': FanfouIcon,
    'stubhub': StubhubIcon,
    'webtoon': WebtoonIcon,
    'ryanair': RyanairIcon,
    'clickup': ClickupIcon,
    'tide': TideIcon,
    'haxe': HaxeIcon,
    'philipshue': PhilipsHueIcon,
    'keepachangelog': KeepAChangelogIcon,
    'legacygames': LegacyGamesIcon,
    'acura': AcuraIcon,
    'medusa': MedusaIcon,
    'srgssr': SrgSsrIcon,
    'qmk': QmkIcon,
    'themoviedatabase': TheMovieDatabaseIcon,
    'v': VIcon,
    'renovate': RenovateIcon,
    'rime': RimeIcon,
    'transifex': TransifexIcon,
    'coderwall': CoderwallIcon,
    'tasmota': TasmotaIcon,
    'interactjs': InteractjsIcon,
    'sst': SstIcon,
    'observable': ObservableIcon,
    'applearcade': AppleArcadeIcon,
    'githubsponsors': GithubSponsorsIcon,
    'files': FilesIcon,
    'treehouse': TreehouseIcon,
    'googlecalendar': GoogleCalendarIcon,
    'cognizant': CognizantIcon,
    'bitly': BitlyIcon,
    'yabai': YabaiIcon,
    'esotericsoftware': EsotericSoftwareIcon,
    'gutenberg': GutenbergIcon,
    'nexusmods': NexusModsIcon,
    'mini': MiniIcon,
    'nucleo': NucleoIcon,
    'rtl': RtlIcon,
    'mazda': MazdaIcon,
    'codecov': CodecovIcon,
    'wellfound': WellfoundIcon,
    'airfrance': AirFranceIcon,
    'softpedia': SoftpediaIcon,
    'delicious': DeldoticiodotusIcon,
    'jfrogpipelines': JfrogPipelinesIcon,
    'thespritersresource': TheSpritersResourceIcon,
    'privateinternetaccess': PrivateInternetAccessIcon,
    'getx': GetxIcon,
    'frontendmentor': FrontendMentorIcon,
    'htmlacademy': HtmlAcademyIcon,
    'purism': PurismIcon,
    'mega': MegaIcon,
    'reactbootstrap': ReactBootstrapIcon,
    'juejin': JuejinIcon,
    'rakuten': RakutenIcon,
    'aol': AolIcon,
    'personio': PersonioIcon,
    'qiwi': QiwiIcon,
    'chessdotcom': ChessdotcomIcon,
    'ethers': EthersIcon,
    'carrefour': CarrefourIcon,
    'pagekit': PagekitIcon,
    'photocrowd': PhotocrowdIcon,
    'yii': YiiIcon,
    'quasar': QuasarIcon,
    'ktor': KtorIcon,
    'klook': KlookIcon,
    'bluesky': BlueskyIcon,
    'epson': EpsonIcon,
    'castbox': CastboxIcon,
    'automattic': AutomatticIcon,
    'couchbase': CouchbaseIcon,
    'guitarpro': GuitarProIcon,
    'greensock': GreensockIcon,
    'threadless': ThreadlessIcon,
    'anki': AnkiIcon,
    'gotomeeting': GotomeetingIcon,
    'oneplus': OneplusIcon,
    'gimp': GimpIcon,
    'staffbase': StaffbaseIcon,
    'xendit': XenditIcon,
    'insomnia': InsomniaIcon,
    'favro': FavroIcon,
    'bilibili': BilibiliIcon,
    'indiansuperleague': IndianSuperLeagueIcon,
    'knime': KnimeIcon,
    'pronounsdotpage': PronounsdotpageIcon,
    'techcrunch': TechcrunchIcon,
    'boulanger': BoulangerIcon,
    'arstechnica': ArsTechnicaIcon,
    'penpot': PenpotIcon,
    'wasmcloud': WasmcloudIcon,
    'dota2': DotaTwoIcon,
    'reasonstudios': ReasonStudiosIcon,
    'matterdotjs': MatterdotjsIcon,
    'vultr': VultrIcon,
    'julia': JuliaIcon,
    'searxng': SearxngIcon,
    'peloton': PelotonIcon,
    'greasyfork': GreasyForkIcon,
    'dm': DmIcon,
    'bugsnag': BugsnagIcon,
    'mockserviceworker': MockServiceWorkerIcon,
    'peertube': PeertubeIcon,
    'razorpay': RazorpayIcon,
    'archiveofourown': ArchiveOfOurOwnIcon,
    'codenewbie': CodenewbieIcon,
    'scala': ScalaIcon,
    'obsstudio': ObsStudioIcon,
    'fireship': FireshipIcon,
    'docker': DockerIcon,
    'renpy': RenpyIcon,
    'vala': ValaIcon,
    'ruby': RubyIcon,
    'nixos': NixosIcon,
    'keystone': KeystoneIcon,
    'cryptpad': CryptpadIcon,
    'datto': DattoIcon,
    'manjaro': ManjaroIcon,
    'shopee': ShopeeIcon,
    'firefoxbrowser': FirefoxBrowserIcon,
    'neteasecloudmusic': NeteaseCloudMusicIcon,
    'magisk': MagiskIcon,
    'homeassistantcommunitystore': HomeAssistantCommunityStoreIcon,
    'paritysubstrate': ParitySubstrateIcon,
    'koenigsegg': KoenigseggIcon,
    'qatarairways': QatarAirwaysIcon,
    'adobedreamweaver': AdobeDreamweaverIcon,
    'hoppscotch': HoppscotchIcon,
    'homeadvisor': HomeadvisorIcon,
    'librariesdotio': LibrariesdotioIcon,
    'gradleplaypublisher': GradlePlayPublisherIcon,
    'delphi': DelphiIcon,
    'uber': UberIcon,
    'coder': CoderIcon,
    'furrynetwork': FurryNetworkIcon,
    'iris': IrisIcon,
    'svgtrace': SvgtraceIcon,
    'geeksforgeeks': GeeksforgeeksIcon,
    'bluetooth': BluetoothIcon,
    'g2': GTwoIcon,
    'bat': BatIcon,
    'nextcloud': NextcloudIcon,
    'pocketcasts': PocketCastsIcon,
    'microgenetics': MicrogeneticsIcon,
    'copaairlines': CopaAirlinesIcon,
    'logstash': LogstashIcon,
    'instatus': InstatusIcon,
    'prismic': PrismicIcon,
    'jamboard': JamboardIcon,
    'qualtrics': QualtricsIcon,
    'apachedruid': ApacheDruidIcon,
    'bookstack': BookstackIcon,
    'sessionize': SessionizeIcon,
    'poe': PoeIcon,
    'roots': RootsIcon,
    'civo': CivoIcon,
    'uplabs': UplabsIcon,
    'quicktime': QuicktimeIcon,
    'slackware': SlackwareIcon,
    'bandsintown': BandsintownIcon,
    'polkadot': PolkadotIcon,
    'quantcast': QuantcastIcon,
    'xrp': XrpIcon,
    'dribbble': DribbbleIcon,
    'foundryvirtualtabletop': FoundryVirtualTabletopIcon,
    'rsocket': RsocketIcon,
    'aircanada': AirCanadaIcon,
    'session': SessionIcon,
    'thumbtack': ThumbtackIcon,
    'qgis': QgisIcon,
    'tryitonline': TryItOnlineIcon,
    'fresh': FreshIcon,
    'robotframework': RobotFrameworkIcon,
    'cirrusci': CirrusCiIcon,
    'system76': SystemSeventySixIcon,
    'ring': RingIcon,
    'realm': RealmIcon,
    'codesandbox': CodesandboxIcon,
    'castorama': CastoramaIcon,
    'shadcnui': ShadcnuiIcon,
    'googlenearby': GoogleNearbyIcon,
    'oracle': OracleIcon,
    'alpinedotjs': AlpinedotjsIcon,
    'gogdotcom': GogdotcomIcon,
    'fluxus': FluxusIcon,
    'clion': ClionIcon,
    'tesla': TeslaIcon,
    'asda': AsdaIcon,
    'codeproject': CodeprojectIcon,
    'elavon': ElavonIcon,
    'circuitverse': CircuitverseIcon,
    'chatwoot': ChatwootIcon,
    'bitcomet': BitcometIcon,
    'dask': DaskIcon,
    'songoda': SongodaIcon,
    'virginatlantic': VirginAtlanticIcon,
    'openfaas': OpenfaasIcon,
    'okta': OktaIcon,
    'digitalocean': DigitaloceanIcon,
    'mixpanel': MixpanelIcon,
    'dependencycheck': OwaspDependencycheckIcon,
    'smashingmagazine': SmashingMagazineIcon,
    'reacthookform': ReactHookFormIcon,
    'maildotru': MaildotruIcon,
    'curseforge': CurseforgeIcon,
    'jquery': JqueryIcon,
    'axios': AxiosIcon,
    'sahibinden': SahibindenIcon,
    'tauri': TauriIcon,
    'mdbook': MdbookIcon,
    'fauna': FaunaIcon,
    'roundcube': RoundcubeIcon,
    'thanos': ThanosIcon,
    'playstation': PlaystationIcon,
    'org': OrgIcon,
    'turborepo': TurborepoIcon,
    'ansys': AnsysIcon,
    'openmediavault': OpenmediavaultIcon,
    'packagist': PackagistIcon,
    'opensourceinitiative': OpenSourceInitiativeIcon,
    'opennebula': OpennebulaIcon,
    'apachedolphinscheduler': ApacheDolphinschedulerIcon,
    'llvm': LlvmIcon,
    'blender': BlenderIcon,
    'kununu': KununuIcon,
    'rider': RiderIcon,
    'trino': TrinoIcon,
    'walletconnect': WalletconnectIcon,
    'tacobell': TacoBellIcon,
    'datefns': DatefnsIcon,
    'naver': NaverIcon,
    'razer': RazerIcon,
    'motorola': MotorolaIcon,
    'rocksdb': RocksdbIcon,
    'jellyfin': JellyfinIcon,
    'pcgamingwiki': PcgamingwikiIcon,
    'daisyui': DaisyuiIcon,
    'fing': FingIcon,
    'proxmox': ProxmoxIcon,
    'chatbot': ChatbotIcon,
    'jenkins': JenkinsIcon,
    'honey': HoneyIcon,
    'matrix': MatrixIcon,
    'optimism': OptimismIcon,
    'line': LineIcon,
    'bulma': BulmaIcon,
    'infiniti': InfinitiIcon,
    'iconfinder': IconfinderIcon,
    'traccar': TraccarIcon,
    'homify': HomifyIcon,
    'formspree': FormspreeIcon,
    'algorand': AlgorandIcon,
    'alwaysdata': AlwaysdataIcon,
    'known': KnownIcon,
    'smart': SmartIcon,
    'midi': MidiIcon,
    'linkedin': LinkedinIcon,
    'discord': DiscordIcon,
    'libretranslate': LibretranslateIcon,
    'customink': CustomInkIcon,
    'textpattern': TextpatternIcon,
    'wikidata': WikidataIcon,
    'walkman': WalkmanIcon,
    'veeam': VeeamIcon,
    'nbb': NbbIcon,
    'apachesuperset': ApacheSupersetIcon,
    'primevideo': PrimeVideoIcon,
    'baidu': BaiduIcon,
    'anta': AntaIcon,
    'moqups': MoqupsIcon,
    'fedex': FedexIcon,
    'radstudio': RadStudioIcon,
    'wipro': WiproIcon,
    'tomorrowland': TomorrowlandIcon,
    'autohotkey': AutohotkeyIcon,
    'miraheze': MirahezeIcon,
    'webgpu': WebgpuIcon,
    'vestel': VestelIcon,
    'podman': PodmanIcon,
    'buysellads': BuyselladsIcon,
    'studio3t': StudioThreeTIcon,
    'googleappsscript': GoogleAppsScriptIcon,
    'smugmug': SmugmugIcon,
    'webtrees': WebtreesIcon,
    'chevrolet': ChevroletIcon,
    'affinityphoto': AffinityPhotoIcon,
    'bazel': BazelIcon,
    'crystal': CrystalIcon,
    'avast': AvastIcon,
    'dell': DellIcon,
    'kubernetes': KubernetesIcon,
    'samsungpay': SamsungPayIcon,
    'vowpalwabbit': VowpalWabbitIcon,
    'synology': SynologyIcon,
    'tapas': TapasIcon,
    'tinder': TinderIcon,
    'protonmail': ProtonMailIcon,
    'twinmotion': TwinmotionIcon,
    'kx': KxIcon,
    'comicfury': ComicfuryIcon,
    'googlemaps': GoogleMapsIcon,
    'newbalance': NewBalanceIcon,
    'confluence': ConfluenceIcon,
    'googlecloudstorage': GoogleCloudStorageIcon,
    'googlelens': GoogleLensIcon,
    'remedyentertainment': RemedyEntertainmentIcon,
    'mui': MuiIcon,
    'crunchyroll': CrunchyrollIcon,
    'xdadevelopers': XdaDevelopersIcon,
    'duolingo': DuolingoIcon,
    'appian': AppianIcon,
    'siyuan': SiyuanIcon,
    'picxy': PicxyIcon,
    'coda': CodaIcon,
    'immich': ImmichIcon,
    'parrotsecurity': ParrotSecurityIcon,
    'coil': CoilIcon,
    'genius': GeniusIcon,
    'cloud66': CloudSixtySixIcon,
    'esphome': EsphomeIcon,
    'jpeg': JpegIcon,
    'metacritic': MetacriticIcon,
    'looker': LookerIcon,
    'fugacloud': FugaCloudIcon,
    'velog': VelogIcon,
    'veritas': VeritasIcon,
    'mongoose': MongooseIcon,
    'maserati': MaseratiIcon,
    'pipx': PipxIcon,
    'lit': LitIcon,
    'codeigniter': CodeigniterIcon,
    'metafilter': MetafilterIcon,
    'chef': ChefIcon,
    'simpleanalytics': SimpleAnalyticsIcon,
    'topdotgg': TopdotggIcon,
    'imessage': ImessageIcon,
    'ollama': OllamaIcon,
    'alltrails': AlltrailsIcon,
    'pelican': PelicanIcon,
    'sonar': SonarIcon,
    'spond': SpondIcon,
    'amazonprime': AmazonPrimeIcon,
    'porsche': PorscheIcon,
    'gamebanana': GamebananaIcon,
    'humhub': HumhubIcon,
    'bentley': BentleyIcon,
    'sony': SonyIcon,
    'kagi': KagiIcon,
    'gunicorn': GunicornIcon,
    'prepbytes': PrepbytesIcon,
    'logitechg': LogitechGIcon,
    'revolut': RevolutIcon,
    'testcafe': TestcafeIcon,
    'mercadopago': MercadoPagoIcon,
    'kakao': KakaoIcon,
    'facebook': FacebookIcon,
    'polymerproject': PolymerProjectIcon,
    'zcool': ZcoolIcon,
    'weasyl': WeasylIcon,
    'riseup': RiseupIcon,
    'odnoklassniki': OdnoklassnikiIcon,
    'pdq': PdqIcon,
    'elementary': ElementaryIcon,
    'okcupid': OkcupidIcon,
    'premierleague': PremierLeagueIcon,
    'archlinux': ArchLinuxIcon,
    'kaggle': KaggleIcon,
    'taobao': TaobaoIcon,
    'sartorius': SartoriusIcon,
    'wegame': WegameIcon,
    'gusto': GustoIcon,
    'semanticui': SemanticUiIcon,
    'adobeillustrator': AdobeIllustratorIcon,
    'icons8': IconsEightIcon,
    'sellfy': SellfyIcon,
    'hbo': HboIcon,
    'xstate': XstateIcon,
    'shadow': ShadowIcon,
    'apacheant': ApacheAntIcon,
    'adp': AdpIcon,
    'linksys': LinksysIcon,
    'airtel': AirtelIcon,
    'dependabot': DependabotIcon,
    'fantom': FantomIcon,
    'stardock': StardockIcon,
    'lintcode': LintcodeIcon,
    'chrysler': ChryslerIcon,
    'rewe': ReweIcon,
    'triller': TrillerIcon,
    'crowdin': CrowdinIcon,
    'boxysvg': BoxySvgIcon,
    'decentraland': DecentralandIcon,
    'grapheneos': GrapheneosIcon,
    'speakerdeck': SpeakerDeckIcon,
    'tryhackme': TryhackmeIcon,
    'oshkosh': OshkoshIcon,
    'sennheiser': SennheiserIcon,
    'googlecloud': GoogleCloudIcon,
    'awssecretsmanager': AwsSecretsManagerIcon,
    'replit': ReplitIcon,
    'gitlfs': GitLfsIcon,
    'crowdsource': CrowdsourceIcon,
    'qwik': QwikIcon,
    'medibangpaint': MedibangPaintIcon,
    'rollupdotjs': RollupdotjsIcon,
    'gitlab': GitlabIcon,
    'klm': KlmIcon,
    'arlo': ArloIcon,
    'icon': IconIcon,
    'aframe': AframeIcon,
    'hatenabookmark': HatenaBookmarkIcon,
    'pandora': PandoraIcon,
    'revoltdotchat': RevoltdotchatIcon,
    'openbsd': OpenbsdIcon,
    'duckdb': DuckdbIcon,
    'blazemeter': BlazemeterIcon,
    'headphonezone': HeadphoneZoneIcon,
    'macos': MacosIcon,
    'jhipster': JhipsterIcon,
    'dji': DjiIcon,
    'tv4play': TvFourPlayIcon,
    'clubforce': ClubforceIcon,
    'darty': DartyIcon,
    'appveyor': AppveyorIcon,
    'apachehbase': ApacheHbaseIcon,
    'dragonframe': DragonframeIcon,
    'adobeindesign': AdobeIndesignIcon,
    'apifox': ApifoxIcon,
    'icicibank': IciciBankIcon,
    'jsfiddle': JsfiddleIcon,
    'ghost': GhostIcon,
    'underscoredotjs': UnderscoredotjsIcon,
    'dovecot': DovecotIcon,
    'edeka': EdekaIcon,
    'jasmine': JasmineIcon,
    'openjdk': OpenjdkIcon,
    'qnap': QnapIcon,
    'scrollreveal': ScrollrevealIcon,
    'akaunting': AkauntingIcon,
    'tunein': TuneinIcon,
    'curl': CurlIcon,
    '30secondsofcode': ThirtySecondsOfCodeIcon,
    'createreactapp': CreateReactAppIcon,
    'libreofficebase': LibreofficeBaseIcon,
    'netflix': NetflixIcon,
    'pinetwork': PiNetworkIcon,
    'purgecss': PurgecssIcon,
    'simplelogin': SimpleloginIcon,
    'singlestore': SinglestoreIcon,
    'yubico': YubicoIcon,
    'storybook': StorybookIcon,
    'gsk': GskIcon,
    'jitsi': JitsiIcon,
    'rollsroyce': RollsroyceIcon,
    'justeat': JustEatIcon,
    'trustpilot': TrustpilotIcon,
    'homeassistant': HomeAssistantIcon,
    'bukalapak': BukalapakIcon,
    'apacheguacamole': ApacheGuacamoleIcon,
    'amazonluna': AmazonLunaIcon,
    'mulesoft': MulesoftIcon,
    'turbosquid': TurbosquidIcon,
    'avira': AviraIcon,
    'teamviewer': TeamviewerIcon,
    'diaspora': DiasporaIcon,
    'vespa': VespaIcon,
    'keepassxc': KeepassxcIcon,
    'truenas': TruenasIcon,
    'erpnext': ErpnextIcon,
    'statuspal': StatuspalIcon,
    'nim': NimIcon,
    'hotjar': HotjarIcon,
    'gnubash': GnuBashIcon,
    'apostrophe': ApostropheIcon,
    'moo': MooIcon,
    'wagtail': WagtailIcon,
    'rumahweb': RumahwebIcon,
    'burgerking': BurgerKingIcon,
    'sourceengine': SourceEngineIcon,
    'jsonwebtokens': JsonWebTokensIcon,
    'pythonanywhere': PythonanywhereIcon,
    'anaconda': AnacondaIcon,
    'primeng': PrimengIcon,
    'firefish': FirefishIcon,
    'tarom': TaromIcon,
    'googlefit': GoogleFitIcon,
    'statuspage': StatuspageIcon,
    'houdini': HoudiniIcon,
    'douban': DoubanIcon,
    'bookbub': BookbubIcon,
    'niconico': NiconicoIcon,
    'statamic': StatamicIcon,
    'mixcloud': MixcloudIcon,
    'revealdotjs': RevealdotjsIcon,
    'affine': AffineIcon,
    'chupachups': ChupaChupsIcon,
    'moodle': MoodleIcon,
    'deepgram': DeepgramIcon,
    'make': MakeIcon,
    'cloudera': ClouderaIcon,
    'foxtel': FoxtelIcon,
    'jcb': JcbIcon,
    'actualbudget': ActualBudgetIcon,
    'googlecontaineroptimizedos': GoogleContainerOptimizedOsIcon,
    'paychex': PaychexIcon,
    'codingninjas': CodingNinjasIcon,
    'bricks': BricksIcon,
    'jirasoftware': JiraSoftwareIcon,
    'sage': SageIcon,
    'cloudfoundry': CloudFoundryIcon,
    'auth0': AuthZeroIcon,
    'googlenews': GoogleNewsIcon,
    'openhab': OpenhabIcon,
    'bevy': BevyIcon,
    'rescript': RescriptIcon,
    'laragon': LaragonIcon,
    'calibreweb': CalibrewebIcon,
    'swr': SwrIcon,
    'qase': QaseIcon,
    'ton': TonIcon,
    'audiomack': AudiomackIcon,
    'storyblok': StoryblokIcon,
    'organicmaps': OrganicMapsIcon,
    'bittorrent': BittorrentIcon,
    'apachefreemarker': ApacheFreemarkerIcon,
    'unsplash': UnsplashIcon,
    'thesoundsresource': TheSoundsResourceIcon,
    'whatsapp': WhatsappIcon,
    'vmware': VmwareIcon,
    'swagger': SwaggerIcon,
    'googletranslate': GoogleTranslateIcon,
    'red': RedIcon,
    'feedly': FeedlyIcon,
    'haskell': HaskellIcon,
    'bmw': BmwIcon,
    'drone': DroneIcon,
    'codacy': CodacyIcon,
    'materialformkdocs': MaterialForMkdocsIcon,
    'wii': WiiIcon,
    'wagmi': WagmiIcon,
    'tiktok': TiktokIcon,
    'twinkly': TwinklyIcon,
    'knexdotjs': KnexdotjsIcon,
    'mqtt': MqttIcon,
    'uptimekuma': UptimeKumaIcon,
    'odysee': OdyseeIcon,
    'taipy': TaipyIcon,
    'flightaware': FlightawareIcon,
    'gumroad': GumroadIcon,
    'frontify': FrontifyIcon,
    'falco': FalcoIcon,
    'hevy': HevyIcon,
    'ltspice': LtspiceIcon,
    'wappalyzer': WappalyzerIcon,
    'invoiceninja': InvoiceNinjaIcon,
    'androidauto': AndroidAutoIcon,
    'upstash': UpstashIcon,
    'spacemacs': SpacemacsIcon,
    'haveibeenpwned': HaveibeenpwnedIcon,
    'sublimetext': SublimeTextIcon,
    'kingstontechnology': KingstonTechnologyIcon,
    'railway': RailwayIcon,
    'logmein': LogmeinIcon,
    'starz': StarzIcon,
    'dungeonsanddragons': DungeonsandDragonsIcon,
    'ntfy': NtfyIcon,
    'vega': VegaIcon,
    'bitdefender': BitdefenderIcon,
    'aral': AralIcon,
    'rhinoceros': RhinocerosIcon,
    'minio': MinioIcon,
    'livewire': LivewireIcon,
    'loom': LoomIcon,
    'mainwp': MainwpIcon,
    'cocoapods': CocoapodsIcon,
    'paddlepaddle': PaddlepaddleIcon,
    'bombardier': BombardierIcon,
    'malwarebytes': MalwarebytesIcon,
    'dailymotion': DailymotionIcon,
    'snapcraft': SnapcraftIcon,
    'tiddlywiki': TiddlywikiIcon,
    'elastic': ElasticIcon,
    'foobar2000': FoobarTwoThousandIcon,
    'adobeaudition': AdobeAuditionIcon,
    'picnic': PicnicIcon,
    'goodreads': GoodreadsIcon,
    'roon': RoonIcon,
    'googlebigtable': GoogleBigtableIcon,
    'datadotai': DatadotaiIcon,
    'picrew': PicrewIcon,
    'syncthing': SyncthingIcon,
    'hyprland': HyprlandIcon,
    'gatling': GatlingIcon,
    'youtubetv': YoutubeTvIcon,
    'sonarr': SonarrIcon,
    'fandango': FandangoIcon,
    'gofundme': GofundmeIcon,
    'erlang': ErlangIcon,
    'wiiu': WiiUIcon,
    'udemy': UdemyIcon,
    'cadillac': CadillacIcon,
    'scrimba': ScrimbaIcon,
    'cockroachlabs': CockroachLabsIcon,
    'giphy': GiphyIcon,
    'khronosgroup': KhronosGroupIcon,
    'unity': UnityIcon,
    'podcastindex': PodcastIndexIcon,
    'codechef': CodechefIcon,
    'googlekeep': GoogleKeepIcon,
    'foursquare': FoursquareIcon,
    'protonvpn': ProtonVpnIcon,
    'gmail': GmailIcon,
    'milvus': MilvusIcon,
    'cilium': CiliumIcon,
    'serverless': ServerlessIcon,
    'gnu': GnuIcon,
    'mintlify': MintlifyIcon,
    'yamahacorporation': YamahaCorporationIcon,
    'kong': KongIcon,
    'opensea': OpenseaIcon,
    'alby': AlbyIcon,
    'plotly': PlotlyIcon,
    'proteus': ProteusIcon,
    'budibase': BudibaseIcon,
    'webdriverio': WebdriverioIcon,
    'wgpu': WgpuIcon,
    'quantconnect': QuantconnectIcon,
    'comma': CommaIcon,
    'unrealengine': UnrealEngineIcon,
    'maildotcom': MaildotcomIcon,
    'gnome': GnomeIcon,
    'mautic': MauticIcon,
    'epicgames': EpicGamesIcon,
    'adafruit': AdafruitIcon,
    'ycombinator': YCombinatorIcon,
    'qzone': QzoneIcon,
    'itchdotio': ItchdotioIcon,
    'zod': ZodIcon,
    'freedesktopdotorg': FreedesktopdotorgIcon,
    'chartmogul': ChartmogulIcon,
    'karlsruherverkehrsverbund': KarlsruherVerkehrsverbundIcon,
    'freepik': FreepikIcon,
    'cycling74': CyclingSeventyFourIcon,
    'laravel': LaravelIcon,
    'alfred': AlfredIcon,
    'onstar': OnstarIcon,
    'fitbit': FitbitIcon,
    'aiqfome': AiqfomeIcon,
    'kaspersky': KasperskyIcon,
    'norwegian': NorwegianIcon,
    'zsh': ZshIcon,
    'apacheairflow': ApacheAirflowIcon,
    'packer': PackerIcon,
    'contentstack': ContentstackIcon,
    'sefaria': SefariaIcon,
    'wantedly': WantedlyIcon,
    'ford': FordIcon,
    'pfsense': PfsenseIcon,
    'androidstudio': AndroidStudioIcon,
    'autodeskrevit': AutodeskRevitIcon,
    'blackberry': BlackberryIcon,
    'lapce': LapceIcon,
    'ubiquiti': UbiquitiIcon,
    'bigcommerce': BigcommerceIcon,
    'audiobookshelf': AudiobookshelfIcon,
    'mcdonalds': McdonaldsIcon,
    'nikon': NikonIcon,
    'strongswan': StrongswanIcon,
    'skaffold': SkaffoldIcon,
    'builtbybit': BuiltbybitIcon,
    'publons': PublonsIcon,
    'theodinproject': TheOdinProjectIcon,
    'thymeleaf': ThymeleafIcon,
    'leetcode': LeetcodeIcon,
    'librarything': LibrarythingIcon,
    'iberia': IberiaIcon,
    'skyrock': SkyrockIcon,
    'salesforce': SalesforceIcon,
    'pulumi': PulumiIcon,
    'telegraph': TelegraphIcon,
    'kentico': KenticoIcon,
    'amazonsqs': AmazonSqsIcon,
    'zend': ZendIcon,
    'ndr': NdrIcon,
    'bisecthosting': BisecthostingIcon,
    'playerfm': PlayerFmIcon,
    'spinrilla': SpinrillaIcon,
    'yr': YrIcon,
    'showtime': ShowtimeIcon,
    'hyundai': HyundaiIcon,
    'imdb': ImdbIcon,
    'intercom': IntercomIcon,
    'stryker': StrykerIcon,
    'saopaulometro': SaoPauloMetroIcon,
    'flatpak': FlatpakIcon,
    'apachecouchdb': ApacheCouchdbIcon,
    'spaceship': SpaceshipIcon,
    'teepublic': TeepublicIcon,
    'wykop': WykopIcon,
    'typeform': TypeformIcon,
    'googleadmob': GoogleAdmobIcon,
    'retroarch': RetroarchIcon,
    'logitech': LogitechIcon,
    'armkeil': ArmKeilIcon,
    'stackhawk': StackhawkIcon,
    'infoq': InfoqIcon,
    'hashicorp': HashicorpIcon,
    'soundcloud': SoundcloudIcon,
    'apacherocketmq': ApacheRocketmqIcon,
    'chromatic': ChromaticIcon,
    'checkio': CheckioIcon,
    'opensuse': OpensuseIcon,
    'tower': TowerIcon,
    'lastpass': LastpassIcon,
    'amazonredshift': AmazonRedshiftIcon,
    'irobot': IrobotIcon,
    'barmenia': BarmeniaIcon,
    'googlepay': GooglePayIcon,
    'intigriti': IntigritiIcon,
    'awsfargate': AwsFargateIcon,
    'abbrobotstudio': AbbRobotstudioIcon,
    'libreofficecalc': LibreofficeCalcIcon,
    'cssmodules': CssModulesIcon,
    'squareenix': SquareEnixIcon,
    'tencentqq': TencentQqIcon,
    'wikimediacommons': WikimediaCommonsIcon,
    'eclipsemosquitto': EclipseMosquittoIcon,
    'jest': JestIcon,
    'britishairways': BritishAirwaysIcon,
    'affinitydesigner': AffinityDesignerIcon,
    'googleearthengine': GoogleEarthEngineIcon,
    'gitee': GiteeIcon,
    'osf': OsfIcon,
    'radar': RadarIcon,
    'hungryjacks': HungryJacksIcon,
    'apmterminals': ApmTerminalsIcon,
    '365datascience': ThreeHundredAndSixtyFiveDataScienceIcon,
    'hugo': HugoIcon,
    'redcandlegames': RedCandleGamesIcon,
    'substack': SubstackIcon,
    'joomla': JoomlaIcon,
    'notist': NotistIcon,
    'dunked': DunkedIcon,
    'steelseries': SteelseriesIcon,
    'emby': EmbyIcon,
    'honor': HonorIcon,
    'nordvpn': NordvpnIcon,
    'citrix': CitrixIcon,
    'slashdot': SlashdotIcon,
    'paramountplus': ParamountplusIcon,
    'cockpit': CockpitIcon,
    'godaddy': GodaddyIcon,
    'googledisplayandvideo360': GoogleDisplayandVideoThreeHundredAndSixtyIcon,
    'flux': FluxIcon,
    'googlechrome': GoogleChromeIcon,
    'qt': QtIcon,
    'nfc': NfcIcon,
    'quizlet': QuizletIcon,
    'verizon': VerizonIcon,
    'countingworkspro': CountingworksProIcon,
    'tsnode': TsnodeIcon,
    'dwm': DwmIcon,
    'carto': CartoIcon,
    'globus': GlobusIcon,
    'sphinx': SphinxIcon,
    'chromecast': ChromecastIcon,
    'jinja': JinjaIcon,
    'redash': RedashIcon,
    'ravelry': RavelryIcon,
    'containerd': ContainerdIcon,
    'meituan': MeituanIcon,
    'blogger': BloggerIcon,
    'codewars': CodewarsIcon,
    'backbonedotjs': BackbonedotjsIcon,
    'nxp': NxpIcon,
    'torproject': TorProjectIcon,
    'rockylinux': RockyLinuxIcon,
    'qwiklabs': QwiklabsIcon,
    'd': DIcon,
    'marriott': MarriottIcon,
    'thingiverse': ThingiverseIcon,
    'latex': LatexIcon,
    'pubmed': PubmedIcon,
    'dropbox': DropboxIcon,
    'shortcut': ShortcutIcon,
    'ejs': EjsIcon,
    'icloud': IcloudIcon,
    'nubank': NubankIcon,
    'expedia': ExpediaIcon,
    'airtable': AirtableIcon,
    'ssrn': SsrnIcon,
    'fifa': FifaIcon,
    'leptos': LeptosIcon,
    'tripdotcom': TripdotcomIcon,
    'viaplay': ViaplayIcon,
    'pydantic': PydanticIcon,
    'anydesk': AnydeskIcon,
    'webpack': WebpackIcon,
    'wizzair': WizzAirIcon,
    'keycloak': KeycloakIcon,
    'webcomponentsdotorg': WebcomponentsdotorgIcon,
    'flood': FloodIcon,
    'helpscout': HelpScoutIcon,
    'mantine': MantineIcon,
    'googleplay': GooglePlayIcon,
    'podcastaddict': PodcastAddictIcon,
    'gameandwatch': GameandWatchIcon,
    'tubi': TubiIcon,
    'micropython': MicropythonIcon,
    'amul': AmulIcon,
    'pond5': PondFiveIcon,
    'temporal': TemporalIcon,
    'prevention': PreventionIcon,
    'invision': InvisionIcon,
    'freecad': FreecadIcon,
    'tamiya': TamiyaIcon,
    'edx': EdxIcon,
    'javascript': JavascriptIcon,
    'abbvie': AbbvieIcon,
    'rumble': RumbleIcon,
    'crehana': CrehanaIcon,
    'express': ExpressIcon,
    'pypi': PypiIcon,
    'musicbrainz': MusicbrainzIcon,
    'woocommerce': WoocommerceIcon,
    'habr': HabrIcon,
    'deutschewelle': DeutscheWelleIcon,
    'planetscale': PlanetscaleIcon,
    'aircall': AircallIcon,
    'gatsby': GatsbyIcon,
    'googlepubsub': GooglePubsubIcon,
    'zigbee2mqtt': ZigbeeTwoMqttIcon,
    'sitepoint': SitepointIcon,
    'autocannon': AutocannonIcon,
    'librewolf': LibrewolfIcon,
    'kodak': KodakIcon,
    'spine': SpineIcon,
    'near': NearIcon,
    'netdata': NetdataIcon,
    'postman': PostmanIcon,
    'googlephotos': GooglePhotosIcon,
    'linuxfoundation': LinuxFoundationIcon,
    'autoprefixer': AutoprefixerIcon,
    'arangodb': ArangodbIcon,
    'ankermake': AnkermakeIcon,
    'prisma': PrismaIcon,
    'sparkpost': SparkpostIcon,
    'nuxtdotjs': NuxtdotjsIcon,
    'meizu': MeizuIcon,
    'atandt': AtandtIcon,
    'libreofficewriter': LibreofficeWriterIcon,
    'moq': MoqIcon,
    'hibernate': HibernateIcon,
    'authentik': AuthentikIcon,
    'basicattentiontoken': BasicAttentionTokenIcon,
    'eclipseche': EclipseCheIcon,
    'raycast': RaycastIcon,
    'kik': KikIcon,
    'dlib': DlibIcon,
    'dictionarydotcom': DictionarydotcomIcon,
    'cesium': CesiumIcon,
    'ritzcarlton': RitzCarltonIcon,
    'wpexplorer': WpexplorerIcon,
    'cairometro': CairoMetroIcon,
    'trivago': TrivagoIcon,
    'bun': BunIcon,
    'intermarche': IntermarcheIcon,
    'canvas': CanvasIcon,
    'huawei': HuaweiIcon,
    'ups': UpsIcon,
    'zerodha': ZerodhaIcon,
    'pterodactyl': PterodactylIcon,
    'fox': FoxIcon,
    'airbus': AirbusIcon,
    'pycqa': PycqaIcon,
    'delonghi': DelonghiIcon,
    'kicad': KicadIcon,
    'zalando': ZalandoIcon,
    'nissan': NissanIcon,
    'xo': XoIcon,
    'ccleaner': CcleanerIcon,
    'theirishtimes': TheIrishTimesIcon,
    'netcup': NetcupIcon,
    'playstationportable': PlaystationPortableIcon,
    'vexxhost': VexxhostIcon,
    'tldraw': TldrawIcon,
    'pix': PixIcon,
    'iobroker': IobrokerIcon,
    'hootsuite': HootsuiteIcon,
    'quarkus': QuarkusIcon,
    'multisim': MultisimIcon,
    'cloudbees': CloudbeesIcon,
    'stackshare': StackshareIcon,
    'datacamp': DatacampIcon,
    'mermaid': MermaidIcon,
    'chase': ChaseIcon,
    'swc': SwcIcon,
    'fontbase': FontbaseIcon,
    'betterstack': BetterStackIcon,
    'fossa': FossaIcon,
    'pysyft': PysyftIcon,
    'npm': NpmIcon,
    'vim': VimIcon,
    'readme': ReadmeIcon,
    'sass': SassIcon,
    'pytorch': PytorchIcon,
    'ionos': IonosIcon,
    'probot': ProbotIcon,
    'googlemarketingplatform': GoogleMarketingPlatformIcon,
    'helm': HelmIcon,
    'cloudinary': CloudinaryIcon,
    'siemens': SiemensIcon,
    'minetest': MinetestIcon,
    'nokia': NokiaIcon,
    'calendly': CalendlyIcon,
    'alibabacloud': AlibabaCloudIcon,
    'afterpay': AfterpayIcon,
    'springboot': SpringBootIcon,
    'applenews': AppleNewsIcon,
    'renren': RenrenIcon,
    'walmart': WalmartIcon,
    'yoast': YoastIcon,
    'adidas': AdidasIcon,
    'eslint': EslintIcon,
    'jaeger': JaegerIcon,
    'mariadb': MariadbIcon,
    'todoist': TodoistIcon,
    'creativecommons': CreativeCommonsIcon,
    'setapp': SetappIcon,
    'pug': PugIcon,
    'marko': MarkoIcon,
    'githubactions': GithubActionsIcon,
    'derspiegel': DerSpiegelIcon,
    'spreadshirt': SpreadshirtIcon,
    '4d': FourDIcon,
    'draugiemdotlv': DraugiemdotlvIcon,
    'v2ex': VTwoExIcon,
    'tumblr': TumblrIcon,
    'rocketdotchat': RocketdotchatIcon,
    'google': GoogleIcon,
    'albertheijn': AlbertHeijnIcon,
    'celestron': CelestronIcon,
    'amazonmusic': AmazonMusicIcon,
    'asus': AsusIcon,
    'marketo': MarketoIcon,
    'cplusplus': CplusplusIcon,
    'pdm': PdmIcon,
    'hilton': HiltonIcon,
    'mattermost': MattermostIcon,
    'amazoncloudwatch': AmazonCloudwatchIcon,
    'songkick': SongkickIcon,
    'volkswagen': VolkswagenIcon,
    'datev': DatevIcon,
    'kahoot': KahootIcon,
    'zabka': ZabkaIcon,
    'testrail': TestrailIcon,
    'warp': WarpIcon,
    'scratch': ScratchIcon,
    '2k': TwoKIcon,
    'umami': UmamiIcon,
    'lucid': LucidIcon,
    'boeing': BoeingIcon,
    'toshiba': ToshibaIcon,
    'cbc': CbcIcon,
    'kfc': KfcIcon,
    'sqlite': SqliteIcon,
    'php': PhpIcon,
    'ros': RosIcon,
    'instagram': InstagramIcon,
    'macpaw': MacpawIcon,
    'compilerexplorer': CompilerExplorerIcon,
    'ublockorigin': UblockOriginIcon,
    'sourceforge': SourceforgeIcon,
    'asana': AsanaIcon,
    'monster': MonsterIcon,
    'minutemailer': MinutemailerIcon,
    'disqus': DisqusIcon,
    'charles': CharlesIcon,
    'apollographql': ApolloGraphqlIcon,
    'hackclub': HackClubIcon,
    'editorconfig': EditorconfigIcon,
    'umbraco': UmbracoIcon,
    'r': RIcon,
    'webauthn': WebauthnIcon,
    'opentofu': OpentofuIcon,
    'glovo': GlovoIcon,
    'qualys': QualysIcon,
    'graphql': GraphqlIcon,
    'porkbun': PorkbunIcon,
    'nodedotjs': NodedotjsIcon,
    'amazonapigateway': AmazonApiGatewayIcon,
    'misskey': MisskeyIcon,
    'konva': KonvaIcon,
    'acer': AcerIcon,
    'anytype': AnytypeIcon,
    'amd': AmdIcon,
    'agora': AgoraIcon,
    'carlsberggroup': CarlsbergGroupIcon,
    'gstreamer': GstreamerIcon,
    'mozilla': MozillaIcon,
    'momenteo': MomenteoIcon,
    'lubuntu': LubuntuIcon,
    'huggingface': HuggingFaceIcon,
    'rust': RustIcon,
    'first': FirstIcon,
    'toptal': ToptalIcon,
    'ferrarinv': FerrariNdotvdotIcon,
    'revue': RevueIcon,
    '3m': ThreeMIcon,
    'argos': ArgosIcon,
    'netto': NettoIcon,
    'picpay': PicpayIcon,
    'beijingsubway': BeijingSubwayIcon,
    'reduxsaga': ReduxsagaIcon,
    'ohdear': OhDearIcon,
    'piaggiogroup': PiaggioGroupIcon,
    'subversion': SubversionIcon,
    'dvc': DvcIcon,
    'viadeo': ViadeoIcon,
    'hostinger': HostingerIcon,
    'ckeditor4': CkeditorFourIcon,
    'libreofficedraw': LibreofficeDrawIcon,
    'adobexd': AdobeXdIcon,
    'unacademy': UnacademyIcon,
    'wikipedia': WikipediaIcon,
    'filedotio': FiledotioIcon,
    'pwa': PwaIcon,
    'ovh': OvhIcon,
    'canonical': CanonicalIcon,
    'borgbackup': BorgbackupIcon,
    'plume': PlumeIcon,
    'darkreader': DarkReaderIcon,
    'clerk': ClerkIcon,
    'zoiper': ZoiperIcon,
    'facebookgaming': FacebookGamingIcon,
    'kdeplasma': KdePlasmaIcon,
    'decapcms': DecapCmsIcon,
    'depositphotos': DepositphotosIcon,
    'crewunited': CrewUnitedIcon,
    'openstreetmap': OpenstreetmapIcon,
    'g2g': GTwoGIcon,
    'zedindustries': ZedIndustriesIcon,
    'dovetail': DovetailIcon,
    'tabelog': TabelogIcon,
    'f1': FOneIcon,
    'spreaker': SpreakerIcon,
    'amazondynamodb': AmazonDynamodbIcon,
    'seatgeek': SeatgeekIcon,
    'sparkasse': SparkasseIcon,
    'spectrum': SpectrumIcon,
    'ubuntu': UbuntuIcon,
    'reactivex': ReactivexIcon,
    'resurrectionremixos': ResurrectionRemixOsIcon,
    'folium': FoliumIcon,
    'snowpack': SnowpackIcon,
    'doctrine': DoctrineIcon,
    'pexels': PexelsIcon,
    'showpad': ShowpadIcon,
    'alamy': AlamyIcon,
    'woo': WooIcon,
    'itvx': ItvxIcon,
    'sailfishos': SailfishOsIcon,
    'tokyometro': TokyoMetroIcon,
    'twitch': TwitchIcon,
    'dbeaver': DbeaverIcon,
    'bim': BimIcon,
    'netlify': NetlifyIcon,
    'mailboxdotorg': MailboxdotorgIcon,
    'buefy': BuefyIcon,
    'jabber': JabberIcon,
    'lineageos': LineageosIcon,
    'surrealdb': SurrealdbIcon,
    'turbo': TurboIcon,
    'samsclub': SamsClubIcon,
    'graylog': GraylogIcon,
    'go': GoIcon,
    'tinkercad': TinkercadIcon,
    'csdn': CsdnIcon,
    'monzo': MonzoIcon,
    'rubyonrails': RubyOnRailsIcon,
    'gnuicecat': GnuIcecatIcon,
    'hitachi': HitachiIcon,
    'yaml': YamlIcon,
    'abbott': AbbottIcon,
    'sparkar': SparkArIcon,
    'lastdotfm': LastdotfmIcon,
    'openvpn': OpenvpnIcon,
    'httpie': HttpieIcon,
    'i18next': IEighteenNextIcon,
    'backstage': BackstageIcon,
    'grammarly': GrammarlyIcon,
    'shelly': ShellyIcon,
    'aew': AewIcon,
    'meetup': MeetupIcon,
    'printables': PrintablesIcon,
    'racket': RacketIcon,
    'stackbit': StackbitIcon,
    'rockstargames': RockstarGamesIcon,
    'osgeo': OsgeoIcon,
    'happycow': HappycowIcon,
    'homarr': HomarrIcon,
    'mlflow': MlflowIcon,
    'istio': IstioIcon,
    'soriana': SorianaIcon,
    'quora': QuoraIcon,
    'surveymonkey': SurveymonkeyIcon,
    'klarna': KlarnaIcon,
    'hermes': HermesIcon,
    'webmoney': WebmoneyIcon,
    'ram': RamIcon,
    'spotlight': SpotlightIcon,
    'codeclimate': CodeClimateIcon,
    'platzi': PlatziIcon,
    'svgo': SvgoIcon,
    'notion': NotionIcon,
    'slickpic': SlickpicIcon,
    'transportforireland': TransportForIrelandIcon,
    'zerply': ZerplyIcon,
    'githubpages': GithubPagesIcon,
    'ea': EaIcon,
    'paloaltosoftware': PaloAltoSoftwareIcon,
    'mediafire': MediafireIcon,
    'zotero': ZoteroIcon,
    'threedotjs': ThreedotjsIcon,
    'googlesheets': GoogleSheetsIcon,
    'bvg': BvgIcon,
    'prezi': PreziIcon,
    'crayon': CrayonIcon,
    'centos': CentosIcon,
    'hdfcbank': HdfcBankIcon,
    'nvidia': NvidiaIcon,
    'battledotnet': BattledotnetIcon,
    'claris': ClarisIcon,
    'eclipseadoptium': EclipseAdoptiumIcon,
    'vite': ViteIcon,
    'piapro': PiaproIcon,
    'nicehash': NicehashIcon,
    'apachekylin': ApacheKylinIcon,
    'canva': CanvaIcon,
    'wolfram': WolframIcon,
    'baserow': BaserowIcon,
    'prosieben': ProsiebenIcon,
    'chainguard': ChainguardIcon,
    'linuxserver': LinuxserverIcon,
    'neovim': NeovimIcon,
    'bower': BowerIcon,
    'angular': AngularIcon,
    'xing': XingIcon,
    'glitch': GlitchIcon,
    'osmc': OsmcIcon,
    'piped': PipedIcon,
    'hibob': HiBobIcon,
    'postmates': PostmatesIcon,
    'deutschepost': DeutschePostIcon,
    'numba': NumbaIcon,
    'json': JsonIcon,
    'redhat': RedHatIcon,
    'zhihu': ZhihuIcon,
    'toyota': ToyotaIcon,
    'kaios': KaiosIcon,
    'coinmarketcap': CoinmarketcapIcon,
    'paloaltonetworks': PaloAltoNetworksIcon,
    'wprocket': WpRocketIcon,
    'openjsfoundation': OpenjsFoundationIcon,
    'starbucks': StarbucksIcon,
    'myob': MyobIcon,
    'dbt': DbtIcon,
    'thangs': ThangsIcon,
    'openbadges': OpenBadgesIcon,
    'bspwm': BspwmIcon,
    'handlebarsdotjs': HandlebarsdotjsIcon,
    'lua': LuaIcon,
    'python': PythonIcon,
    'talend': TalendIcon,
    'drizzle': DrizzleIcon,
    'codepen': CodepenIcon,
    'signal': SignalIcon,
    'husqvarna': HusqvarnaIcon,
    'unlicense': UnlicenseIcon,
    'etihadairways': EtihadAirwaysIcon,
    'improvmx': ImprovmxIcon,
    'googlestreetview': GoogleStreetViewIcon,
    'monogame': MonogameIcon,
    'infosys': InfosysIcon,
    'antdesign': AntDesignIcon,
    'juce': JuceIcon,
    'moonrepo': MoonrepoIcon,
    'lemmy': LemmyIcon,
    'infracost': InfracostIcon,
    'babel': BabelIcon,
    'lumen': LumenIcon,
    'vapor': VaporIcon,
    'googleauthenticator': GoogleAuthenticatorIcon,
    'graphite': GraphiteIcon,
    'airchina': AirChinaIcon,
    'sketchfab': SketchfabIcon,
    'xampp': XamppIcon,
    'now': NowIcon,
    'mubi': MubiIcon,
    'toml': TomlIcon,
    'veed': VeedIcon,
    'hcl': HclIcon,
    'empirekred': EmpireKredIcon,
    'bosch': BoschIcon,
    'phosphoricons': PhosphorIconsIcon,
    'vitess': VitessIcon,
    'binance': BinanceIcon,
    'steem': SteemIcon,
    'suno': SunoIcon,
    'clubhouse': ClubhouseIcon,
    'codefactor': CodefactorIcon,
    'akamai': AkamaiIcon,
    'codestream': CodestreamIcon,
    'ruff': RuffIcon,
    'applepodcasts': ApplePodcastsIcon,
    'rtm': RtmIcon,
    'securityscorecard': SecurityscorecardIcon,
    'appsignal': AppsignalIcon,
    'presto': PrestoIcon,
    'streamlabs': StreamlabsIcon,
    'gsmarenadotcom': GsmarenadotcomIcon,
    'mumble': MumbleIcon,
    'teamspeak': TeamspeakIcon,
    'n8n': NEightNIcon,
    'tata': TataIcon,
    'fila': FilaIcon,
    'kibana': KibanaIcon,
    'supercrease': SupercreaseIcon,
    'vox': VoxIcon,
    'gitbook': GitbookIcon,
    'fig': FigIcon,
    'roboflow': RoboflowIcon,
    'smrt': SmrtIcon,
    'elasticsearch': ElasticsearchIcon,
    'cryengine': CryengineIcon,
    'paddypower': PaddyPowerIcon,
    'stackexchange': StackExchangeIcon,
    'muo': MuoIcon,
    'chinasouthernairlines': ChinaSouthernAirlinesIcon,
    'tekton': TektonIcon,
    'googleslides': GoogleSlidesIcon,
    'semanticscholar': SemanticScholarIcon,
    'adobeaftereffects': AdobeAfterEffectsIcon,
    'youtubestudio': YoutubeStudioIcon,
    'scania': ScaniaIcon,
    'deluge': DelugeIcon,
    'atlassian': AtlassianIcon,
    'slack': SlackIcon,
    'norco': NorcoIcon,
    'codefresh': CodefreshIcon,
    'distrokid': DistrokidIcon,
    'cnn': CnnIcon,
    'satellite': SatelliteIcon,
    'isc2': IscTwoIcon,
    'citroen': CitroenIcon,
    'openzfs': OpenzfsIcon,
    'alchemy': AlchemyIcon,
    'boehringeringelheim': BoehringerIngelheimIcon,
    'phpmyadmin': PhpmyadminIcon,
    'sqlalchemy': SqlalchemyIcon,
    'robinhood': RobinhoodIcon,
    'animalplanet': AnimalPlanetIcon,
    'alpinelinux': AlpineLinuxIcon,
    'coop': CoopIcon,
    'xsplit': XsplitIcon,
    'rootssage': RootsSageIcon,
    'wikidotgg': WikidotggIcon,
    'ticketmaster': TicketmasterIcon,
    'meta': MetaIcon,
    'redwoodjs': RedwoodjsIcon,
    'pyscaffold': PyscaffoldIcon,
    'uniqlo_ja': UniqloIcon,
    'threads': ThreadsIcon,
    'upptime': UpptimeIcon,
    'bitrise': BitriseIcon,
    'msibusiness': MsiBusinessIcon,
    'askfm': AskfmIcon,
    'apachehive': ApacheHiveIcon,
    'arxiv': ArxivIcon,
    'junit5': JunitFiveIcon,
    'dapr': DaprIcon,
    'w3schools': WThreeSchoolsIcon,
    'coffeescript': CoffeescriptIcon,
    'namecheap': NamecheapIcon,
    'css3': CssThreeIcon,
    'voidlinux': VoidLinuxIcon,
    'handshake_protocol': HandshakeIcon1,
    'telegram': TelegramIcon,
    'less': LessIcon,
    'bambulab': BambuLabIcon,
    'nunjucks': NunjucksIcon,
    'avajs': AvajsIcon,
    'malt': MaltIcon,
    'applemusic': AppleMusicIcon,
    'sourcetree': SourcetreeIcon,
    'simpleicons': SimpleIconsIcon,
    'coinbase': CoinbaseIcon,
    'kyocera': KyoceraIcon,
    'rootme': RootMeIcon,
    'caffeine': CaffeineIcon,
    'funimation': FunimationIcon,
    'tradingview': TradingviewIcon,
    'googletasks': GoogleTasksIcon,
    'puma': PumaIcon,
    'utorrent': UtorrentIcon,
    'downdetector': DowndetectorIcon,
    'merck': MerckIcon,
    'dreamstime': DreamstimeIcon,
    'basecamp': BasecampIcon,
    'shazam': ShazamIcon,
    'retropie': RetropieIcon,
    'sap': SapIcon,
    'zulip': ZulipIcon,
    'protoncalendar': ProtonCalendarIcon,
    'generalmotors': GeneralMotorsIcon,
    'aidungeon': AiDungeonIcon,
    'framework7': FrameworkSevenIcon,
    'steamworks': SteamworksIcon,
    'launchpad': LaunchpadIcon,
    'yeti': YetiIcon,
    'googlefonts': GoogleFontsIcon,
    'bigcartel': BigCartelIcon,
    'asciidoctor': AsciidoctorIcon,
    'ana': AnaIcon,
    'pretzel': PretzelIcon,
    'ifttt': IftttIcon,
    'virginmedia': VirginMediaIcon,
    'mentorcruise': MentorcruiseIcon,
    'dior': DiorIcon,
    'fathom': FathomIcon,
    'enterprisedb': EnterprisedbIcon,
    'opsgenie': OpsgenieIcon,
    'arduino': ArduinoIcon,
    'nintendo3ds': NintendoThreeDsIcon,
    'mdnwebdocs': MdnWebDocsIcon,
    'vbulletin': VbulletinIcon,
    'chartdotjs': ChartdotjsIcon,
    'semanticweb': SemanticWebIcon,
    'electronfiddle': ElectronFiddleIcon,
    'bentoml': BentomlIcon,
    'craftsman': CraftsmanIcon,
    'themighty': TheMightyIcon,
    'powers': PowersIcon,
    'bereal': BerealIcon,
    'equinixmetal': EquinixMetalIcon,
    'fairphone': FairphoneIcon,
    'googleadsense': GoogleAdsenseIcon,
    'heroku': HerokuIcon,
    'cpanel': CpanelIcon,
    'materialdesign': MaterialDesignIcon,
    'sega': SegaIcon,
    'tado': TadoIcon,
    'soundcharts': SoundchartsIcon,
    'protools': ProToolsIcon,
    'fozzy': FozzyIcon,
    'endeavouros': EndeavourosIcon,
    'hono': HonoIcon,
    'googleforms': GoogleFormsIcon,
    'chakraui': ChakraUiIcon,
    'astra': AstraIcon,
    'jira': JiraIcon,
    'freenas': FreenasIcon,
    'adobeacrobatreader': AdobeAcrobatReaderIcon,
    'phonepe': PhonepeIcon,
    'codeblocks': CodeblocksIcon,
    'wolframmathematica': WolframMathematicaIcon,
    'payoneer': PayoneerIcon,
    'nike': NikeIcon,
    'reactrouter': ReactRouterIcon,
    'monkeytie': MonkeyTieIcon,
    'kia': KiaIcon,
    'natsdotio': NatsdotioIcon,
    'googlegemini': GoogleGeminiIcon,
    'tailscale': TailscaleIcon,
    'riotgames': RiotGamesIcon,
    'koa': KoaIcon,
    'amazonwebservices': AmazonWebServicesIcon,
    'junipernetworks': JuniperNetworksIcon,
    'gamejolt': GameJoltIcon,
    'semver': SemverIcon,
    'muller': MullerIcon,
    'wasmer': WasmerIcon,
    'sifive': SifiveIcon,
    'opencollective': OpenCollectiveIcon,
    'coronarenderer': CoronaRendererIcon,
    'blazor': BlazorIcon,
    'nginx': NginxIcon,
    'stitcher': StitcherIcon,
    'singaporeairlines': SingaporeAirlinesIcon,
    'render': RenderIcon,
    'socialblade': SocialBladeIcon,
    'ebay': EbayIcon,
    'sidekiq': SidekiqIcon,
    'hackerrank': HackerrankIcon,
    'edotleclerc': EdotleclercIcon,
    'fsecure': FsecureIcon,
    'audacity': AudacityIcon,
    'scribd': ScribdIcon,
    'audiotechnica': AudiotechnicaIcon,
    'wireguard': WireguardIcon,
    'k3s': KThreeSIcon,
    'ipfs': IpfsIcon,
    'paperswithcode': PapersWithCodeIcon,
    'playerdotme': PlayerdotmeIcon,
    'teradata': TeradataIcon,
    'clockify': ClockifyIcon,
    'yunohost': YunohostIcon,
    'checkmk': CheckmkIcon,
    'turso': TursoIcon,
    'wails': WailsIcon,
    'zoom': ZoomIcon,
    'helium': HeliumIcon,
    'bruno': BrunoIcon,
    'lucia': LuciaIcon,
    'steinberg': SteinbergIcon,
    'goldenline': GoldenlineIcon,
    '1password': OnePasswordIcon,
    'harmonyos': HarmonyosIcon,
    'phabricator': PhabricatorIcon,
    'alacritty': AlacrittyIcon,
    'hackerone': HackeroneIcon,
    'resend': ResendIcon,
    'sinaweibo': SinaWeiboIcon,
    'polygon': PolygonIcon,
    'sunrise': SunriseIcon,
    'lamborghini': LamborghiniIcon,
    'wish': WishIcon,
    'quicktype': QuicktypeIcon,
    'stockx': StockxIcon,
    'verdaccio': VerdaccioIcon,
    'mongoosedotws': MongooseIcon1,
    'academia': AcademiaIcon,
    'theweatherchannel': TheWeatherChannelIcon,
    'nbc': NbcIcon,
    'spoj': SphereOnlineJudgeIcon,
    'neo4j': NeoFourJIcon,
    'anilist': AnilistIcon,
    'algolia': AlgoliaIcon,
    'esbuild': EsbuildIcon,
    'landrover': LandRoverIcon,
    'sequelize': SequelizeIcon,
    'microdotblog': MicrodotblogIcon,
    'levelsdotfyi': LevelsdotfyiIcon,
    'openaccess': OpenAccessIcon,
    'ingress': IngressIcon,
    'trustedshops': TrustedShopsIcon,
    'producthunt': ProductHuntIcon,
    'snort': SnortIcon,
    'letsencrypt': LetsEncryptIcon,
    'mercedes': MercedesIcon,
    'hsbc': HsbcIcon,
    'googleassistant': GoogleAssistantIcon,
    'hive_blockchain': HiveIcon,
    'openai': OpenaiIcon,
    'treyarch': TreyarchIcon,
    'altiumdesigner': AltiumDesignerIcon,
    'knowledgebase': KnowledgebaseIcon,
    'loop': LoopIcon,
    'zig': ZigIcon,
    'zelle': ZelleIcon,
    'daf': DafIcon,
    'jameson': JamesonIcon,
    'alliedmodders': AlliedmoddersIcon,
    'e': EIcon,
    'filezilla': FilezillaIcon,
    'nextbilliondotai': NextbilliondotaiIcon,
    'fossilscm': FossilScmIcon,
    'spacy': SpacyIcon,
    'commodore': CommodoreIcon,
    'gojek': GojekIcon,
    'dotenv': DotenvIcon,
    'nationalrail': NationalRailIcon,
    'tutanota': TutanotaIcon,
    'buhl': BuhlIcon,
    'pytest': PytestIcon,
    'strava': StravaIcon,
    'deliveroo': DeliverooIcon,
    'lmms': LmmsIcon,
    'phoenixframework': PhoenixFrameworkIcon,
    'avianca': AviancaIcon,
    'audioboom': AudioboomIcon,
    'wheniwork': WhenIWorkIcon,
    'cratedb': CratedbIcon,
    'box': BoxIcon,
    'libreoffice': LibreofficeIcon,
    'styledcomponents': StyledcomponentsIcon,
    'unilever': UnileverIcon,
    'eventstore': EventStoreIcon,
    'ripple': RippleIcon,
    'persistent': PersistentIcon,
    'nuke': NukeIcon,
    'guilded': GuildedIcon,
    'bentobox': BentoboxIcon,
    'otto': OttoIcon,
    'godotengine': GodotEngineIcon,
    'semanticrelease': SemanticreleaseIcon,
    'mediamarkt': MediamarktIcon,
    'neutralinojs': NeutralinojsIcon,
    'kashflow': KashflowIcon,
    'adobefonts': AdobeFontsIcon,
    'precommit': PrecommitIcon,
    'relianceindustrieslimited': RelianceIndustriesLimitedIcon,
    'linear': LinearIcon,
    'dazhongdianping': DazhongDianpingIcon,
    'portainer': PortainerIcon,
    'fiat': FiatIcon,
    'playstation4': PlaystationFourIcon,
    'supabase': SupabaseIcon,
    'jetbrains': JetbrainsIcon,
    'mendeley': MendeleyIcon,
    'gitea': GiteaIcon,
    'pagerduty': PagerdutyIcon,
    'arc': ArcIcon,
    'buildkite': BuildkiteIcon,
    'maytag': MaytagIcon,
    'kamailio': KamailioIcon,
    'westerndigital': WesternDigitalIcon,
    'wondershare': WondershareIcon,
    'firewalla': FirewallaIcon,
    'maas': MaasIcon,
    'eclipsejetty': EclipseJettyIcon,
    'clojure': ClojureIcon,
    'fonoma': FonomaIcon,
    'novu': NovuIcon,
    'redbubble': RedbubbleIcon,
    'mingww64': MingwwSixtyFourIcon,
    'wacom': WacomIcon,
    'turkishairlines': TurkishAirlinesIcon,
    'espressif': EspressifIcon,
    'flutter': FlutterIcon,
    'fireflyiii': FireflyIiiIcon,
    'docsify': DocsifyIcon,
    'untappd': UntappdIcon,
    '9gag': NineGagIcon,
    'steamdb': SteamdbIcon,
    'xdotorg': XdotorgIcon,
    'lining': LiningIcon,
    'slideshare': SlideshareIcon,
    'here': HereIcon,
    'aqua': AquaIcon,
    'fraunhofergesellschaft': FraunhofergesellschaftIcon,
    'googlemeet': GoogleMeetIcon,
    'fareharbor': FareharborIcon,
    'caldotcom': CaldotcomIcon,
    'pleroma': PleromaIcon,
    'pusher': PusherIcon,
    'cncf': CncfIcon,
    'radarr': RadarrIcon,
    'sonarcloud': SonarcloudIcon,
    'bakalari': BakalariIcon,
    'p5dotjs': PFiveDotjsIcon,
    'bigbluebutton': BigbluebuttonIcon,
    'wikivoyage': WikivoyageIcon,
    'svgdotjs': SvgdotjsIcon,
    'rainmeter': RainmeterIcon,
    'sencha': SenchaIcon,
    'googlecampaignmanager360': GoogleCampaignManagerThreeHundredAndSixtyIcon,
    'linkfire': LinkfireIcon,
    'cbs': CbsIcon,
    'redragon': RedragonIcon,
    'wayland': WaylandIcon,
    'gurobi': GurobiIcon,
    'dynatrace': DynatraceIcon,
    'readdotcv': ReaddotcvIcon,
    'aerlingus': AerLingusIcon,
    'stimulus': StimulusIcon,
    'pegasusairlines': PegasusAirlinesIcon,
    'robloxstudio': RobloxStudioIcon,
    'seagate': SeagateIcon,
    'dash': DashIcon,
    'issuu': IssuuIcon,
    'screencastify': ScreencastifyIcon,
    'sfml': SfmlIcon,
    'discover': DiscoverIcon,
    'metrodeparis': MetroDeParisIcon,
    'square': SquareIcon,
    'cocacola': CocaColaIcon,
    'rye': RyeIcon,
    'chedraui': ChedrauiIcon,
    'indeed': IndeedIcon,
    'nextdns': NextdnsIcon,
    'parsedotly': ParsedotlyIcon,
    'activitypub': ActivitypubIcon,
    'qubesos': QubesOsIcon,
    'dpd': DpdIcon,
    'vk': VkIcon,
    'homebrew': HomebrewIcon,
    'tether': TetherIcon,
    'qiskit': QiskitIcon,
    'rabbitmq': RabbitmqIcon,
    'clyp': ClypIcon,
    'humblebundle': HumbleBundleIcon,
    'airtransat': AirTransatIcon,
    'liquibase': LiquibaseIcon,
    'redis': RedisIcon,
    'visa': VisaIcon,
    'affinity': AffinityIcon,
    'qiita': QiitaIcon,
    'puppet': PuppetIcon,
    'bigbasket': BigbasketIcon,
    'intellijidea': IntellijIdeaIcon,
    'monoprix': MonoprixIcon,
    'conekta': ConektaIcon,
    'postgresql': PostgresqlIcon,
    'operagx': OperaGxIcon,
    'digikeyelectronics': DigikeyElectronicsIcon,
    'mclaren': MclarenIcon,
    'resharper': ResharperIcon,
    'lichess': LichessIcon,
    'amazoniam': AmazonIdentityAccessManagementIcon,
    'sidequest': SidequestIcon,
    'deno': DenoIcon,
    'cucumber': CucumberIcon,
    'buzzfeed': BuzzfeedIcon,
    'udacity': UdacityIcon,
    'handm': HandmIcon,
    'mailtrap': MailtrapIcon,
    'listmonk': ListmonkIcon,
    'standardresume': StandardResumeIcon,
    'lyft': LyftIcon,
    'anycubic': AnycubicIcon,
    'iata': IataIcon,
    'morrisons': MorrisonsIcon,
    'aiohttp': AiohttpIcon,
    'spacex': SpacexIcon,
    'chianetwork': ChiaNetworkIcon,
    'baremetrics': BaremetricsIcon,
    'instacart': InstacartIcon,
    'authelia': AutheliaIcon,
    'brex': BrexIcon,
    'cloudflare': CloudflareIcon,
    'x': XIcon,
    'virgin': VirginIcon,
    'allegro': AllegroIcon,
    'codeceptjs': CodeceptjsIcon,
    'workplace': WorkplaceIcon,
    'devdotto': DevdottoIcon,
    'viber': ViberIcon,
    'doxygen': DoxygenIcon,
    'cardano': CardanoIcon,
    'rubymine': RubymineIcon,
    'dacia': DaciaIcon,
    'tmux': TmuxIcon,
    'tinyletter': TinyletterIcon,
    'codeium': CodeiumIcon,
    'contabo': ContaboIcon,
    'counterstrike': CounterstrikeIcon,
    'wasabi': WasabiIcon,
    'hepsiemlak': HepsiemlakIcon,
    'oyo': OyoIcon,
    'brenntag': BrenntagIcon,
    'behance': BehanceIcon,
    'grandfrais': GrandFraisIcon,
    'codio': CodioIcon,
    'aboutdotme': AboutdotmeIcon,
    'openlayers': OpenlayersIcon,
    'amazonrds': AmazonRdsIcon,
    'watchtower': WatchtowerIcon,
    'matomo': MatomoIcon,
    'bitcoincash': BitcoinCashIcon,
    'liberapay': LiberapayIcon,
    'boost': BoostIcon,
    'opencontainersinitiative': OpenContainersInitiativeIcon,
    'youtubeshorts': YoutubeShortsIcon,
    'mcafee': McafeeIcon,
    'crunchbase': CrunchbaseIcon,
    'nzxt': NzxtIcon,
    'kasasmart': KasaSmartIcon,
    'icq': IcqIcon,
    'iconjar': IconjarIcon,
    'logseq': LogseqIcon,
    'reddit': RedditIcon,
    'guangzhoumetro': GuangzhouMetroIcon,
    'waze': WazeIcon,
    'dolby': DolbyIcon,
    'zaim': ZaimIcon,
    'rss': RssIcon,
    'googleearth': GoogleEarthIcon,
    'metasploit': MetasploitIcon,
    'octoprint': OctoprintIcon,
    'datastax': DatastaxIcon,
    'readthedocs': ReadTheDocsIcon,
    'htop': HtopIcon,
    'panasonic': PanasonicIcon,
    'moneygram': MoneygramIcon,
    'radixui': RadixUiIcon,
    'privatedivision': PrivateDivisionIcon,
    'trailforks': TrailforksIcon,
    'victronenergy': VictronEnergyIcon,
    'progress': ProgressIcon,
    'iveco': IvecoIcon,
    'mta': MtaIcon,
    'refine': RefineIcon,
    'metrodemadrid': MetroDeMadridIcon,
    'toll': TollIcon,
    'coveralls': CoverallsIcon,
    'ifixit': IfixitIcon,
    'lucide': LucideIcon,
    'kaufland': KauflandIcon,
    'dhl': DhlIcon,
    'fastlane': FastlaneIcon,
    'dlna': DlnaIcon,
    'hive': HiveIcon1,
    'accenture': AccentureIcon,
    'pypy': PypyIcon,
    'swarm': SwarmIcon,
    'buddy': BuddyIcon,
    'barclays': BarclaysIcon,
    'ecosia': EcosiaIcon,
    'freelancermap': FreelancermapIcon,
    'zcash': ZcashIcon,
    'nextra': NextraIcon,
    'vodafone': VodafoneIcon,
    'checkmarx': CheckmarxIcon,
    'rtlzwei': RtlzweiIcon,
    'runkeeper': RunkeeperIcon,
    'lootcrate': LootCrateIcon,
    'wikidotjs': WikidotjsIcon,
    'medium': MediumIcon,
    'hearthisdotat': HearthisdotatIcon,
    'lutris': LutrisIcon,
    'fandom': FandomIcon,
    'undertale': UndertaleIcon,
    'zomato': ZomatoIcon,
    'thinkpad': ThinkpadIcon,
    'monero': MoneroIcon,
    'honda': HondaIcon,
    'nano': NanoIcon,
    'jrgroup': JrGroupIcon,
    'codemagic': CodemagicIcon,
    'tableau': TableauIcon,
    'rockwellautomation': RockwellAutomationIcon,
    'lighthouse': LighthouseIcon,
    'codecrafters': CodecraftersIcon,
    'infomaniak': InfomaniakIcon,
    'mamp': MampIcon,
    'cora': CoraIcon,
    'vulkan': VulkanIcon,
    'postcss': PostcssIcon,
    'perplexity': PerplexityIcon,
    'linuxmint': LinuxMintIcon,
    'mocha': MochaIcon,
    'unjs': UnjsIcon,
    'wakatime': WakatimeIcon,
    'supermicro': SupermicroIcon,
    'suse': SuseIcon,
    'modrinth': ModrinthIcon,
    'cloudsmith': CloudsmithIcon,
    'furaffinity': FurAffinityIcon,
    'vivino': VivinoIcon,
    'lydia': LydiaIcon,
    'artifacthub': ArtifactHubIcon,
    'grubhub': GrubhubIcon,
    'sonarqube': SonarqubeIcon,
    'themodelsresource': TheModelsResourceIcon,
    'vauxhall': VauxhallIcon,
    'spyderide': SpyderIdeIcon,
    'hearth': HearthIcon,
    'odoo': OdooIcon,
    'netbsd': NetbsdIcon,
    'grav': GravIcon,
    'livechat': LivechatIcon,
    'springsecurity': SpringSecurityIcon,
    'evernote': EvernoteIcon,
    'pagespeedinsights': PagespeedInsightsIcon,
    'lefthook': LefthookIcon,
    'materialdesignicons': MaterialDesignIconsIcon,
    'moscowmetro': MoscowMetroIcon,
    'wolframlanguage': WolframLanguageIcon,
    'nomad': NomadIcon,
    'oppo': OppoIcon,
    'talenthouse': TalenthouseIcon,
    'channel4': ChannelFourIcon,
    'android': AndroidIcon,
    'apple': AppleIcon,
    'steam': SteamIcon,
    'nuget': NugetIcon,
    'c': CIcon,
    'openzeppelin': OpenzeppelinIcon,
    'testin': TestinIcon,
    'htmx': HtmxIcon,
    'ebox': EboxIcon,
    'aeroflot': AeroflotIcon,
    'adventofcode': AdventOfCodeIcon,
    'educative': EducativeIcon,
    'datagrip': DatagripIcon,
    'qbittorrent': QbittorrentIcon,
    'limesurvey': LimesurveyIcon,
    'fineco': FinecoIcon,
    'vivint': VivintIcon,
    'wellsfargo': WellsFargoIcon,
    'botblecms': BotbleCmsIcon,
    'googlecolab': GoogleColabIcon,
    'literal': LiteralIcon,
    'react': ReactIcon,
    'zorin': ZorinIcon,
    'nextdoor': NextdoorIcon,
    'acm': AcmIcon,
    'asciinema': AsciinemaIcon,
    'kedro': KedroIcon,
    'wearos': WearOsIcon,
    'teespring': TeespringIcon,
    'minds': MindsIcon,
    'polywork': PolyworkIcon,
    'samsung': SamsungIcon,
    'purescript': PurescriptIcon,
    'hexlet': HexletIcon,
    'swiper': SwiperIcon,
    'welcometothejungle': WelcomeToTheJungleIcon,
    'capacitor': CapacitorIcon,
    'leanpub': LeanpubIcon,
    'shikimori': ShikimoriIcon,
    'zyte': ZyteIcon,
    'wallabag': WallabagIcon,
    'totvs': TotvsIcon,
    'disroot': DisrootIcon,
    'hiltonhotelsandresorts': HiltonHotelsandResortsIcon,
    'typer': TyperIcon,
    'bata': BataIcon,
    'condaforge': CondaforgeIcon,
    'zillow': ZillowIcon,
    'reactos': ReactosIcon,
    'garmin': GarminIcon,
    'bandrautomation': BandrAutomationIcon,
    'saturn': SaturnIcon,
    'cinema4d': CinemaFourDIcon,
    'zebratechnologies': ZebraTechnologiesIcon,
    'removedotbg': RemovedotbgIcon,
    'opel': OpelIcon,
    'tildapublishing': TildaPublishingIcon,
    'wix': WixIcon,
    'southwestairlines': SouthwestAirlinesIcon,
    'gamemaker': GamemakerIcon,
    'virustotal': VirustotalIcon,
    'primefaces': PrimefacesIcon,
    'kofi': KofiIcon,
    'i3': IThreeIcon,
    'astonmartin': AstonMartinIcon,
    'ecovacs': EcovacsIcon,
    'jeep': JeepIcon,
    'moleculer': MoleculerIcon,
    'eightsleep': EightSleepIcon,
    'iledefrancemobilites': IledefranceMobilitesIcon,
    'hal': HalIcon,
    'thefinals': TheFinalsIcon,
    'amazonlumberyard': AmazonLumberyardIcon,
    'webassembly': WebassemblyIcon,
    'inkscape': InkscapeIcon,
    'notepadplusplus': NotepadplusplusIcon,
    'wetransfer': WetransferIcon,
    'peugeot': PeugeotIcon,
    'valve': ValveIcon,
    'delta': DeltaIcon,
    'clevercloud': CleverCloudIcon,
    'cakephp': CakephpIcon,
    'awsamplify': AwsAmplifyIcon,
    'harbor': HarborIcon,
    'bytedance': BytedanceIcon,
    'cocos': CocosIcon,
    'nativescript': NativescriptIcon,
    'libretube': LibretubeIcon,
    'boosty': BoostyIcon,
    'researchgate': ResearchgateIcon,
    'pastebin': PastebinIcon,
    'namuwiki': NamuWikiIcon,
    'trilium': TriliumIcon,
    'ethereum': EthereumIcon,
    'spdx': SpdxIcon,
    'rapid': RapidIcon,
    'chai': ChaiIcon,
    'playstation2': PlaystationTwoIcon,
    'metabase': MetabaseIcon,
    'raspberrypi': RaspberryPiIcon,
    'exercism': ExercismIcon,
    'comsol': ComsolIcon,
    'cytoscapedotjs': CytoscapedotjsIcon,
    'ansible': AnsibleIcon,
    'kodi': KodiIcon,
    'anthropic': AnthropicIcon,
    'origin': OriginIcon,
    'icinga': IcingaIcon,
    'opera': OperaIcon,
    'strapi': StrapiIcon,
    'vaultwarden': VaultwardenIcon,
    'bugatti': BugattiIcon,
    'diagramsdotnet': DiagramsdotnetIcon,
    'snyk': SnykIcon,
    'ray': RayIcon,
    'matillion': MatillionIcon,
    'primevue': PrimevueIcon,
    'databricks': DatabricksIcon,
    'speedtest': SpeedtestIcon,
    'similarweb': SimilarwebIcon,
    'trakt': TraktIcon,
    'almalinux': AlmalinuxIcon,
    'epel': EpelIcon,
    'fsharp': FSharpIcon,
    'imagedotsc': ImagedotscIcon,
    'piwigo': PiwigoIcon,
    'yale': YaleIcon,
    'kotlin': KotlinIcon,
    'markdown': MarkdownIcon,
    'trello': TrelloIcon,
    'seat': SeatIcon,
    'burpsuite': BurpSuiteIcon,
    'upcloud': UpcloudIcon,
    'beats': BeatsIcon,
    'circleci': CircleciIcon,
    'bungie': BungieIcon,
    'worldhealthorganization': WorldHealthOrganizationIcon,
    'element': ElementIcon,
    'camunda': CamundaIcon,
    'playstationvita': PlaystationVitaIcon,
    'prdotco': PrdotcoIcon,
    'helpdesk': HelpdeskIcon,
    'nutanix': NutanixIcon,
    'hashnode': HashnodeIcon,
    'ngrok': NgrokIcon,
    'autozone': AutozoneIcon,
    'greatlearning': GreatLearningIcon,
    'actix': ActixIcon,
    'fastify': FastifyIcon,
    'onlyoffice': OnlyofficeIcon,
    'stencil': StencilIcon,
    'rotaryinternational': RotaryInternationalIcon,
    'ferretdb': FerretdbIcon,
    'mobx': MobxIcon,
    'rclone': RcloneIcon,
    'juke': JukeIcon,
    'vuedotjs': VuedotjsIcon,
    'artstation': ArtstationIcon,
    'pluralsight': PluralsightIcon,
    'venmo': VenmoIcon,
    'exoscale': ExoscaleIcon,
    'hotelsdotcom': HotelsdotcomIcon,
    'scilab': ScilabIcon,
    'marvelapp': MarvelappIcon,
    'jordan': JordanIcon,
    'prettier': PrettierIcon,
    'googlehome': GoogleHomeIcon,
    'commonworkflowlanguage': CommonWorkflowLanguageIcon,
    'overleaf': OverleafIcon,
    'amazonecs': AmazonEcsIcon,
    'geant': GeantIcon,
    'reactiveresume': ReactiveResumeIcon,
    'egnyte': EgnyteIcon,
    'apachecordova': ApacheCordovaIcon,
    'nec': NecIcon,
    'coursera': CourseraIcon,
    'krita': KritaIcon,
    'fmod': FmodIcon,
    'hypothesis': HypothesisIcon,
    'kucoin': KucoinIcon,
    'facebooklive': FacebookLiveIcon,
    'aparat': AparatIcon,
    'bootstrap': BootstrapIcon,
    'rte': RteIcon,
    'stylus': StylusIcon,
    'betfair': BetfairIcon,
    'k6': KSixIcon,
    'roku': RokuIcon,
    'pkgsrc': PkgsrcIcon,
    'elgato': ElgatoIcon,
    'palantir': PalantirIcon,
    'autoit': AutoitIcon,
    'duplicati': DuplicatiIcon,
    'codecademy': CodecademyIcon,
    'rescuetime': RescuetimeIcon,
    'local': LocalIcon,
    'qi': QiIcon,
    'vivawallet': VivaWalletIcon,
    'litiengine': LitiengineIcon,
    'apachecassandra': ApacheCassandraIcon,
    'beatsbydre': BeatsByDreIcon,
    'svg': SvgIcon,
    'zazzle': ZazzleIcon,
    'gdal': GdalIcon,
    'zincsearch': ZincsearchIcon,
    'atari': AtariIcon,
    'carrd': CarrdIcon,
    'travisci': TravisCiIcon,
    'sketchup': SketchupIcon,
    'paddle': PaddleIcon,
    'jetblue': JetblueIcon,
    'gtk': GtkIcon,
    'shieldsdotio': ShieldsdotioIcon,
    'retool': RetoolIcon,
    'futurelearn': FuturelearnIcon,
    'indigo': IndigoIcon,
    'contentful': ContentfulIcon,
    'eslgaming': EslgamingIcon,
    'awwwards': AwwwardsIcon,
    'badoo': BadooIcon,
    'shell': ShellIcon,
    'vorondesign': VoronDesignIcon,
    'dts': DtsIcon,
    'sat1': SatdotOneIcon,
    'revanced': RevancedIcon,
    'topcoder': TopcoderIcon,
    'cmake': CmakeIcon,
    'scipy': ScipyIcon,
    'thirdweb': ThirdwebIcon,
    'nodemon': NodemonIcon,
    'geopandas': GeopandasIcon,
    'thunderstore': ThunderstoreIcon,
    'dwavesystems': DwaveSystemsIcon,
    'mysql': MysqlIcon,
    'johndeere': JohnDeereIcon,
    'hyper': HyperIcon,
    'lightning': LightningIcon,
    'bandlab': BandlabIcon,
    'headspace': HeadspaceIcon,
    'codersrank': CodersrankIcon,
    'scopus': ScopusIcon,
    'aegisauthenticator': AegisAuthenticatorIcon,
    'buymeacoffee': BuyMeACoffeeIcon,
    'langchain': LangchainIcon,
    'ffmpeg': FfmpegIcon,
    'dotnet': DotnetIcon,
    'pagseguro': PagseguroIcon,
    'bookmeter': BookmeterIcon,
    'electronbuilder': ElectronbuilderIcon,
    'jamstack': JamstackIcon,
    'wordpress': WordpressIcon,
    'wazirx': WazirxIcon,
    'trulia': TruliaIcon,
    'osano': OsanoIcon,
    'craftcms': CraftCmsIcon,
    'etcd': EtcdIcon,
    'protractor': ProtractorIcon,
    'caterpillar': CaterpillarIcon,
    'enpass': EnpassIcon,
    'wireshark': WiresharkIcon,
    'hivemq': HivemqIcon,
    'gitignoredotio': GitignoredotioIcon,
    'sailsdotjs': SailsdotjsIcon,
    'dataiku': DataikuIcon,
    'abusedotch': AbusedotchIcon,
    'protodotio': ProtodotioIcon,
    'deviantart': DeviantartIcon,
    'pm2': PmTwoIcon,
    'protondrive': ProtonDriveIcon,
    'paypal': PaypalIcon,
    'pinescript': PineScriptIcon,
    'expensify': ExpensifyIcon,
    'bamboo': BambooIcon,
    'bitwarden': BitwardenIcon,
    'typescript': TypescriptIcon,
    'yelp': YelpIcon,
    'sparkfun': SparkfunIcon,
    'embark': EmbarkIcon,
    'litecoin': LitecoinIcon,
    'sky': SkyIcon,
    'nextui': NextuiIcon,
    'xiaohongshu': XiaohongshuIcon,
    'elasticcloud': ElasticCloudIcon,
    'homepage': HomepageIcon,
    'shenzhenmetro': ShenzhenMetroIcon,
    'glide': GlideIcon,
    'youtubegaming': YoutubeGamingIcon,
    'leslibraires': LesLibrairesIcon,
    'bose': BoseIcon,
    'remark': RemarkIcon,
    'vault': VaultIcon,
    'myanimelist': MyanimelistIcon,
    'vimeo': VimeoIcon,
    'rossmann': RossmannIcon,
    'microbit': MicrobitIcon,
    'davinciresolve': DavinciResolveIcon,
    'numpy': NumpyIcon,
    'gitpod': GitpodIcon,
    'kitsu': KitsuIcon,
    'fiverr': FiverrIcon,
    'composer': ComposerIcon,
    'docsdotrs': DocsdotrsIcon,
    'dgraph': DgraphIcon,
    'slint': SlintIcon,
    'amazonpay': AmazonPayIcon,
    'pushbullet': PushbulletIcon,
    'etsy': EtsyIcon,
    'googledocs': GoogleDocsIcon,
    'jss': JssIcon,
    'kirby': KirbyIcon,
    'gridsome': GridsomeIcon,
    'internetarchive': InternetArchiveIcon,
    'trivy': TrivyIcon,
    'googledataflow': GoogleDataflowIcon,
    'traefikmesh': TraefikMeshIcon,
    'openwrt': OpenwrtIcon,
    'onlyfans': OnlyfansIcon,
    'roblox': RobloxIcon,
    'uphold': UpholdIcon,
    'fujifilm': FujifilmIcon,
    'nushell': NushellIcon,
    'proton': ProtonIcon,
    'mahindra': MahindraIcon,
    'googledrive': GoogleDriveIcon,
    'eyeem': EyeemIcon,
    'forgejo': ForgejoIcon,
    'plex': PlexIcon,
    'xmpp': XmppIcon,
    'unitedairlines': UnitedAirlinesIcon,
    'komoot': KomootIcon,
    '4chan': FourChanIcon,
    'openbugbounty': OpenBugBountyIcon,
    'easyjet': EasyjetIcon,
    'fdroid': FdroidIcon,
    'mambaui': MambaUiIcon,
    'percy': PercyIcon,
    'starship': StarshipIcon,
    'shanghaimetro': ShanghaiMetroIcon,
    'taketwointeractivesoftware': TaketwoInteractiveSoftwareIcon,
    'reacttable': ReactTableIcon,
    'dailydotdev': DailydotdevIcon,
    'asterisk': AsteriskIcon,
    'webmin': WebminIcon,
    'norton': NortonIcon,
    'saltproject': SaltProjectIcon,
    'googlebigquery': GoogleBigqueryIcon,
    'adyen': AdyenIcon,
    'spring_creators': SpringIcon1,
    'penny': PennyIcon,
    'pubg': PubgIcon,
    'codemirror': CodemirrorIcon,
    'cloudways': CloudwaysIcon,
    'chocolatey': ChocolateyIcon,
    'scrumalliance': ScrumAllianceIcon,
    'informatica': InformaticaIcon,
    'apachenetbeanside': ApacheNetbeansIdeIcon,
    'msi': MsiIcon,
    'lada': LadaIcon,
    'uipath': UipathIcon,
    'opslevel': OpslevelIcon,
    'zdf': ZdfIcon,
    'rustdesk': RustdeskIcon,
    'deepin': DeepinIcon,
    'uniqlo': UniqloIcon1,
    'katacoda': KatacodaIcon,
    'opengl': OpenglIcon,
    'subaru': SubaruIcon,
    'sncf': SncfIcon,
    'fueler': FuelerIcon,
    'facepunch': FacepunchIcon,
    'standardjs': StandardjsIcon,
    'alx': AlxIcon,
    'gitextensions': GitExtensionsIcon,
    'stmicroelectronics': StmicroelectronicsIcon,
    'doi': DoiIcon,
    'hexo': HexoIcon,
    'inkdrop': InkdropIcon,
    'cultura': CulturaIcon,
    'sonatype': SonatypeIcon,
    'playstation3': PlaystationThreeIcon,
    'openaigym': OpenaiGymIcon,
    'rasa': RasaIcon,
    'figma': FigmaIcon,
    'aldisud': AldiSudIcon,
    'shopify': ShopifyIcon,
    'threema': ThreemaIcon,
    'kaniko': KanikoIcon,
    'amazonsimpleemailservice': AmazonSimpleEmailServiceIcon,
    'r3': RThreeIcon,
    'streamlit': StreamlitIcon,
    'gerrit': GerritIcon,
    'apachemaven': ApacheMavenIcon,
    'hasura': HasuraIcon,
    'sololearn': SololearnIcon,
    'fortran': FortranIcon,
    'answer': AnswerIcon,
    'messenger': MessengerIcon,
    'openid': OpenidIcon,
    'thealgorithms': TheAlgorithmsIcon,
    'loopback': LoopbackIcon,
    'namesilo': NamesiloIcon,
    'clarifai': ClarifaiIcon,
    'apachesolr': ApacheSolrIcon,
    'archicad': ArchicadIcon,
    'jbl': JblIcon,
    'puppeteer': PuppeteerIcon,
    'passport': PassportIcon,
    'cts': CtsIcon,
    'nx': NxIcon,
    'zara': ZaraIcon,
    'ceph': CephIcon,
    'cyberdefenders': CyberdefendersIcon,
    'gameloft': GameloftIcon,
    'drupal': DrupalIcon,
    'backendless': BackendlessIcon,
    'youtubekids': YoutubeKidsIcon,
    'boardgamegeek': BoardgamegeekIcon,
    'inductiveautomation': InductiveAutomationIcon,
    'appsmith': AppsmithIcon,
    'flathub': FlathubIcon,
    'man': ManIcon,
    'amp': AmpIcon,
    'hackernoon': HackerNoonIcon,
    'xml': XmlIcon,
    'symphony': SymphonyIcon,
    'winamp': WinampIcon,
    'adroll': AdrollIcon,
    'ikea': IkeaIcon,
    'taichigraphics': TaichiGraphicsIcon,
    'bento': BentoIcon,
    'bloglovin': BloglovinIcon,
    'chinaeasternairlines': ChinaEasternAirlinesIcon,
    'runrundotit': RunrundotitIcon,
    'tina': TinaIcon,
    'fastly': FastlyIcon,
    'stackoverflow': StackOverflowIcon,
    'microstrategy': MicrostrategyIcon,
    'nrwl': NrwlIcon,
    'falcon': FalconIcon,
    'wattpad': WattpadIcon,
    'bunq': BunqIcon,
    'googlecardboard': GoogleCardboardIcon,
    'wpengine': WpEngineIcon,
    'emlakjet': EmlakjetIcon,
    'deepnote': DeepnoteIcon,
    '500px': FiveHundredPxIcon,
    'cafepress': CafepressIcon,
    'intel': IntelIcon,
    'wechat': WechatIcon,
    'dedge': DedgeIcon,
    'pnpm': PnpmIcon,
    'leroymerlin': LeroyMerlinIcon,
    'katana': KatanaIcon,
    'andela': AndelaIcon,
    'apachegroovy': ApacheGroovyIcon,
    'bitbucket': BitbucketIcon,
    'steamdeck': SteamDeckIcon,
    'microstation': MicrostationIcon,
    'pinterest': PinterestIcon,
    'openscad': OpenscadIcon,
    'wikimediafoundation': WikimediaFoundationIcon,
    'raylib': RaylibIcon,
    'vscodium': VscodiumIcon,
    'theboringcompany': TheBoringCompanyIcon,
    'ducati': DucatiIcon,
    'orcid': OrcidIcon,
    'freecodecamp': FreecodecampIcon,
    'libuv': LibuvIcon,
    'bsd': BsdIcon,
    'gradle': GradleIcon,
    'fnac': FnacIcon,
    'salla': SallaIcon,
    'apachestorm': ApacheStormIcon,
    'ericsson': EricssonIcon,
    'sabanci': SabanciIcon,
    'awselasticloadbalancing': AwsElasticLoadBalancingIcon,
    'bookalope': BookalopeIcon,
    'datadog': DatadogIcon,
    'coggle': CoggleIcon,
    'formstack': FormstackIcon,
    'franprix': FranprixIcon,
    'apache': ApacheIcon,
    'teratail': TeratailIcon,
    'burton': BurtonIcon,
    'playcanvas': PlaycanvasIcon,
    'magasinsu': MagasinsUIcon,
    'toggl': TogglIcon,
    'doubanread': DoubanReadIcon,
    'smashdotgg': SmashdotggIcon,
    'typo3': TypoThreeIcon,
    'googlecloudcomposer': GoogleCloudComposerIcon,
    'circle': CircleIcon,
    'flickr': FlickrIcon,
    'linuxprofessionalinstitute': LinuxProfessionalInstituteIcon,
    'trainerroad': TrainerroadIcon,
    'eljueves': ElJuevesIcon,
    'chromewebstore': ChromeWebStoreIcon,
    'gumtree': GumtreeIcon,
    'fusionauth': FusionauthIcon,
    'monica': MonicaIcon,
    'liberadotchat': LiberadotchatIcon,
    'eventbrite': EventbriteIcon,
    'showwcase': ShowwcaseIcon,
    'dassaultsystemes': DassaultSystemesIcon,
    'qemu': QemuIcon,
    'fi': FiIcon,
    'accusoft': AccusoftIcon,
    'quickbooks': QuickbooksIcon,
    'grunt': GruntIcon,
    'mailgun': MailgunIcon,
    'amazonelasticache': AmazonElasticacheIcon,
    'bt': BtIcon,
    'contao': ContaoIcon,
    'fidoalliance': FidoAllianceIcon,
    'vuetify': VuetifyIcon,
    'youtube': YoutubeIcon,
    '2fas': TwoFasIcon,
    'o2': OTwoIcon,
    'ngrx': NgrxIcon,
    'generalelectric': GeneralElectricIcon,
    'mpv': MpvIcon,
    'obsidian': ObsidianIcon,
    'sonicwall': SonicwallIcon,
    'rubocop': RubocopIcon,
    'dialogflow': DialogflowIcon,
    'musescore': MusescoreIcon,
    'knip': KnipIcon,
    'appium': AppiumIcon,
    'airbrake': AirbrakeIcon,
    'instapaper': InstapaperIcon,
    'transmission': TransmissionIcon,
    'firefox': FirefoxIcon,
    'semaphoreci': SemaphoreCiIcon,
    'convertio': ConvertioIcon,
    'flyway': FlywayIcon,
    'ghostery': GhosteryIcon,
    'cypress': CypressIcon,
    'elementor': ElementorIcon,
    'ktm': KtmIcon,
    'ameba': AmebaIcon,
    'torbrowser': TorBrowserIcon,
    'gentoo': GentooIcon,
    'scylladb': ScylladbIcon,
    'mlb': MlbIcon,
    'traefikproxy': TraefikProxyIcon,
    'creativetechnology': CreativeTechnologyIcon,
    'ign': IgnIcon,
    'meteor': MeteorIcon,
    'biolink': BioLinkIcon,
    'pihole': PiholeIcon,
    'packt': PacktIcon,
    'letterboxd': LetterboxdIcon,
    'speedypage': SpeedypageIcon,
    'ubereats': UberEatsIcon,
    'alipay': AlipayIcon,
    'ubuntumate': UbuntuMateIcon,
    'prime': PrimeIcon,
    'imagej': ImagejIcon,
    'cssdesignawards': CssDesignAwardsIcon,
    'selenium': SeleniumIcon,
    'zingat': ZingatIcon,
    'wise': WiseIcon,
})

__all__: "Final[list[str]]" = [ICONS.__name__]
